== Redmine changelog

Redmine - project management software
Copyright (C) 2006-2017  Jean-Philippe Lang
http://www.redmine.org/

== 2019-03-31 v3.4.10

=== [Administration]

* Defect #30939: Timeout for "Check for updates" on Plugins page is too short

=== [Files]

* Defect #31087: Deleting a version silently deletes its attachments

=== [Issues filter]

* Defect #30367: "Last updated by" filter causes an SQL error with MariaDB

=== [REST API]

* Defect #29055: Searching for issue number with REST API redirects to issue HTML page

=== [Rails support]

* Feature #31027: Upgrade to Rails 4.2.11.1

=== [Search engine]

* Defect #30923: Project search should select subprojects scope when the project has subprojects

=== [UI]

* Defect #30872: Copyright is outdated

== 2019-02-21 v3.4.9

=== [Gems support]

* Defect #30114: Installing xpath with Bundler fails in Ruby <=2.2
* Patch #30821: Stay in RMagick 2.16.0 and don't update to 3.0.0

=== [UI]

* Patch #30818: Issues autocomplete should respond with content type json

== 2019-01-20 v3.4.8

=== [Code cleanup/refactoring]

* Patch #30413: Add ".ruby-version" to svn:ignore, .git:ignore, and .hgignore

=== [Database]

* Defect #30171: Decrypting LDAP and SCM passwords fail if the plaintext password is longer than 31 bytes

=== [Gems support]

* Defect #30353: Installing rails with Bundler 2.0 fails in 3.x

=== [Importers]

* Patch #30412: Import UTF-8 issue CSV files with BOM and quoted strings

=== [Translations]

* Patch #30293: Ukrainian translation update for 3.4-stable

=== [UI]

* Defect #30426: Table rows are not highlighted on mouseover on some pages
* Patch #29951: Quick design fix/proposals for projects index page

== 2018-12-09 v3.4.7

=== [Custom fields]

* Defect #8317: Strip whitespace from integer custom field
* Defect #28925: Custom field values for enumerations not saved
* Patch #29674: Missing validation for custom field formats based on RecordList

=== [Email receiving]

* Defect #28576: Attachments are added even if validation fails when updating an issue via email
* Defect #29191: Cannot set no_notification option when receiving emails via  IMAP or POP3

=== [Importers]

* Defect #30001: CSV importer ignores shared version names of other projects

=== [Issues]

* Defect #28946: If assignee is locked subtasks don't get copied
* Defect #30009: Empty sort criteria for issue query gives error
* Defect #30027: Some styles (for ex: borders for tables) in a custom field with text formatting enabled are not displayed

=== [Issues filter]

* Defect #26785: Wrong columns after CSV export

=== [PDF export]

* Defect #28125: PNG images on a wiki page don't appear in exported PDF
* Defect #28565: PDF export has too many whitespaces

=== [REST API]

* Defect #20788: REST API with JSON content missing attributes with false values

=== [Rails support]

* Feature #30043: Update Rails to 4.2.11

=== [SCM]

* Defect #29413: Mercurial 4.7 compatibility

=== [Search engine]

* Defect #28636: Cannot find an issue from a closed subproject when search scope is Project and its subprojects

=== [Text formatting]

* Defect #8395: Tags start with 'pre' are handled as 'pre' tag in Textile
* Defect #29038: Thumbnail macro causes attachment file not found and broken filename and link
* Defect #29247: Textile phrase modifiers break wiki macros
* Defect #29756: \f or \v character in Textile markup may cause RegexpError exception

=== [Time tracking]

* Patch #29308: Time entry creation: preserve 'spent on' value when using 'Create and Continue'

=== [Translations]

* Patch #29702: Brazilian wiki help translation update
* Patch #29703: Brazilian translation (jstoolbar-pt-br.js) update
* Patch #29718: Brazilian translation update for 3.4-stable
* Patch #29735: Galician translation fix for the words empty, blank, and key
* Patch #29736: Galician translation update for 3.4-stable

=== [UI]

* Defect #29918: Related issues section ignores the date format setting
* Defect #29950: Fix list rendering inside project description in projects#index

=== [UI - Responsive]

* Defect #24309: Setting page for repository does not scroll horizontally on small screens

=== [Wiki]

* Feature #29791: Hide "Files" section in wiki pages when printing

== 2018-06-10 v3.4.6

=== [Issues]

* Defect #27863: If version is closed or locked  subtasks don't get copied
* Defect #28765: Copying an issue fails if the issue is watched by a locked user
* Patch #28649: Log automatic rescheduling of following issues to journal

=== [Permissions and roles]

* Defect #28693: Irrelevant permission is required to access some tabs in project settings page

=== [Project settings]

* Defect #27122: Filter for version name should be case-insensitive

=== [SCM]

* Defect #28725: Mercurial 4.6 compatibility

=== [Text formatting]

* Defect #28469: Syntax highlighter does not work if language name is single-quoted

=== [Translations]

* Patch #28881: Fix Japanese mistranslation for label_comment_added

=== [UI]

* Defect #22023: Issue id input should get focus after adding related issue

=== [UI - Responsive]

* Defect #28523: Display horizontal scroll bar of plugins table when overflow occurs on small screen

=== [Wiki]

* Patch #27090: Show the number of attachments on wiki pages

== 2018-04-07 v3.4.5

=== [Custom fields]

* Defect #28393: Sort issue custom fields by position in tracker UI

=== [Email notifications]

* Defect #28302: Security notification when changing password on password forgotten is empty

=== [Gantt]

* Defect #28204: Too large avatar breaks gantt when assignee is a group

=== [Issues]

* Defect #27862: Preformatted text overflows in preview
* Patch #28168: Allow context-menu edit of % done and priority of parent issues if the fields are not derived

=== [Issues filter]

* Defect #28180: Role-base cross-project issue query visibility calculated incorrectly

=== [Plugin API]

* Patch #27963: Remove 'unloadable' from bundled sample plugin

=== [Security]

* Defect #26857: Fix for CVE-2015-9251 in JQuery 1.11.1

=== [Text formatting]

* Defect #27884: RTL wiki class broken in Redmine 3.2.6
* Defect #28331: h4, h5 and h6 headings on wiki pages should have a paragraph mark
* Patch #28119: Enable lax_spacing for markdown formatting in order to allow markdown blocks not surrounded by empty lines

=== [Time tracking]

* Defect #28110: Don't allow reassigning reported hours to the project if issue is a required field for time logs

=== [Translations]

* Defect #28109: Incorrect interpolation in Swedish locale
* Defect #28113: Fix typo in German label_font_default
* Defect #28192: Fix typo in German label_font_monospace
* Patch #27994: Galician translation update (jstoolbar-gl.js)
* Patch #28102: Fix typo in Lithuanian label_version_sharing_tree

=== [UI]

* Defect #28079: The green tick is positioned after the label in the new member modals
* Defect #28208: Anonymous icon is wrongly displayed when assignee is a group
* Defect #28259: attachments_fields id to class change not properly reflected in all CSS

=== [Wiki]

* Defect #25299: Markdown pre-block could derive incorrect wiki sections

== 2018-01-08 v3.4.4

=== [Accounts / authentication]

* Defect #22532: Strip whitespace from login on login page
* Defect #27754: Strip whitespace from email addresses on lost password page

=== [Administration]

* Defect #27586: "Uncheck all" icon at the upper left corner in workflow status transitions page is not working

=== [Calendar]

* Defect #27153: Custom query breaks calendar view with error 500
* Patch #27139: Fix for project link background in calendar tooltips

=== [Custom fields]

* Defect #26705: Unable to download file if custom field is not defined as visible to any users

=== [Email receiving]

* Patch #27885: Empty email attachments are imported to Redmine, creating broken DB records

=== [Gantt]

* Defect #26410: Gravatar icon is misaligned in gantt

=== [Gems support]

* Defect #27206: cannot install public_suffix if ruby < 2.1
* Defect #27505: Cannot install nokogiri 1.7 on Windows Ruby 2.4

=== [Issues]

* Defect #26880: Cannot clear all watchers when copying an issue
* Defect #27110: Changing the tracker to a tracker with the tracker field set to read-only won't work
* Defect #27881: No validation errors when entering an invalid "Estimate hours" value
* Patch #27663: Same relates relation can be created twice
* Patch #27695: Fix ActiveRecord::RecordNotUnique errors when trying to add certain issue relations

=== [Issues list]

* Defect #27533: Cannot change the priority of the parent issue in issue query context menu when parent priority is independent of children

=== [Plugin API]

* Defect #20513: Unloadable plugin convention breaks with Rails 4.2.3

=== [SCM]

* Defect #27333: Switching SCM fails after validation error in "New repository" page

=== [Security]

* Defect #27516: Remote command execution through mercurial adapter

=== [Translations]

* Patch #27502: Lithuanian translation for 3.4-stable
* Patch #27620: Brazilian translation update
* Patch #27642: Spanish translation update (jstoolbar-es.js)
* Patch #27649: Spanish/Panama translation update (jstoolbar-es-pa.js)
* Patch #27767: Czech translation for 3.4-stable

=== [UI]

* Defect #19578: Issues reports table header overlaping
* Defect #26699: Anonymous user should have their icon

== 2017-10-15 v3.4.3

=== [Administration]

* Defect #26564: Enumerations sorting does not work

=== [Custom fields]

* Defect #26468: Using custom fields of type "File" leads to unsolvable error if filetype is not allowed

=== [Issues]

* Defect #26627: Editing issues no longer sends notifications to previous assignee

=== [Issues list]

* Defect #26471: Issue Query: inconsistency between spent_hours sum and sum of shown spent_hours values

=== [PDF export]

* Defect #25702: Exporting wiki page with specific table to PDF causes 500

=== [Roadmap]

* Patch #26492: % is not valid without a format specifier

=== [SCM]

* Defect #26403: The second and subsequent lines of commit messages are not displayed in repository browser
* Defect #26645: git 2.14 compatibility

=== [Text formatting]

* Patch #26682: URL-escape the ! character in generated markup for dropped uploads

=== [Time tracking]

* Defect #26520: Blank "Issue" field on the "Log time" from the "Spent time - Details" page for an issue
* Defect #26667: Filtering time entries after issue's target version doesn't work as expected in some cases
* Defect #26780: Translation for label_week in time report is not working

=== [Translations]

* Patch #26703: German translations in 3.4-stable
* Patch #27034: Patch for updated Chinese translation

=== [UI]

* Defect #26568: Multiple Selection List Filter View - items are cut off from view
* Patch #26395: Jump to project autocomplete: focus selected project
* Patch #26689: Add title to author's and assignee's icon

=== [Wiki]

* Defect #26599: Corrupted file name when exporting a wiki page with Non-ASCII title using Microsoft's browsers

=== [Security]

* Defect #27186: XSS vulnerabilities

== 2017-07-16 v3.4.2

=== [Administration]

* Defect #26393: Error when unchecking all settings on some plugins configurations

=== [Attachments]

* Defect #26379: Fix thumbnail rendering for images with height >> width

=== [Time tracking]

* Defect #26387: Error displaying time entries filtered by Activity

=== [UI]

* Defect #26445: Text formatting not applied to commit messages even if enabled in settings
* Patch #26424: Avatar Spacing in Headlines

== 2017-07-09 v3.4.1

=== [Issues list]

* Defect #26364: Sort is not reflected when export CSV of issues list

=== [Projects]

* Defect #26376: Wrong issue counts and spent time on project overview

=== [Translations]

* Patch #26344: Bulgarian translation
* Patch #26365: Traditional Chinese translation

=== [UI]

* Defect #26325: Wrong CSS syntax
* Defect #26350: Don't display file download button while on repository directory entries

== 2017-07-02 v3.4.0

=== [Accounts / authentication]

* Defect #13741: Not landing on home page on login after visiting lost password page
* Feature #10840: Allow "Stay logged in" from multiple browsers
* Feature #25253: Password reset should count as a password change for User#must_change_passwd
* Feature #26190: Add setting to hide optional user custom fields on registration form
* Patch #25483: Forbid to edit/update/delete the anonymous user

=== [Activity view]

* Patch #18399: Missing "next" pagination link when looking at yesterday's activity

=== [Administration]

* Defect #7577: "Send account information to the user" only works when password is set
* Defect #25289: Adding a principal to 2 projects with member inheritance leads to an error
* Feature #12598: Add tooltip on Workflow matrix for helping in big ones
* Feature #16484: Add default timezone for new users
* Feature #24780: Add tooltip on Permissions report matrix
* Feature #24790:  Add tooltip on trackers summary matrix

=== [Attachments]

* Defect #24308: Allow Journal to return empty Array instead nil in Journal#attachments
* Feature #13072: Delete multiple attachments with one action
* Patch #22941: Allow thumbnails on documents, messages and wiki pages
* Patch #24186: Restrict the length attachment filenames on disk
* Patch #25215: Re-use existing identical disk files for new attachments
* Patch #25240: Use SHA256 for attachment digest computation
* Patch #25295: Use path instead of URL of image in preview

=== [Code cleanup/refactoring]

* Defect #24928: Wrong text in log/delete.me
* Defect #25563: Remove is_binary_data? from String
* Feature #15361: Use css pseudo-classes instead of cycle("odd", "even")
* Patch #24313: Use the regular "icon icon-*" classes for all elements with icons
* Patch #24382: More readable regex for parse_redmine_links
* Patch #24523: Source: ignore .idea
* Patch #24578: Remove unused CSS class ".icon-details"
* Patch #24643: Rename "issue" to "item" in query helpers
* Patch #24713: Remove iteration in ApplicationHelper#syntax_highlight_lines
* Patch #24832: Remove instance variable which is unused after r9603
* Patch #24899: Remove unused "description_date_*" from locale files
* Patch #24900: Remove unused "label_planning" from locale files
* Patch #24901: Remove unused "label_more" from locale files
* Patch #26149: Remove duplicate method shell_quote

=== [Core Plugins]

* Feature #24167: Rebuild a single nested set with nested_set plugin

=== [Custom fields]

* Feature #6719: File format for custom fields (specific file uploads)
* Feature #16549: Set multiple values in emails for list custom fields
* Feature #23265: Group versions by status in version custom field filter
* Patch #21705: Option for long text custom fields to be displayed using full width
* Patch #24801:  Flash messages on CustomFields destroy

=== [Database]

* Defect #23347: MySQL: You can't specify target table for update in FROM clause
* Defect #25416: "My account" broken with MySQL 8.0 (keyword admin should be escaped)

=== [Documentation]

* Defect #21375: Working external URL prefixes (protocols and 'www' host part) not documented in wiki syntax
* Feature #25616: Change format of the changelog (both on redmine.org and in the shipped changelog file)
* Patch #24800: Remove internal style sheet duplication and obsoleted meta tag from wiki_syntax_* documentation.
* Patch #26188: Documentation (detailed syntax help & code) additions/improvements

=== [Email notifications]

* Feature #25842: Add table border to email notifications
* Patch #23978: Make the email notifications for adding/updating issues more readable/clear

=== [Email receiving]

* Defect #25256: Mail parts with empty content should be ignored
* Feature #5864: Regex Text on Receiver Email
* Patch #17718: Body delimiters to truncate emails do not take uncommon whitespace into account

=== [Forums]

* Patch #24535: Flash messages on Board destroy

=== [Gantt]

* Patch #25876: Gantt chart shows % done even if the field is disabled for the tracker

=== [Gems support]

* Feature #23932: Update TinyTds to recent version (1.0.5)
* Feature #25781: Markdown: Upgrade redcarpet gem to 3.4

=== [Hook requests]

* Patch #23545: Add before_render hook to WikiController#show

=== [I18n]

* Defect #24616: Should not replace all invalid utf8 characters (e.g in mail)
* Patch #24938: Update tr.yml for general_first_day_of_week
* Patch #25014: redmine/i18n.rb - languages_lookup class variable is rebuilt every time

=== [Importers]

* Feature #22701: Allow forward reference to parent when importing issues

=== [Issues]

* Defect #5385: Status filter should show statuses related to project trackers only
* Defect #15226: Searching for issues with "updated = none" always returns zero results
* Defect #16260: Add Subtask does not work correctly from tasks with Parent Task field disabled
* Defect #17632: Users can't see private notes created by themselves if "Mark notes as private" is set but "View private notes" is not
* Defect #17762: When copying an issue and changing the project, the list of watchers is not updated
* Defect #20127: The description column in the issues table is too short (MySQL)
* Defect #21579: The cancel operation in the issue edit mode doesn't work
* Defect #23511: Progress of parent task should be calculated using total estimated hours of children
* Defect #23755: Bulk edit form not show fields based on target tracker and status
* Feature #482: Default assignee on each project
* Feature #3425: View progress bar of related issues
* Feature #10460: Option to copy watchers when copying issues
* Feature #10989: Prevent parent issue from being closed if a child issue is open
* Feature #12706: Ability to change the private flag when editing a note
* Feature #20279: Allow to filter issues with "Any" or "None" target version defined when viewing all issues
* Feature #21623: Journalize values that are cleared after project or tracker change
* Feature #22600: Add warning when loosing data from custom fields when bulk editing issues
* Feature #23610: Reset status when copying issues
* Feature #24015: Do not hide estimated_hours label when value is nil
* Feature #25052: Allow to disable description field in tracker setting
* Patch #23888: Show an error message when changing an issue's project fails due to errors in child issues
* Patch #24692: Issue destroy : Reassign time issue autocomplete
* Patch #24877: Filter parent task issues in auto complete by open/closed status depending on the subtask status
* Patch #25055: Filter out current issue from the related issues autocomplete

=== [Issues filter]

* Defect #24769: User custom field filter lists only "Me" on cross project issue list
* Defect #24907: Issue queries: "Default columns" option conflicts with "Show description"
* Defect #25077: Issue description filter's 'none' operator does not match issues with blank descriptions
* Feature #2783: Filter issues by attachments
* Feature #10412: Target version filter shoud group versions by status
* Feature #15773: Filtering out specific subprojects (using 'is not' operator)
* Feature #17720: Filter issues by "Updated by" and "Last updated by"
* Feature #21249: Ability to filter issues by attributes of a version custom field (e.g. release date)
* Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date

=== [Issues list]

* Feature #1474: Show last comment/notes in the issue list
* Feature #6375: Last updated by colum in issue list
* Feature #25515: View attachments on the issue list
* Patch #24649: Make Spent time clickable in issue lists

=== [Issues workflow]

* Defect #14696: Limited status when copying an issue
* Patch #24281: Workflow editing shows statuses of irrelevant roles

=== [My page]

* Feature #1565: Custom query on My page
* Feature #7769: Sortable columns in issue lists on "My page"
* Feature #8761: My page - Spent time section only display 7 days, make it a parameter
* Feature #23459: Columns selection on the issues lists on "My page"
* Feature #25297: In place editing of "My page" layout

=== [Performance]

* Defect #24433: The changeset display is slow when changeset_issues has very many records
* Feature #23743: Add index to workflows.tracker_id
* Feature #23987: Add an index on issues.parent_id
* Patch #21608: Project#allowed_to_condition performance
* Patch #22850: Speedup remove_inherited_roles
* Patch #23519: Don't preload projects and roles on Principal#memberships association
* Patch #24587: Improve custom fields list performance
* Patch #24787: Don't preload all filter values when displaying issues/time entries
* Patch #24839: Minor performance improvement - Replace count by exists?
* Patch #24865: Load associations of query results more efficiently
* Patch #25022: Add an index on attachments.disk_filename

=== [Permissions and roles]

* Feature #4866: New permission: view forum
* Feature #7068: New permission: view news

=== [Project settings]

* Defect #23470: Disable "Select project modules" permission does not apply to the new project form
* Feature #22608:  Enable filtering versions on Project -> Settings -> Versions
* Feature #24011: Add option to set a new version as default directly from New Version page

=== [REST API]

* Defect #23921: REST API Issue PUT responds 200 OK even when it can't set assigned_to_id
* Feature #7506: Include allowed activities list in "project" API response
* Feature #12181: Add attachment information to issues.xml in REST API
* Feature #23566: REST API should return attachment's id in addition to token
* Patch #19116: Files REST API
* Patch #22356: Add support for updating attachments over REST API
* Patch #22795: Render custom field values of enumerations in API requests

=== [Roadmap]

* Defect #23377: Don't show "status" field when creating a new version
* Feature #23137: Completed versions on Roadmap: Sort it so that recently created versions are on top

=== [Ruby support]

* Feature #25048: Ruby 2.4 support

=== [SCM]

* Defect #14626: Repositories' extra_info column is too short with MySQL

=== [SCM extra]

* Defect #23865: Typo: s/projet/project/ in Redmine.pm comments

=== [Search engine]

* Feature #9909: Search in project and its subprojects by default

=== [Text formatting]

* Defect #26310: "attachment:filename" should generate a link to preview instead of download
* Feature #4179: Link to user in wiki syntax
* Feature #22758: Make text formatting of commit messages optional
* Feature #24922: Support high resolution images in formatted content
* Patch #26157: Render all possible inline textile images

=== [Themes]

* Defect #25118: ThemesTest#test_without_theme_js may fail if third-party theme is installed

=== [Time tracking]

* Defect #13653: Keep displaying spent time page when switching project via dropdown menu
* Defect #23912: No validation error when date value is invalid in time entries filter
* Defect #24041: Issue subject is not updated when you select another issue in the new "Log time" page
* Feature #588: Move timelog between projects
* Feature #13558: Add version filter in spent time report
* Feature #14790: Ability to save spent time query filters
* Feature #16843: Enable grouping on time entries list
* Feature #23401: Add tracker and status columns/filters to detailed timelog
* Feature #24157: Make project custom fields available in timelogs columns
* Feature #24577: Settings to make the issue and/or comment fields mandatory for time logs
* Patch #24189: Time entry form - limit issue autocomplete to already selected project

=== [Translations]

* Defect #25470: Fix Japanese mistranslation for field_base_dn
* Defect #25687: Bad translation in french for indentation
* Patch #23108: Change Japanese translation for text_git_repository_note
* Patch #23250: Fixes issues with Catalan translation
* Patch #23359: Change Japanese translation for label_commits_per_author
* Patch #23388: German translation change
* Patch #23419: Change Japanese translation for label_display_used_statuses_only
* Patch #23659: Change Japanese translation for label_enumerations
* Patch #23806: Fix Japanese translation inconsistency of label_tracker_new and label_custom_field_new
* Patch #24174: Change Japanese translation for "format"
* Patch #24177: Change translation for label_user_mail_option_only_(assigned|owner)
* Patch #24268: Wrong German translation of logging time error message
* Patch #24407: Dutch (NL) translation enhancements and complete review (major update)
* Patch #24494: Spanish Panama "label_issue_new" translation change
* Patch #24518: Spanish translation change (adding accent mark and caps)
* Patch #24572: Spanish label_search_open_issues_only: translation change
* Patch #24750: Change Japanese translation for setting_text_formatting and setting_cache_formatted_text
* Patch #24891: Change Japanese translation for "items"
* Patch #25019: Localization for Ukrainian language - completed
* Patch #25204: Portuguese translation file
* Patch #25392: Change Russian translation for field_due_date and label_relation_new
* Patch #25609: Change Japanese translation for field_attr_*
* Patch #25628: Better wording for issue update conflict resolution in German
* Patch #26180: Change Russian translation for "Estimated time"

=== [UI]

* Defect #23575: Issue subjects are truncated at 60 characters on activity page
* Defect #23840: Reduce the maximum height of the issue description field
* Defect #23979: Elements are not aligned properly in issues table for some cases
* Defect #24617: Browser js/css cache remains after upgrade
* Feature #5920: Unify and improve cross-project views layout
* Feature #9850: Differentiate shared versions in version-format custom field drop-downs by prepending its project name
* Feature #10250: Renaming "duplicates" and "duplicated by" to something less confusing
* Feature #23310: Improved "jump to project" drop-down
* Feature #23311: New "Spent time" menu tab when spent time module is enabled on project
* Feature #23653: User preference for monospaced / variable-width font in textareas
* Feature #23996: Introduce a setting to change the display format of timespans to HH:MM
* Feature #24720: Move all 'new item' links in project settings to above the item tables
* Feature #24927: Render high resolution Gravatars and Thumbnails
* Feature #25988: Preview files by default instead of downloading them
* Feature #25999: View repository content by default (instead of the history)
* Feature #26035: More visually consistent download links
* Feature #26071: Generate markup for uploaded image dropped into wiki-edit textarea
* Feature #26189: For 3 comments or more on news items and forum messages, show reply link at top of comments as well
* Patch #23146: Show revision details using the same structure and look from the journals details
* Patch #23192: Add the new pagination style in the activity page
* Patch #23639: Add "Log time" to global button menu (+)
* Patch #23998: Added link to author in Repository
* Patch #24776: UI inconsistencies on /enumerations/index view
* Patch #24833: Always show "Jump to project" drop-down
* Patch #25320: Remove initial indentation of blockquotes for better readability
* Patch #25775: Show assignee's icon in addition to author's icon

=== [Wiki]

* Feature #12183: Hide attachments by default on wiki pages
* Feature #23179: Add heading to table of contents macro

== 2017-07-02 v3.3.4

=== [Accounts / authentication]

* Patch #25653: Fix NoMethodError on HEAD requests to AccountController#register

=== [Code cleanup/refactoring]

* Defect #26055: Three issues with Redmine::SyntaxHighlighting::CodeRay.language_supported?

=== [Gems support]

* Defect #25829: mysql2 0.3 gem doesn't properly close connections

=== [Importers]

* Patch #25861: CSV Importer - handle UndefinedConversionErrors

=== [Issues]

* Defect #26072: Set default assignee before validation

=== [Issues filter]

* Defect #25212: User profile should link to issues assigned to user or his groups

=== [Issues permissions]

* Defect #25791: Bypass Tracker role-based permissions when copying issues

=== [Security]

* Defect #26183: Use Nokogiri 1.7.2

=== [Text formatting]

* Defect #25634: Highlight language aliases are no more supported

=== [Translations]

* Patch #26264:  Simplified Chinese translation for 3.3-stable

=== [UI]

* Defect #25760: Clicking custom field label should not check the first option

=== [UI - Responsive]

* Defect #25064: Issue description edit link corrupted in low resolution
* Patch #25745: Optimize Gantt Charts for mobile screens

== 2017-04-09 v3.3.3

* Defect #22335: Images with non-ASCII file names are not shown in PDF
* Defect #24271: htmlentities warning
* Defect #24869: Circular inclusion detected when including a wiki page with the same name
* Defect #24875: Issues API does not respect time_entries_visibility
* Defect #24999: Mercurial 4.1 compatibility
* Defect #25371: Git 2.9 compatibility
* Defect #25478: Related to "no open issues" shows all issues
* Defect #25501: Time entries query through multiple projects by issue custom field not possible anymore
* Patch #20661: Show visible spent time link for users allowed to view time entries.
* Patch #24778: Czech localisation for 3.3-stable
* Patch #24824: Traditional Chinese translation (to r16179)
* Patch #24885: Japanese translation for 3.3-stable
* Patch #24948: Bulgarian translation for 3.3-stable
* Patch #25459: Portuguese translation for 3.3-stable
* Patch #25502: Russian translation for 3.3-stable
* Patch #25115: Support upload of empty files and fix invalid API response
* Patch #25526: Revert API change in spent_hours field in issue#show
* Defect #23793: Information leak when rendering of Wiki links
* Defect #23803: Information leak when rendering Time Entry activities
* Defect #24199: Stored XSS with SVG attachments
* Defect #24307: Redmine.pm doesn't check that the repository module is enabled on project
* Defect #24416: Use redirect to prevent password reset tokens in referers
* Defect #25503: Improper markup sanitization in user content

== 2017-01-07 v3.3.2

* Defect #13622: "Clear" button in Spent Time Report tab also clears global filters
* Defect #14658: Wrong activity timezone on user page
* Defect #14817: Redmine loses filters after deleting a spent time
* Defect #22034: Locked users disappear from project settings
* Defect #23922: Time Entries context menu/bulk edit shows activities not available for the time entry's project
* Defect #24000: z-index children menu should be greater than content
* Defect #24092: bundler error: selenium-webdriver requires Ruby version >= 2.0.
* Defect #24156: Redmine might create many AnonymousUser and AnonymousGroup entries
* Defect #24274: Query totals and query buttons overlaps on small screens
* Defect #24297: Show action not allowed for time entries in closed projects
* Defect #24311: Project field disappears when target project disallows user to edit the project
* Defect #24348: acts_as_versioned use old style (Rails 2.x) of method call for #all
* Defect #24595: Unarchive link for a subproject of a closed project does not work
* Defect #24646: X-Sendfile is missing in response headers
* Defect #24693: Spent time on subtasks should also be reassigned when deleting an issue
* Defect #24718: Prevent from reassigning spent time to an issue that is going to be deleted
* Defect #24722: Error when trying to reassign spent time when deleting issues from different projects
* Patch #24003: Catalan Translation
* Patch #24004: Spanish & Spanish (PA) Translation
* Patch #24062: Allow only vertical reorderingin sortable lists
* Patch #24283: Validate length of string fields
* Patch #24296: Add tablename to siblings query to prevent AmbiguousColumn errors

== 2016-10-10 v3.3.1

* Defect #23067: Custom field List Link values to URL breaks on entries with spaces
* Defect #23655: Restricted permissions for non member/anonymous on a given project not working
* Defect #23839: "Invalid query" (Error 500) message with MS SQL when displaying an issue from a list grouped and sorted by fixed version
* Defect #23841: Custom field URL spaces not decoded properly
* Defect #22123: Totals cannot be removed completely if some columns are set in the global settings
* Defect #23054: Clearing time entry custom fields while bulk editing results in values set to __none__
* Defect #23206: Wrong filters are applied when exporting issues to CSV with blank filter
* Defect #23246: Saving an empty Markdown image tag in Wiki pages causes internal server error
* Defect #23829: Wrong allow-override example in rdm-mailhandler.rb
* Defect #23152: Distinguish closed subprojects on the project overview
* Defect #23172: Tickets can be assigned to users who are not available in specific tracker
* Defect #23242: thumbnail macro does not render when displaying wiki content version
* Defect #23369: encoding error in locales de.yml
* Defect #23391: Wrong CSS classes in subtasks tree
* Defect #23410: Error if create new issue and there is no project
* Defect #23472: Show open issues only in "Reported Issues" on My page
* Defect #23558: IssueImportTest#test_should_not_import_with_default_tracker_when_tracker_is_invalid fails randomly
* Defect #23596: Filter on issue ID with between/lesser/greater operator does not work
* Defect #23700: Creating a wiki page named "Sidebar" without proper permission raises an exception
* Defect #23751: Tab buttons appear on pages that have no tabs
* Defect #23766: API : creating issues with project identifier no longer possible
* Defect #23878: Closing all subtasks causes error if default priority is not defined and priority is derived from subtasks
* Defect #23969: Edit/delete links displayed on issue even if project is closed
* Defect #24014: Custom fields not used in project should not be visible in spent time report
* Patch #23117: Traditional Chinese textile and markdown help translation
* Patch #23387: Traditional Chinese textile and markdown detailed help translation (to r15723)
* Patch #23764: closed_on field of copied issue is always set to source issue's value
* Patch #23269: Fix for Error: Unable to autoload constant Redmine::Version when accessing the time report in first request
* Patch #23278: When creating issues by receiving an email, watchers created via CC in the mail don't get an email notification
* Patch #23389: Print Styles get overriden by responsive media query
* Patch #23708: Too long words in subtasks break layout
* Patch #23883: iOS 10 ignore disabled Zoom
* Patch #23134: Updated Korean locale
* Patch #23153: Plugin hooks for custom search results
* Patch #23171: Simplified Chinese translation for 3.3-stable
* Patch #23180: Make the issue id from email notifications linkable to issue page
* Patch #23334: Issue#editable_custom_field_values very slow for issues with many custom fields
* Patch #23346: Set user's localization before redirecting on forced password change to generate flash message in current user's language
* Patch #23376: Downloading of attachments with MIME type text/javascript fails
* Patch #23497: Russian translation for 3.3.0
* Patch #23587: Sudo-Mode refinements
* Patch #23725: Updated Brazilian translation for 3.3.0.stable
* Patch #23745: German translation for 3.3-stable

== 2016-06-19 v3.3.0

* Defect #5880: Only consider open subtasks when computing the priority of a parent issue
* Defect #8628: "Related to" reference may yield circular dependency error message
* Defect #12893: Copying an issue does not copy parent task id
* Defect #13654: Can't set parent issue when issue relations among child issues are present
* Defect #15777: Watched issues count on "My page" is shown for all issues instead of only open ones
* Defect #17580: After copying a task, setting the parent as the orignal task's parent triggers an error
* Defect #19924: Adding subtask takes very long
* Defect #20882: % done: progress bar blocked at 80 in the issue list
* Defect #21037: Issue show : bullet points not aligned if sub-task is in a different project
* Defect #21433: "version-completed" class is never set when version has no due date
* Defect #21674: The LDAP connection test does not check the credentials
* Defect #21695: Warning "Can't mass-assign protected attributes for IssueRelation: issue_to_id"
* Defect #21742: Received text attachments doesn't hold the original encoding on Ruby >= 2.1
* Defect #21855: Gravatar get images over http instead https
* Defect #21856: I18n backend does not support original i18n Pluralization
* Defect #21861: typo: s/creditentials/credentials/
* Defect #22059: Issue percentage selector extends screen border
* Defect #22115: Text in the "removed" part of a wiki diff is double-escaped
* Defect #22123: Totals cannot be removed completely if some columns are set in the global settings
* Defect #22135: Semi colon is spelled semicolon
* Defect #22405: SQL server: non ASCII filter does not work
* Defect #22493: Test code bug in application_helper_test
* Defect #22745: Rest API for Custom Fields does not return keys for key/value types
* Defect #23044: Typo in Azerbaijani general_lang_name
* Defect #23054: Clearing time entry custom fields while bulk editing results in values set to __none__
* Defect #23067: Custom field List Link values to URL breaks on entries with spaces
* Feature #285: Tracker role-based permissioning
* Feature #1725: Delete button on comments
* Feature #4266: Display changeset comment on repository diff view.
* Feature #4806: Filter the issue list by issue ids
* Feature #5536: Simplify Wiki Page creation ("Add Page" link)
* Feature #5754: Allow addition of watchers via bulk edit context menu
* Feature #6204: Make the "New issue" menu item optional
* Feature #7017: Add watchers from To and Cc fields in issue replies
* Feature #7839: Limit trackers for new issue to certain roles
* Feature #12456: Add units in history for estimated time
* Feature #12909: Drag'n'drop order configuration for statuses, trackers, roles...
* Feature #13718: Accept dots in JSONP callback
* Feature #14462: Previous/next links may be lost after editing the issue
* Feature #14574: "I don't want to be notified of changes that I make myself" as Default for all User
* Feature #14830: REST API : Add support for attaching file to Wiki pages
* Feature #14937: Code highlighting toolbar button
* Feature #15880: Consistent, global button/menu to add new content
* Feature #20985: Include private_notes property in xml/json Journals output
* Feature #21125: Removing attachment after rollback transaction
* Feature #21421: Security Notifications when security related things are changed
* Feature #21500: Add the "Hide my email address" option on the registration form
* Feature #21757: Add Total spent hours and Estimated hours to the REST API response
* Feature #22018: Add id and class for easier styling of query filters
* Feature #22058: Show image attachments and repo entries instead of downloading them
* Feature #22147: Change "Related issues" label for generic grouped query filters
* Feature #22381: Require password reset on initial setup for default admin account
* Feature #22383: Support of default Active Record (I18n) transliteration paths
* Feature #22482: Respond with "No preview available" instead of sending the file when no preview is available
* Feature #22951: Make Tracker and Status map-able for CSV import
* Feature #22987: Ruby 2.3 support
* Feature #23020: Default assigned_to when receiving emails
* Feature #23107: Update CodeRay to v1.1.1.
* Patch #3551: Additional case of USER_FORMAT, #{lastname}#{firstname} without any sperator
* Patch #6277: REST API for Search
* Patch #14680: Change Simplified Chinese translation for version 'field_effective_date'
* Patch #14828: Patch to add support for deleting attachments via API
* Patch #19468: Replace jQuery UI Datepicker with native browser date fields when available
* Patch #20632: Tab left/right buttons for project menu
* Patch #21256: Use CSS instead of image_tag() to show icons for better theming support
* Patch #21282: Remove left position from gantt issue tooltip
* Patch #21434: Additional CSS class for version status
* Patch #21474: Adding issue css classes to subtasks and relations tr
* Patch #21497: Tooltip on progress bar
* Patch #21541: Russian translation improvement
* Patch #21582: Performance in User#roles_for_project
* Patch #21583: Use association instead of a manual JOIN in Project#rolled_up_trackers
* Patch #21587: Additional view hook for body_top
* Patch #21611: Do not collect ids of subtree in Query#project_statement
* Patch #21628: Correct Turkish translation
* Patch #21632: Updated Estonian translation
* Patch #21663: Wrap textilizable with DIV containing wiki class
* Patch #21678: Add missing wiki container for news comments
* Patch #21685: Change Spanish Panama thousand delimiters and separator
* Patch #21738: Add .sql to mime-types
* Patch #21747: Catalan translation
* Patch #21776: Add status, assigned_to and done_ratio classes to issue subtasks
* Patch #21805: Improve accessibility for icon-only links
* Patch #21931: Simplified Chinese translation for 3.3 (some fixes)
* Patch #21942: Fix Czech translation of field_time_entries_visibility
* Patch #21944: Bugfix: Hide custom field link values from being shown when value is empty
* Patch #21947: Improve page header title for deeply nested project structures (+ improved XSS resilience)
* Patch #21963: German translations change
* Patch #21985: Increase space between menu items
* Patch #21991: Japanese wiki_syntax_detailed_textile.html translation improvement
* Patch #22078: Incorrect French translation of :setting_issue_group_assignment
* Patch #22126: Update for Lithuanian translation
* Patch #22138: fix Korean translation typo
* Patch #22277: Add id to issue query forms to ease styling within themes
* Patch #22309: Add styles for blockquote in email notifications
* Patch #22315: Change English translation for field_effective_date: "Date" to "Due date"
* Patch #22320: Respect user's timezone when comparing / parsing Dates
* Patch #22345: Trackers that have parent_issue_id in their disabled_core_fields should not be selectable for new child issues
* Patch #22376: Change Japanese translation for label_issue_watchers
* Patch #22401: Notify the user of missing attachments
* Patch #22496: Add text wrap for multiple value list custom fields
* Patch #22506: Updated Korean locale data
* Patch #22693: Add styles for pre in email notifications
* Patch #22724: Change Japanese translation for "last name" and "first name"
* Patch #22756: Edit versions links on the roadmap
* Patch #23021: fix Russian "setting_thumbnails_enabled" misspelling
* Patch #23065: Fix confusing Japanese translation for permission_manage_related_issues
* Patch #23083: Allow filtering for system-shared versions in version custom fields in the global issues view

== 2016-06-05 v3.2.3

* Defect #22808: Malformed SQL query with SQLServer when grouping and sorting by fixed version
* Defect #22912: Selecting a new filter on Activities should not reset the date range
* Defect #22924: Persistent XSS in Markdown parsing
* Defect #22925: Persistent XSS in project homepage field
* Defect #22926: Persistent XSS in Textile parsing
* Defect #22932: "Group by" row from issues listing has the colspan attribute bigger with one than the number of columns from the table
* Patch #22427: pt-BR translation for 3.2.stable
* Patch #22761: Korean translation for 3.2-stable
* Patch #22898: !>image.png! generates invalid HTML
* Patch #22911: Error raised when importing issue with Key/Value List custom field

== 2016-05-05 v3.2.2

* Defect #5156: Bulk edit form lacks estimated time field
* Defect #22105: Responsive layout. Change menu selector in responsive.js.
* Defect #22134: HTML markup discrepancy ol and ul at app/views/imports/show.html.erb
* Defect #22196: Improve positioning of issue history and changesets on small screens
* Defect #22305: Highlighting of required and read-only custom fields broken in Workflow editor
* Defect #22331: bundler error: Ruby 1.9.3 = "mime-types-data requires Ruby version >= 2.0."
* Defect #22342: When copying issues to a different project, subtasks /w custom fields not copied over
* Defect #22354: Sort criteria defined in custom queries are not applied when exporting to CSV
* Defect #22583: CSV import delimiter detection broken
* Patch #22278: Revision Graph and Table should work with vertical-align: middle
* Patch #22296: Add collision option to autocomplete initialization
* Patch #22319: Fix German "error_invalid_csv_file_or_settings" typo
* Patch #22336: Revision Table does not scroll horizontally on small screens
* Patch #22721: Check that the file is actually an image before generating the thumbnail

== 2016-03-13 v3.2.1

* Defect #21588: Simplified Chinese "field_cvs_module" translation has problem (Patch #21430)
* Defect #21656: Fix Non ASCII attachment filename encoding broken (MOJIBAKE) in Microsoft Edge Explorer
* Defect #22072: Private notes get copied without private flag to Duplicate issues
* Defect #22127: Issues can be assigned to any user
* Defect #21219: Date pickers images for start/due date fields are not shown for issues with subtasks
* Defect #21477: Assign to "Anonymous" doesn't make much sense
* Defect #21488: Don't use past start date as default due date in the date picker
* Defect #21504: IssuePriority.position_name not recalculated every time it should
* Defect #21551: Private note flag disappears in issue update conflict
* Defect #21843: Nokogiri security issue
* Defect #21900: Moving a page with a child raises an error if target wiki contains a page with the same name as the child
* Defect #20988: % done field shown on issue show subtree even if deactivated for that tracker
* Defect #21263: Wiki lists in the sidebar are broken
* Defect #21453: LDAP account creation fails when first name/last name contain non ASCII
* Defect #21531: rdm-mailhandler with project-from-subaddress fails
* Defect #21534: Backtrace cleaner should not clean plugin paths
* Defect #21535: Moving a custom field value in the order switches in the edit view
* Defect #21775: Field "Done" from issue subtasks table overlaps the layout in responsive mode, width 400
* Defect #22108: Issues filter for CSV Export are not applied
* Defect #22178: Grouping issues by key/value custom field raises error 500
* Feature #21447: Option to show email adresses by default
* Patch #21650: Simplified Chinese translation of wiki formating for 2.6-stable
* Patch #21881: Russian wiki translation for 2.6-stable
* Patch #21898: Catalan wiki translation for 2.6-stable
* Patch #21456: Simplified Chinese translation of wiki formating for 3.1-stable
* Patch #21686: Russian translation for 3.1-stable
* Patch #21687: German translations for 3.1-stable
* Patch #21689: Turkish translation for 3.1-stable
* Patch #21882: Russian wiki translation for 3.1-stable
* Patch #21899: Catalan wiki translation for 3.1-stable
* Patch #22131: German translations for 3.1-stable
* Patch #22139: Japanese wiki syntax (Markdown) translation for 3.1-stable
* Patch #21436: Prevent admins from sending themselves their own password
* Patch #21454: Simplified Chinese translation for 3.2.0
* Patch #21487: Larger font for email notifications
* Patch #21521: Updated Spanish and Spanish Panama Translations
* Patch #21522: Simplified Chinese translation for r14976
* Patch #21527: Russian translation for 3.2.0
* Patch #21593: Add class to contextual edit button that relates to heading on wiki pages
* Patch #21620: Turkish translation for 3.2-stable
* Patch #21635: German translations for 3.2
* Patch #21740: Fixes misspelled word "RMagcik" in configuration.yml.example
* Patch #21847: Let mobile header be fixed
* Patch #21867: Add column `estimated_hours` for CSV import.
* Patch #21883: Russian wiki translation for 3.2-stable
* Patch #22009: Japanese wiki syntax (Markdown) translation for 3.2-stable
* Patch #22074: Prevent username from overlapping in mobile menu
* Patch #22101: Set max-with to 100% for input, select and textea
* Patch #22104: Prevent font scaling in landscape mode on webkit
* Patch #22128: Attachment form too wide on small screens
* Patch #22132: German translations for 3.2-stable

== 2015-12-06 v3.2.0

* Defect #17403: Unknown file size while downloading attachment
* Defect #18223: Table renders wrong if a trailing space is after | symbol
* Defect #19017: Wiki PDF Export: <pre> not rendered with monospaced font
* Defect #19271: Configuration of which versions are shown in version-format custom fields should not affect issue query filter
* Defect #19304: <a> tag without attributes in description results in undefined method + for nil:NilClass
* Defect #19403: Mistake in Polish Translation file.
* Defect #19657: Can't reorder activities after disabling activities on a project
* Defect #20117: Activities set as inactive missing in spent time report filter
* Defect #20296: Double full stops in Japanese
* Defect #20361: Project copy does not update custom field of version type values
* Defect #20438: Subject filter doesn't work with non ASCII uppercase symbols
* Defect #20463: Internal error when moving an issue to a project without selected trackers and active issue tracking
* Defect #20501: Empty divs when there are no custom fields on the issue form
* Defect #20543: Mail handler: don't allow override of some attributes by default
* Defect #20551: Typo "coma" (correct: "comma")
* Defect #20565: Search and get a 404 page when adding a new project
* Defect #20583: Setting Category/Version as a required field causes error in projects without categories/versions
* Defect #20995: Automatic done ratio calculation in issue tree is wrong in some cases
* Defect #21012: Link custom fields with long URLs are distorting issue detail view
* Defect #21069: Hard-coded label for hour
* Defect #21074: When changing the tracker of an existing issue, new custom fields are not initialized with their default value
* Defect #21175: Unused strings: label_(start|end)_to_(start|end)
* Defect #21182: Project.uniq.visible raises an SQL error under certain conditions
* Defect #21226: Some log messages are missing the "MailHandler" prefix
* Defect #21382: Watcher deletion of inactive user not possible for non-admin users
* Feature #950: Import Issues from delimited/CSV file
* Feature #1159: Allow issue description to be searchable as a filter
* Feature #1561: Totals for estimated/spent time and numeric custom fields on the issue list
* Feature #1605: Activity page to remember user's selection of activities
* Feature #1828: Default target version for new issues
* Feature #3034: Add day numbers to gantt
* Feature #3398: Link to assigned issues on user profiles
* Feature #4285: Add cancel button during edition of the wiki
* Feature #5816: New issue initial status should be settable in workflow
* Feature #7346: Allow a default version to be set on the command line for incoming emails
* Feature #8335: Email styles inline
* Feature #10672: Extend Filesize in the attachments table for files with size > 2147483647 bytes
* Feature #13429: Include attachment thumbnails in issue history
* Feature #13946: Add tracker name to Redmine issue link titles
* Feature #16072: Markdown footnote support
* Feature #16621: Ability to filter issues blocked by any/no open issues
* Feature #16941: Do not clear category on project change if category with same exists
* Feature #17618: Upgrade net-ldap version to 0.12.0
* Feature #19097: Responsive layout for mobile devices
* Feature #19885: Raise time entries comments limit to 1024
* Feature #19886: Raise wiki edits comments limit to 1024
* Feature #20008: Files upload Restriction by files extensions
* Feature #20221: Time entry query : column week
* Feature #20388: Removing attachment after commit transaction
* Feature #20929: Raise maximum length of LDAP filter
* Feature #20933: Options for shorter session maximum lifetime
* Feature #20935: Set autologin cookie as secure by default when using https
* Feature #20991: Raise maximum length of category name to 60
* Feature #21042: Check "Hide my email address" by default for new users
* Feature #21058: Keep track of valid user sessions
* Feature #21060: Custom field format with possible values stored as records
* Feature #21148: Remove "Latest Projects" from Home page
* Feature #21361: Plugins ui tests rake task
* Patch #20271: Fix for multiple tabs on the same page
* Patch #20288: Finalize CodeRay 1.1.0 upgrade
* Patch #20298: "div" tag around revision details
* Patch #20338: Turkish "activity" translation change
* Patch #20368: Make corners rounded
* Patch #20369: Use String#casecmp for case insensitive comparison
* Patch #20370: Lighter colors for journal details in issue history
* Patch #20411: Change Japanese translation for "view"
* Patch #20413: Use a table instead of an unordered list in "Issue tracking" box
* Patch #20496: Change Japanese translation for "time tracking"
* Patch #20506: redmine I18n autoload instead of require
* Patch #20507: ThemesHelper reopening ApplicationHelper is problem with autoloading
* Patch #20508: Required file lib/redmine/hook.rb is patching autoloaded ApplicationHelper
* Patch #20589: Activate sudo mode after password based login
* Patch #20720: Traditional Chinese "issue" translation change
* Patch #20732: MailHandler: Select project by subaddress (redmine+project@example.com)
* Patch #20740: Confusing name: test public query called "private"
* Patch #21033: Polish translation change
* Patch #21110: Keep anchor (i.e. to a specific issue note) throughout login
* Patch #21119: Give numbers in query sort criteria consistent width for non-monospaced fonts
* Patch #21126: Change Japanese translation for "List"
* Patch #21137: Rescue network level errors with LDAP auth
* Patch #21159: Hide empty <ul> on project overview
* Patch #21169: Use config.relative_url_root as the default path for session and autologin cookies
* Patch #21176: Japanese translation change (Blocks / Blocked by)
* Patch #21258: Use <ul> to do pagination, styling in a GitHub like manner with improved handling in responsive mode
* Patch #21280: Change Japanese translation for text_user_wrote

== 2015-12-05 v3.1.3

* Defect #16948: Broken anonymous repository access for public projects with Apache 2.4 (redmine.pm)
* Defect #21328: pdf: Vietnamese Italic is not shown
* Defect #21419: Information leak in Atom feed
* Patch #21312: Fix exception in Redmine.pm when authenticating anonymous users
* Patch #21430: Simplified Chinese translation

== 2015-11-14 v3.1.2

* Defect #20992: Parent priority "Independent of subtasks" setting doesn't work
* Defect #20360: Project copy does not copy custom field settings
* Defect #20380: Cannot assign users to projects with IE set to compatibility mode
* Defect #20591: PDF export does not determine picture (.png) height correctly
* Defect #20677: Custom fields with multiple values required by worklow can be blank
* Defect #20811: long <pre> lines are missing from PDF export of wiki pages
* Defect #21136: Issues API may disclose changeset messages that are not visible
* Defect #21150: Time logging form may disclose subjects of issues that are not visible
* Defect #21155: Deleting invalid wiki page version deletes whole page content
* Defect #20282: Error message when editing a child project without add project/subprojects permissions
* Defect #20730: Fix tokenization of phrases with non-ascii chars
* Defect #21071: find_referenced_issue_by_id fails with RangeError for large numbers
* Patch #21031: Polish translation update for 3.0-stable
* Patch #21105: Japanese wiki_syntax_detailed_textile.html translation for 3.0-stable
* Patch #20785: Polish translation update for 3.1-stable
* Patch #20837: Bulgarian translation
* Patch #20892: Spanish translation for r14637
* Patch #20906: Fix mulitple tab navigation highlighting and content hiding
* Patch #21019: Traditional Chinese translation (to r14689)
* Patch #21076: Move inline CSS to application.css for private checkbox
* Patch #21085: Optimize issue edit description link

== 2015-09-20 v3.1.1

* Feature #11253: Total time spent from subtasks on the issue list
* Feature #20688: Add Total estimated hours column on issue list
* Feature #20738: Upgrade Rails 4.2.4
* Defect #19577: Open redirect vulnerability
* Defect #20761: Fix typo of Japanese translation for notice_gantt_chart_truncated
* Defect #20427: Cannot create a custom query visibility is "to these roles only"
* Defect #20454: Mail handler: unwanted assignment to a group occurs
* Defect #20278: Wrong syntax for resizing inline images will throw a 500 error
* Defect #20401: "Spent time" panel: columns not wrapping
* Defect #20407: Monospace font-family values are differ between application.css and scm.css
* Defect #20456: 3.1-stable/3.1.0: missing commits (omitted from being merged from trunk)
* Defect #20466: Broken email notification layout in Outlook
* Defect #20490: WARNING: Can't mass-assign protected attributes for User
* Defect #20633: Help cursor showing up since r14154
* Patch #20293: Russian translation for 2.6-stable
* Patch #20294: Russian translation for 2.6-stable
* Patch #20408: Turkish translation for 2.6-stable
* Patch #20557: Czech translation for 2.6-stable
* Patch #20735: Markdown: Upgrade redcarpet gem to 3.3 (ruby 1.9 and higher)
* Patch #20745: Portuguese translation for 2.6-stable
* Patch #20512: Project.copy_from deletes enabled_modules on source
* Patch #20737: Czech translation for 3.0-stable
* Patch #20746: Portuguese translation for 3.0-stable
* Patch #20243: Use https links instead of http links in ApplicationHelper#avatar_edit_link and Redmine::Info class methods
* Patch #20410: Turkish translation for 3.1-stable
* Patch #20452: Czech localisation update
* Patch #20731: Change Japanese translation for "spent time"
* Patch #20747: Portuguese translation for 3.1-stable

== 2015-07-26 v3.1.0

* Defect #4334: "Watch"ing an issue doesn't update watchers list
* Defect #13924: Error when using views/issues/index.api.rsb in a plugin
* Defect #14881: Issue journals should be ordered by created_on, not id
* Defect #15716: Scraped emails include CSS from HTML emails
* Defect #19243: Ambiguous date format options (eg. 03/03/2015) in settings
* Defect #19656: Activities do not correspont to project when adding time from my page.
* Defect #19737: HTML Sanitizer not working for Outlook mails
* Defect #19740: "Truncate emails after one of these lines" setting is not working
* Defect #19995: Can't apply textile modifiers to 1 non-ASCII character
* Defect #20141: Sync #wiki_format_provider plugin API shortcut with changes to Redmine::WikiFormatting.register from r12450 and r14313
* Defect #20159: Disallow users to delete a version referenced by a custom field
* Defect #20206: Members w/o view issues permission are able to list issues on public projects if the non member role has the permission
* Defect #20372: Contents inside <pre> are not rendered as monospace font in Chrome for Mac
* Feature #5418: Add Gravatar and edit link to "My account" page
* Feature #5490: Option for independent subtask priority/start date/due date/done ratio
* Feature #6118: Filter by parent task or subtasks
* Feature #7037: CSV export encoding and excel. UTF-8 and BOM
* Feature #8424: Add private issue option to receiving emails
* Feature #8929: Permission to view only your own time logs
* Feature #11253: Total time spent from subtasks on the issue list
* Feature #12312: Raise 60-character limit for document titles
* Feature #16373: TextFormatting help for Markdown formatting
* Feature #16535: Set a max width to html email content
* Feature #16962: Better handle html-only emails
* Feature #19182: Patch to the Redmine Mail Handler for specifying a custom CA bundle
* Feature #19458: Add the ability to expire passwords after a configurable number of days
* Feature #19707: Ability to limit member management to certain roles
* Feature #19851: Sudo mode: Require password re-entry for sensitive actions (optional)
* Patch #5770: Welcome text misses wiki formatting
* Patch #14402: Plugin migration directory should use plugin directory
* Patch #19296: Include custom fields description in project settings and issue view
* Patch #19339: Put news articles into <article> tags
* Patch #19341: Put roadmap versions in <article> tags
* Patch #19455: Replace manual query in version helper
* Patch #19509: Change Japanese translation for field_login
* Patch #19546: Change default display mode for PDF Export to OneColumn
* Patch #19991: Japanese translation change
* Patch #19993: Change csv separators of Spanish/Panama
* Patch #20130: Bulgarian translation change
* Patch #20174: Add missing member_role to fixtures
* Patch #20180: Make the updateIssueFrom(url) function return the XMLHttpRequest object

== 2015-07-07 v3.0.4

* Defect #17757: Link with hash does not work on Firefox
* Defect #19095: PDF is broken on iOS
* Defect #19485: Column 'address' in where clause may be ambiguous
* Defect #19815: Bulk issue copy copies subtasks and attachments even if option is unchecked
* Defect #19835: Newlines stripped from CVS commit messages
* Defect #19840: Missing validation for description size of versions
* Defect #19842: User allowed to manage public queries in any project, can create public query visible to everyone for ALL projects
* Defect #19844: Roles are not aligned on new member form
* Defect #19956: Connection leak on svn/redmine integration
* Defect #19957: acts_as_versioned not compatible with ActiveRecord 4.2.1
* Defect #20066: List of groups sorted in desc by default
* Defect #20118: Missing row in PDF if issue description contains '<'-character
* Feature #19364: Images and Thumbnail are not interpreted in table while exporting PDF
* Feature #20142: Update Gemfile to require rbpdf ~>1.18.6
* Patch #19825: Russian translation update
* Patch #20035: Italian translation update
* Patch #20203: The test email action should use POST only (CSRF protection)

== 2015-05-10 v3.0.3

* Defect #18580: Can't bulk edit own time entries with "Edit own time entries"
* Defect #19731: Issue validation fails if % done field is deactivated
* Defect #19735: Email addresses with slashes are not linked correctly
* Patch #19655: Set a back_url when forcing new login after session expiration
* Patch #19706: Issue show : optimizations
* Patch #19793: Adding flash messages to files_controller#create

== 2015-04-26 v3.0.2

* Defect #19297: Custom fields with hidden/read-only combination displayed in Issue Edit Form
* Defect #19400: Possibility of having 2 (or more) repositories with empty identifier
* Defect #19444: Fix typo in wiki_syntax_detailed.html
* Defect #19538: Keywords in commit messages: journal entries are created even if nothing was changed
* Defect #19569: Field permissions not working properly with inherited memberships
* Defect #19580: "Required" and "Read-only" rules on "Fields Permissions" screen are not colored 
* Defect #13583: Space between lines in nested lists not equal
* Defect #19161: 500 Internal error: sorting for column mail at Administration/User
* Defect #19163: Bulk edit form shows additional custom fields
* Defect #19168: Activity: changes made to tickets are shown multiple times
* Defect #19185: Update Install/Upgrade guide for 3.x version and get gid of DEPRECATION WARNING: You didn't set config.secret_key_base
* Defect #19276: Creating new issues with invalid project_id should return 422 instead of 403 error
* Defect #19405: Setting config.logger.level in additional_environment.rb has no effect
* Defect #19464: Possible to log time on project without time tracking
* Defect #19482: Custom field (long text format) displayed even if empty
* Defect #19537: Broken HTML sanitizer refence breaks email receiving
* Defect #19544: Malformed SQL query with SQLServer when grouping issues
* Defect #19553: When create by copying the issue, status can not be changed to default
* Defect #19558: Mail handler should not ignore emails with x-auto-response-suppress header
* Defect #19606: Issue Estimated Time not updated on tracker change
* Feature #19437: Upgrade to Rails 4.2.1
* Feature #19489: Translation for Spanish Panama
* Patch #19570: Spanish translation updated

== 2015-03-16 v3.0.1

* Defect #19197: Missing notification if assignee was a group
* Defect #19260: Non-default identifier-less git repositories are undeletable
* Defect #19305: settings: incompatible character encodings: UTF-8 and ASCII-8BIT: yaml generated on ruby 1.8
* Defect #19313: Attached inline images with non-ascii file name can not be seen when text formatting is Makdown
* Defect #19348: Project name is missing for versions from sub-projects
* Defect #19381: Wrong syntax for wiki macros in wiki_syntax_detailed.html
* Defect #19172: "gem update bundler" suggestion for "`x64_mingw` is not a valid platform"
* Defect #19218: Wrong name for pt-BR in language drop-down
* Defect #19225: When deleting one item from multivalued custom field / list of users, name of removed user is not visible in history
* Defect #19232: IMAP STARTTLS options typo :tls
* Defect #19253: Repository users broken if only one committer exists
* Defect #19316: CustomField#possible_values may raise undefined method `force_encoding' error
* Defect #19320: Spent time (last 7 days) in My page not updated
* Defect #19323: Incorrect links generated in emails if host setup uses other port (":" symbol)
* Defect #19325: ActionController::UnknownFormat: error for PDF request and unknown user
* Defect #19354: Unexpected milliseconds in JSON time attributes
* Defect #19368: Creating an issue without tracker_id attribute ignores custom field values
* Patch #19233: Change 20150113213922_remove_users_mail.rb from Irreversible to Reversible
* Patch #19322: Allow to ignore auto reply messages from Exchange server

== 2015-02-19 v3.0.0

* Defect #2573: Latest projects list: no space after lists in project description
* Defect #6579: Tree hierachy being currupted on multiple submissions of an issue
* Defect #14151: Grammer problem with German x_days
* Defect #15789: Users can see all groups when adding a filter "Assignee's Group"
* Defect #15988: Unexpected behaviour on issue fields for users that have multiple roles
* Defect #18237: From a rake task context, impossible to create an IssueRelation normally
* Defect #18265: Wrong csv separator in Croatian
* Defect #18301: Revision shortlink at end of URL breaks URL autolinking
* Defect #18314: German Translation - button_update
* Defect #18605: Wrong usage of logger.info to test log level
* Defect #18654: Custom field is rendered, even if its value is empty (for multiple)
* Defect #18711: Respect cross-project subtask setting on issue bulk edit form
* Defect #18781: Redmine::FieldFormat::IntFormat does not accept "real" Integer values
* Defect #18832: Activity Stream Filter missing on right hand side due to permission
* Defect #18855: User with only Move Issue rights in the project can still create issues using mass copy!
* Defect #18918: Grouping label for "none" should be changed to "null", "No Value", or" (blank) ".
* Defect #19024: link_to in Redmine::Hook::ViewListener omits url root
* Defect #19030: Links to completed versions on the roadmap page might lead to a "403 not authorized page"
* Defect #19039: Mail notification is formatting dates with changer's locale
* Defect #19040: Potential DB deadlocks on concurrent issue creation
* Defect #19055: 'label_per_page' is no longer used
* Defect #19111: Bad spelling in Spanish "mail_body_reminder"
* Feature #992: Option to search open issues only
* Feature #1326: Add / edit an attachment description after upload
* Feature #1415: Let system administrator limit repositories valid sources
* Feature #4244: Multiple email addresses for each user
* Feature #4383: Search Names of Files Attached to Issues
* Feature #4518: Wiki formatting documentation for nested lists
* Feature #5450: Move wiki page to other project
* Feature #5991: Tracker should have it's own default issue status
* Feature #6426: MenuManager::MenuItem should support a named route as a url
* Feature #7249: Custom fields for Documents
* Feature #8121: Allow overriding direction of part of text
* Feature #8818: Repository user-mapping with multiple email addresses
* Feature #11702: Add user/group to multiple projects at once
* Feature #11724: Prevent users from seeing other users based on their project membership
* Feature #12097: Multi Thread Support
* Feature #12734: Add table reference to textile help
* Feature #13051: Support any macro in (pdf) export for wiki's and issues
* Feature #13425: Ignore X-Autoreply mails
* Feature #13497: Document all available Redmine links properly
* Feature #13849: Grouped filters in the filter drop-down
* Feature #14371: Drop Ruby 1.8.7 support
* Feature #14534: Upgrade to Rails 4.2
* Feature #15236: Propose diff view for long text custom fields
* Feature #16823: IMAP STARTTLS support
* Feature #17354: User detail : show user login to admins
* Feature #17763: Ability to render multiple partials with view hook
* Feature #18500: Optional linking when copying issues
* Feature #18571: Tab "New Issue" should not be displayed if a project has no trackers
* Feature #18631: Better search results pagination
* Feature #18801: Support for accent insensitive search with PostgreSQL
* Feature #18860: Replace awesome_nested_set gem with a custom implementation of nested sets
* Feature #18947: Ruby 2.2 support
* Feature #19131: Use a better content type for attachments created with application/octet-stream
* Patch #6586: Calendar view hook Request
* Patch #13120: Translation in language selection
* Patch #18182: Latvian translation update
* Patch #18261: Japanese translation change (fix terms mismatch "default")
* Patch #18276: Allow queries captions to be dynamic
* Patch #18290: Issue performance patch
* Patch #18390: Better RTL css for the system
* Patch #18392: German translation: Self-registration
* Patch #18565: html improvements on project landing page
* Patch #18659: Do not truncate subissue/related issues titles on single issue view
* Patch #18671: Japanese translation change (fix misspelled word)
* Patch #18679: LabelledFormBuilder#label outputs 2 label elements
* Patch #18692: Access keys for previous (p)/next (n) links
* Patch #18707: Allow attachment thumbnails from REST api
* Patch #18817: Sort helper undefined to_a for string
* Patch #18818: TimeEntry acts_as_activity_provider scope should joins(:project)
* Patch #18983: Allow filtering of Redmine Reminders by Version
* Patch #19005: Make search results per page configurable
* Patch #19035: Japanese translation fix (label_age)

== 2015-02-19 v2.6.2

* Defect #10681: Export to Persian PDF problem
* Defect #17722: Plugin update check not working if redmine is viewed over https
* Defect #18586: Arabic PDF
* Defect #18632: PDF Export has no left padding for tables
* Defect #18883: Slow rendering of large textile tables
* Defect #18894: Grouping of Boolean field: Both "No" and "blank" tickets are grouped in "none" groups
* Defect #18896: Grouping of Boolean field in Query: group not displayed for "No" value if the group is in first position
* Defect #18922: rdm-mailhandler.rb should catch EOFError
* Defect #18961: {{macro_list}} error when choose markdown as wiki language
* Defect #19065: API: issue details created_on timestamp not formatted as expected
* Defect #19120: Wrap parent task title on the issue list
* Defect #19117: Potential XSS vulnerability in some flash messages rendering

== 2015-01-11 v2.6.1

* Defect #13608: Parent column in CSV export should include issue id only
* Defect #13673: Parent issue column includes issue subject (making issue list unworkable wide)
* Defect #14699: Cannot change "From" header in email notifications
* Defect #17744: Disabling fields in tracker keeps attached workflow permissions
* Defect #18060: Selected projects in email notifications on "my account" are lost when the page is redisplayed after a validation error
* Defect #18176: PDF: long text is corrupt
* Defect #18269: Timelog CSV export missing tracker name and issue name
* Defect #18280: closed_on missing when closed status of issue status changed
* Defect #18349: URL not rendered as a link when followed by a line break and another URL
* Defect #18464: Use of PRE tag in Issue description results in wrapped text with latest Google Chrome
* Defect #18499: Localisation not set correctly on authenticity token errors
* Defect #18501: Textile bold highlighting problem
* Defect #18629: PDF Export removes separating space after tables
* Defect #18665: Internal Server Error when adding user to group where he is already assigned
* Defect #18667: Attachment content type not set when uploading attachment
* Defect #18685: Plugin migration confuses two plugins with similar names
* Defect #18734: Select / case is missing a break in application.js
* Defect #18769: Reordering roles, trackers or statuses always redirects to the first page
* Defect #18777: Moving column to top of "Select Columns" results in loss of all other column selections
* Feature #8817: Attachments/Plugin assets directory writable errors
* Patch #17705: MailHandler should ignore bogus issue strings [some-string#1234] in subject
* Patch #18051: Cancel button on issue edit view
* Patch #18156: Spanish translation file
* Patch #18157: German translation
* Patch #18252: Japanese wiki_syntax_detailed.html translation update
* Patch #18357: Improvement of column selection: allow to move multiple columns in selection list
* Patch #18410: Spent hours should be cleared on #reload
* Patch #18534: Galician (gl) translation for 2.6-stable
* Patch #18587: Swedish translation (updated)
* Patch #18782: Fix ui tests broken by undefined method error
* Patch #18789: UI tests and capybara version

== 2014-10-21 v2.6.0

* Defect #8753: PDF export for Hebrew is reversed
* Defect #8758: Ignore email keywords after delimiter
* Defect #9660: Issues counters in roadmap only link to issues in the same project
* Defect #11788: Export to PDF: align right in table doesn't work
* Defect #12580: long hyperlinks inserted in task description breaks right frame boundary
* Defect #12934: PDF export: No images in tables
* Defect #13487: Honor committer => user mapping in repository statistics
* Defect #13642: PDF bookmark not displayed when contain a non-ascii character
* Defect #13781: CJK(Chinese/Japanese/Korean) characters are not shown in PDF on non CJK locales
* Defect #13860: Text of custom fields is not wrapped in PDF exports of issues
* Defect #14281: Parent issue autocomplete does not follow to the "Allow cross-project subtasks" setting
* Defect #14466: Wrap long issue fields in issue pdf header
* Defect #14491: MailHandler: Unable to determine target project (when allow_override=project and project=unassigned is used)
* Defect #14737: Gantt, completed % truncated instead of rounded
* Defect #14917: Bad table formatting in pdf export
* Defect #16496: Link custom field are not displayed as links on the issue list
* Defect #17023: The error flash message on session expiration is not in the language of the user but of the user of the previous request
* Defect #17202: Copying Project Fails to Copy Queries with visibility == VISIBILITY_ROLES
* Defect #17322: Long strings such as URL break out of box
* Defect #17484: Custom fields added to "spent time" don't show in context menu
* Defect #17828: Could not find gem 'mocha (~> 1.0.0) ruby'
* Defect #17931: note "Applied in changeset" generated multiple times for the same repo
* Defect #17954: /time_entries/new can't derive project from issue
* Defect #17959: Issue notes not previewed when project is changed
* Defect #18041: Wiki, Pdf export, Table, <pre>
* Defect #18110: Extraction of list of available locales is probe to bad gems
* Defect #18119: Thumbnail image path without HTTPS
* Defect #18144: German translation on "delete my account" page showing a "\n"
* Feature #10914: Include is_private setting in xml/json output
* Feature #12447: Support for PNG with alpha channel in pdf export
* Feature #14008: Add a warning if 2 plugins have the same settings partial name
* Feature #14030: Allow plugins to put gems inside PluginGemfile
* Feature #14599: Support 16-bit depth PNG images in PDF export
* Feature #16164: Bulk edit workflows for multiple trackers/roles
* Feature #16362: Option to send email on "Assignee updated"
* Feature #16707: Integrate support of SSL for POP3 incoming emails
* Feature #17077: fetch_changesets should use POST method too
* Feature #17380: Move project sidebar content to a partial
* Feature #17431: Display a target version's date if available in issue forms, as a tooltip
* Feature #17570: use rbpdf gem instead of bundled rfpdf
* Feature #17628: Expose project is_public property via API
* Feature #17955: Add link to /time_entries/new from My Page Spent Time block
* Feature #17976: Custom permissions per project for non member and anonymous users
* Feature #17993: Issues list : css tags to get sort orders
* Patch #6498: Make options parameter optional in User#allowed_to_globally?
* Patch #13589: Wiki PDF export for 2 column tables
* Patch #16190: Relax rejections based on Auto-Submitted header
* Patch #16240: Private notes should be marked more clearly
* Patch #16536: Japanese translation update (email notification)
* Patch #16556: Traditional Chinese "field_assigned_to" translation change
* Patch #16685: Introduce the request_store gem to hold User.current and prevent data leakage in error messages
* Patch #16704: Persian Translation
* Patch #16878: Parse configuration file for ERB
* Patch #16905: Count users with a single query on group list
* Patch #16925: Improve performance of Principal.member_of scope
* Patch #17308: Japanese translation change (fix terms mismatch in workflow)
* Patch #17346: Japanese translation change (followed updates of en.yml)
* Patch #17400: Typo in Changelog
* Patch #17401: Better fix for r13159 issue #16708
* Patch #17456: Japanese translation change (custom fields)
* Patch #17492: Lowering configuration.example.yml confusion
* Patch #17552: Bringing together of the translation of Members at Polish translation
* Patch #17563: Fixes some issues in the Galician (gl) translation
* Patch #17602: Include enabled modules in projects API
* Patch #17717: Password/Email address change should invalidate security tokens
* Patch #17796: Expire all other sessions on password change
* Patch #17847: Wiki extended help macros do not reflect basic Redmine macros
* Patch #17853: Portuguese translation file
* Patch #18047: MailHandler: Don't use String#respond_to?(:force_encoding) to differentiate between Ruby 1.8 and Ruby 1.9

== 2014-07-06 v2.5.2

* Defect #3483: Relative url for source links in notifications
* Defect #16415: Users get e-mail notification twice, if they are watchers and assignees at the same time.
* Defect #16519: Generating a spent time report on a list type custom field with multiple values causes an invalid SQL error
* Defect #16564: Repository identifiers can be reserved words
* Defect #16619: Mailer.token_for generates invalid message_id when using from address with full name
* Defect #16655: start_date not set despite settings[default_issue_start_date_to_creation_date] being set.
* Defect #16668: Redmine links broken when object name contains special characters
* Defect #16669: Markdown formatter should use the :no_intra_emphasis extension
* Defect #16708: Form is submitted when switching tab
* Defect #16739: custom_fields.json only returns single tracker instead of array of trackers
* Defect #16747: Remove useless settings when editing a query from the gantt
* Defect #16755: Field set as read-only still available in the issues list context menu
* Defect #16795: Member#destroy triggers after_destroy callbacks twice
* Defect #16798: Custom field - list type - checkboxes - unchecking all - does not save
* Defect #16926: Custom field referencing deleted value trigger an error on display
* Defect #16989: Inline images in email does not appear when thumbnail macro is used.
* Defect #17003: Option to display bool custom fields as a single checkbox
* Feature #3177: Add "Check for updates" functionality to installed plugins
* Feature #16194: Ruby 2.1 support
* Patch #16566: French "text_git_repository_note" translation
* Patch #16700: Blank content type for attachments attached via Ajax file upload
* Patch #16710: Support for the 1.x versions of mime-types gem
* Patch #16781: Crash in markdown formatter causes ruby process to end
* Patch #17166: Japanese translation update (plugin update check)
* Patch #17301: Czech plugin strings

== 2014-03-29 v2.5.1

* Defect #14298: Error generated on 'search for watchers to add' after clicking add without selected users
* Defect #16236: Right-aligned table of contents (TOC) not working with markdown
* Defect #16255: Internal Error for specific version of non-existent wiki page
* Defect #16259: Changing Tracker value on new issue form makes hidden fields appearing after hitting F5
* Defect #16321: Custom Fields with "Link values to URL" set are displayed as escaped html in email
* Defect #16338: Can't choose an issue of a different project when updating time entries
* Defect #16353: Regexp bug in JournalsController regexp handling when quoting existing journal entries
* Feature #16326: Custom queries, buttons to move column to top and bottom
* Patch #16291: Japanese translation update
* Patch #16319: Random crash when using custom fields
* Patch #16320: Turkish typo fix
* Patch #16334: Korean Translation
* Patch #16336: Russian translation
* Patch #16356: Spanish Translation: label_custom_field_select_type
* Patch #16368: Polish translation update
* Patch #16381: Extract code to render project context links to helper
* Patch #16453: Czech localisation
* Defect #16466: Fixed back url verification

== 2014-03-02 v2.5.0

* Defect #3163: Large inline images overflow
* Defect #13385: Searchable checkbox displayed on edit form for not-searchable custom field formats.
* Defect #13396: Updating an issue with user or list format custom field, currently having value that is locked or removed, clears that field
* Defect #14361: Mercurial commit ids are short (12 digits) on database
* Defect #15377: bundle install --without development test fails
* Defect #15381: Error pages improvement
* Defect #15485: HTML 5 validation multiple ids
* Defect #15551: Validating a Setting with invalid name triggers an error
* Defect #15552: Preferences are not preserved after adding user with validation error
* Defect #15704: Journal for relation should store relation type instead of i18n key
* Defect #15709: TimeEntry custom_values are not deleted from the database when destroying the associated project
* Defect #15831: Successful update notice for workflows
* Defect #15848: REST API: Cannot retrieve memberships of closed projects
* Defect #15929: REST API: Integer custom field validation fails when using non-string values
* Defect #15947: Deadlock when delete issues in same time on multiple sessions
* Defect #15983: Project.activities returns different types depending on context
* Defect #16077: Table of contents macro conflicts with collapse macro
* Defect #16091: Export CSV with many custom field runs many queries
* Defect #16107: ApplicationController mishandles non-Basic authentication information, causing an internal error
* Defect #16143: Can't insert too long comment field from repository (MySQL)
* Feature #1179: Optionally allow Text and Long Text custom fields support wiki formatting
* Feature #1358: Link_to for Custom Field
* Feature #2083: CustomField of type "external-link-to" with configurable URL prefix
* Feature #2549: Enable the watching of news
* Feature #2691: Option to disable automated language-guessing based on HTTP_ACCEPT_LANGUAGE HTTP-header
* Feature #8152: Render Version and User custom fields as links
* Feature #8562: Watchers list too big in new issue form
* Feature #8572: Configuration of which versions (by version-status) are shown in version-format custom fields
* Feature #8842: REST API: Filter issues created/updated before or after specific timestamp
* Feature #13134: Focus first text field automatically
* Feature #14309: Add favicon to Atom feeds
* Feature #15275: Improve usage of label "button_update"
* Feature #15362: Wrap filters, options and buttons with extra div on the issue list
* Feature #15520: Markdown formatting
* Feature #15699: Description for custom fields
* Feature #15701: Add project identifier substitution option to the URL-pattern property of link format custom fields
* Feature #15790: Use the mime-types gem to get mime type for unknown extension
* Feature #15815: REST API : Add project status in API response
* Feature #15926: Redirect to back_url or referer when clicking "Sign in" while already logged-in
* Patch #12753: Update config.i18n.load_path for plugin-supplied locales
* Patch #13774: Show warning if CSV-Export exceeds limit
* Patch #14766: Better block detection on my page
* Patch #15403: Czech "message" and "changeset" translation change
* Patch #15420: Don't create duplicate wikis in tests
* Patch #15689: Make favicon themeable
* Patch #15785: Support more character encodings in incoming emails

== 2014-03-02 v2.4.4

* Defect #16081: Export CSV - Custom field true/false not using translation
* Defect #16161: Parent task search and datepicker not available after changing status
* Defect #16169: Wrong validation when updating integer custom field with spaces
* Defect #16177: Mercurial 2.9 compatibility

== 2014-02-08 v2.4.3

* Defect #13544: Commit reference: autogenerated issue note has wrong commit link syntax in multi-repo or cross-project context
* Defect #15664: Unable to upload attachments without add_issues, edit_issues or add_issue_notes permission
* Defect #15756: 500 on admin info/settings page on development environment
* Defect #15781: Customfields have a noticable impact on search performance due to slow database COUNT
* Defect #15849: Redmine:Fetch_Changesets Single-inheritance issue in subclass "Repository:Git"
* Defect #15870: Parent task completion is 104% after update of subtasks
* Defect #16032: Repository.fetch_changesets > app/models/repository/git.rb:137:in `[]=': string not matched (IndexError)
* Defect #16038: Issue#css_classes corrupts user.groups association cache
* Patch #15960: pt-BR translation for 2.4-stable

Additional note:

#15781 was forgotten to merge to v2.4.3.
It is in v2.5.0.

== 2013-12-23 v2.4.2

* Defect #15398: HTML 5 invalid <center> tag
* Defect #15523: CSS class for done ratio is not properly generated
* Defect #15623: Timelog filtering by activity field does not handle project activity overrides
* Defect #15677: Links for relations in notifications do not include hostname
* Defect #15684: MailHandler : text/plain attachments are added to description
* Defect #15714: Notification on loosing assignment does not work
* Defect #15735: OpenID login fails due to CSRF verification
* Defect #15741: Multiple scrollbars in project selection tree
* Patch #9442: Russian wiki syntax help translations
* Patch #15524: Japanese translation update (r12278)
* Patch #15601: Turkish translation update
* Patch #15688: Spanish translation updated
* Patch #15696: Russian translation update

== 2013-11-23 v2.4.1

* Defect #15401: Wiki syntax "bold italic" is incorrect
* Defect #15414: Empty sidebar should not be displayed in project overview
* Defect #15427: REST API POST and PUT broken
* Patch #15376: Traditional Chinese translation (to r12295)
* Patch #15395: German "ImageMagick convert available" translation
* Patch #15400: Czech Wiki syntax traslation
* Patch #15402: Czech translation for 2.4-stable

== 2013-11-17 v2.4.0

* Defect #1983: statistics get rather cramped with more than 15 or so contributers
* Defect #7335: Sorting issues in gantt by date, not by id
* Defect #12681: Treat group assignments as assigned to me
* Defect #12824: Useless "edit" link in workflow menu
* Defect #13260: JQuery Datepicker popup is missing multiple month/year modifiers
* Defect #13537: Filters will show issues with unused custom fields.
* Defect #13829: Favicon bug in IE8
* Defect #13949: Handling of attachment uploads when 'Maximum attachment size' is set to 0
* Defect #13989: Trac and Mantis importers reset global notification settings
* Defect #13990: Trac importer breaks on exotic filenames and ruby 1.9+
* Defect #14028: Plugins Gemfiles loading breaks __FILE__
* Defect #14086: Better handling of issue start date validation
* Defect #14206: Synchronize the lang attribute of the HTML with the display language
* Defect #14403: No error message if notification mail could not delivered
* Defect #14516: Missing Sort Column Label and Center Align on Admin-Enumerations
* Defect #14517: Missing Html Tile on Admin (Groups, LDAP and Plugins)
* Defect #14598: Wrong test with logger.info in model mail_handler
* Defect #14615: Warn me when leaving a page with unsaved text doesn't work when editing an update note
* Defect #14621: AJAX call on the issue form resets data entered during the request
* Defect #14657: Wrong German translation for member inheritance
* Defect #14773: ActiveRecord::Acts::Versioned::ActMethods#next_version Generates ArgumentError
* Defect #14819: Newlines in attachment filename causes crash
* Defect #14986: 500 error when viewing a wiki page without WikiContent
* Defect #14995: Japanese "notice_not_authorized" translation is incorrect
* Defect #15044: Patch for giving controller_issues_edit_after_save api hook the correct context
* Defect #15050: redmine:migrate_from_mantis fails to migrate projects with all upper case name
* Defect #15058: Project authorization EnabledModule N+1 queries
* Defect #15113: The mail method should return a Mail::Message
* Defect #15135: Issue#update_nested_set_attributes comparing nil with empty string
* Defect #15191: HTML 5 validation failures
* Defect #15227: Custom fields in issue form - splitting is incorrect
* Defect #15307: HTML 5 deprecates width and align attributes
* Feature #1005: Add the addition/removal/change of related issues to the history
* Feature #1019: Role based custom queries
* Feature #1391: Ability to force user to change password
* Feature #2199: Ability to clear dates and text fields when bulk editing issues
* Feature #2427: Document horizontal rule syntax
* Feature #2795: Add a "Cancel" button to the "Delete" project page when deleting a project.
* Feature #2865: One click filter in search view
* Feature #3413: Exclude attachments from incoming emails based on file name
* Feature #3872: New user password - better functionality
* Feature #4911: Multiple issue update rules with different keywords in commit messages
* Feature #5037: Role-based issue custom field visibility
* Feature #7590: Different commit Keywords for each tracker
* Feature #7836: Ability to save Gantt query filters
* Feature #8253: Update CodeRay to 1.1 final
* Feature #11159: REST API for getting CustomField definitions
* Feature #12293: Add links to attachments in new issue email notification
* Feature #12912: Issue-notes Redmine links: append actual note reference to rendered links
* Feature #13157: Link on "My Page" to view all my spent time
* Feature #13746: Highlighting of source link target line
* Feature #13943: Better handling of validation errors when bulk editing issues
* Feature #13945: Disable autofetching of repository changesets if projects are closed
* Feature #14024: Default of issue start and due date
* Feature #14060: Enable configuration of OpenIdAuthentication.store
* Feature #14228: Registered users should have a way to get a new action email
* Feature #14614: View hooks for user preferences
* Feature #14630: wiki_syntax.html per language (wiki help localization mechanism)
* Feature #15136: Activate Custom Fields on a selection of projects directly from Custom fields page
* Feature #15182: Return to section anchor after wiki section edit
* Feature #15218: Update Rails 3.2.15
* Feature #15311: Add an indication to admin/info whether or not ImageMagick convert is available
* Patch #6689: Document project-links in parse_redmine_links
* Patch #13460: All translations: RSS -> Atom
* Patch #13482: Do not add empty header/footer to notification emails
* Patch #13528: Traditional Chinese "label_total_time" translation
* Patch #13551: update Dutch translations - March 2013
* Patch #13577: Japanese translation improvement ("done ratio")
* Patch #13646: Fix handling multiple text parts in email
* Patch #13674: Lithuanian translation
* Patch #13687: Favicon bug in opera browser
* Patch #13697: Back-button on diff page is not working when I'm directed from email
* Patch #13745: Correct translation for member save button
* Patch #13808: Changed Bulgarian "label_statistics" translation
* Patch #13825: German translation: jquery.ui.datepicker-de.js
* Patch #13900: Update URL when changing tab
* Patch #13931: Error and inconsistencies in Croatian translation
* Patch #13948: REST API should return user.status
* Patch #13988: Enhanced Arabic translation
* Patch #14138: Output changeset comment in html title
* Patch #14180: Improve pt-BR translation
* Patch #14222: German translation: grammar + spelling
* Patch #14223: Fix icon transparency issues
* Patch #14360: Slovene language translation
* Patch #14767: More CSS classes on various fields
* Patch #14901: Slovak translation
* Patch #14920: Russian numeric translation
* Patch #14981: Italian translation
* Patch #15072: Optimization of issues journal custom fields display
* Patch #15073: list custom fields : multiple select filter wider
* Patch #15075: Fix typo in the Dutch "label_user_mail_option_all" translation
* Patch #15277: Accept custom field format added at runtime
* Patch #15295: Log error messages when moving attachements in sub-directories
* Patch #15369: Bulgarian translation (r12278)

== 2013-11-17 v2.3.4

* Defect #13348: Repository tree can't handle two loading at once
* Defect #13632: Empty page attached when exporting PDF
* Defect #14590: migrate_from_trac.rake does not import Trac users, uses too short password
* Defect #14656: JRuby: Encoding error when creating issues
* Defect #14883: Update activerecord-jdbc-adapter
* Defect #14902: Potential invalid SQL error with invalid group_ids
* Defect #14931: SCM annotate with non ASCII author
* Defect #14960: migrate_from_mantis.rake does not import Mantis users, uses too short password
* Defect #14977: Internal Server Error while uploading file
* Defect #15190: JS-error while using a global custom query w/ project filter in a project context
* Defect #15235: Wiki Pages REST API with version returns wrong comments
* Defect #15344: Default status always inserted to allowed statuses when changing status
* Feature #14919: Update ruby-openid version above 2.3.0
* Patch #14592: migrate_from_trac.rake does not properly parse First Name and Last Name
* Patch #14886: Norweigan - label_copied_to and label_copied_from translated
* Patch #15185: Simplified Chinese translation for 2.3-stable

== 2013-09-14 v2.3.3

* Defect #13008: Usage of attribute_present? in UserPreference
* Defect #14340: Autocomplete fields rendering issue with alternate theme
* Defect #14366: Spent Time report sorting on custom fields causes error
* Defect #14369: Open/closed issue counts on issues summary are not displayed with SQLServer
* Defect #14401: Filtering issues on "related to" may ignore other filters
* Defect #14415: Spent time details and report should ignore 'Setting.display_subprojects_issues?' when 'Subproject' filter is enabled.
* Defect #14422: CVS root_url not recognized when connection string does not include port
* Defect #14447: Additional status transitions for assignees do not work if assigned to a group
* Defect #14511: warning: class variable access from toplevel on Ruby 2.0
* Defect #14562: diff of CJK (Chinese/Japanese/Korean) is broken on Ruby 1.8
* Defect #14584: Standard fields disabled for certain trackers still appear in email notifications
* Defect #14607: rake redmine:load_default_data Error
* Defect #14697: Wrong Russian translation in close project message
* Defect #14798: Wrong done_ratio calculation for parent with subtask having estimated_hours=0
* Patch #14485: Traditional Chinese translation for 2.3-stable
* Patch #14502: Russian translation for 2.3-stable
* Patch #14531: Spanish translations for 2.3.x
* Patch #14686: Portuguese translation for 2.3-stable

== 2013-07-14 v2.3.2

* Defect #9996: configuration.yml in documentation , but redmine ask me to create email.yml
* Defect #13692: warning: already initialized constant on Ruby 1.8.7
* Defect #13783: Internal error on time tracking activity enumeration deletion
* Defect #13821: "obj" parameter is not defined for macros used in description of documents
* Defect #13850: Unable to set custom fields for versions using the REST API
* Defect #13910: Values of custom fields are not kept in issues when copying a project
* Defect #13950: Duplicate Lithuanian "error_attachment_too_big" translation keys
* Defect #14015: Ruby hangs when adding a subtask
* Defect #14020: Locking and unlocking a user resets the email notification checkbox
* Defect #14023: Can't delete relation when Redmine runs in a subpath
* Defect #14051: Filtering issues with custom field in date format with NULL(empty) value
* Defect #14178: PDF API broken in version 2.3.1
* Defect #14186: Project name is not properly escaped in issue filters JSON
* Defect #14242: Project auto generation fails when projects created in the same time
* Defect #14245: Gem::InstallError: nokogiri requires Ruby version >= 1.9.2.
* Defect #14346: Latvian translation for "Log time"
* Feature #12888: Adding markings to emails generated by Private comments
* Feature #14419: Include RUBY_PATCHLEVEL and RUBY_RELEASE_DATE in info.rb
* Patch #14005: Swedish Translation for 2.3-stable
* Patch #14101: Receive IMAP by uid's
* Patch #14103: Disconnect and logout from IMAP after mail receive
* Patch #14145: German translation of x_hours
* Patch #14182: pt-BR translation for 2.3-stable
* Patch #14196: Italian translation for 2.3-stable
* Patch #14221: Translation of x_hours for many languages

== 2013-05-01 v2.3.1

* Defect #12650: Lost text after selection in issue list with IE
* Defect #12684: Hotkey for Issue-Edit doesn't work as expected
* Defect #13405: Commit link title is escaped twice when using "commit:" prefix
* Defect #13541: Can't access SCM when log/production.scm.stderr.log is not writable
* Defect #13579: Datepicker uses Simplified Chinese in Traditional Chinese locale
* Defect #13584: Missing Portuguese jQuery UI date picker
* Defect #13586: Circular loop testing prevents precedes/follows relation between subtasks
* Defect #13618: CSV export of spent time ignores filters and columns selection
* Defect #13630: PDF export generates the issue id twice
* Defect #13644: Diff - Internal Error
* Defect #13712: Fix email rake tasks to also support no_account_notice and default_group options
* Defect #13811: Broken javascript in IE7 ; recurrence of #12195
* Defect #13823: Trailing comma in javascript files
* Patch #13531: Traditional Chinese translation for 2.3-stable
* Patch #13552: Dutch translations for 2.3-stable
* Patch #13678: Lithuanian translation for 2.3-stable

== 2013-03-19 v2.3.0

* Defect #3107: Issue with two digit year on Logtime
* Defect #3371: Autologin does not work when using openid
* Defect #3676: www. generates broken link in formatted text
* Defect #4700: Adding news does not send notification to all project members
* Defect #5329: Time entries report broken on first week of year
* Defect #8794: Circular loop when using relations and subtasks
* Defect #9475: German Translation "My custom queries" and "Custom queries"
* Defect #9549: Only 100 users are displayed when adding new project members
* Defect #10277: Redmine wikitext URL-into-link creation with hyphen is wrong
* Defect #10364: Custom field float separator in CSV export
* Defect #10930: rake redmine:load_default_data error in 2.0 with SQLServer
* Defect #10977: Redmine shouldn't require all database gems
* Defect #12528: Handle temporary failures gracefully in the external mail handler script
* Defect #12629: Wrong German "label_issues_by" translation
* Defect #12641: Diff outputs become ??? in some non ASCII words.
* Defect #12707: Typo in app/models/tracker.rb
* Defect #12716: Attachment description lost when issue validation fails
* Defect #12735: Negative duration allowed
* Defect #12736: Negative start/due dates allowed
* Defect #12968: Subtasks don't resepect following/precedes
* Defect #13006: Filter "Assignee's group" doesn't work with group assignments
* Defect #13022: Image pointing towards /logout signs out user
* Defect #13059: Custom fields are listed two times in workflow/Fields permission
* Defect #13076: Project overview page shows trackers from subprojects with disabled issue module
* Defect #13119: custom_field_values are not reloaded on #reload
* Defect #13154: After upgrade to 2.2.2 ticket list on some projects fails
* Defect #13188: Forms are not updated after changing the status field without "Add issues" permission
* Defect #13251: Adding a "follows" relation may not refresh relations list
* Defect #13272: translation missing: setting_default_projects_tracker_ids
* Defect #13328: Copying an issue as a child of itself creates an extra issue
* Defect #13335: Autologin does not work with custom autologin cookie name
* Defect #13350: Japanese mistranslation fix
* Feature #824: Add "closed_on" issue field (storing time of last closing) & add it as a column and filter on the issue list.
* Feature #1766: Custom fields should become addable to Spent Time list/report
* Feature #3436: Show relations in Gantt diagram
* Feature #3957: Ajax file upload with progress bar
* Feature #5298: Store attachments in sub directories
* Feature #5605: Subprojects should (optionally) inherit Members from their parent
* Feature #6727: Add/remove issue watchers via REST API
* Feature #7159: Bulk watch/unwatch issues from the context menu
* Feature #8529: Get the API key of the user through REST API
* Feature #8579: Multiple file upload with HTML5 / Drag-and-Drop
* Feature #10191: Add Filters For Spent time's Details and Report
* Feature #10286: Auto-populate fields while creating a new user with LDAP
* Feature #10352: Preview should already display the freshly attached images
* Feature #11498: Add --no-account-notice option for the mail handler script
* Feature #12122: Gantt progress lines (html only)
* Feature #12228: JRuby 1.7.2 support
* Feature #12251: Custom fields: 'Multiple values' should be able to be checked and then unchecked
* Feature #12401: Split "Manage documents" permission into create, edit and delete permissions
* Feature #12542: Group events in the activity view
* Feature #12665: Link to a file in a repository branch
* Feature #12713: Microsoft SQLServer support
* Feature #12787: Remove "Warning - iconv will be deprecated in the future, use String#encode instead."
* Feature #12843: Add links to projects in Group projects list
* Feature #12898: Handle GET /issues/context_menu parameters nicely to prevent returning error 500 to crawlers
* Feature #12992: Make JSONP support optional and disabled by default
* Feature #13174: Raise group name maximum length to 255 characters
* Feature #13175: Possibility to define the default enable trackers when creating a project
* Feature #13329: Ruby 2.0 support
* Feature #13337: Split translation "label_total"
* Feature #13340: Mail handler: option to add created user to default group
* Feature #13341: Mail handler: --no-notification option to disable notifications to the created user
* Patch #7202: Polish translation for v1.0.4
* Patch #7851: Italian translation for 'issue'
* Patch #9225: Generate project identifier automatically with JavaScript
* Patch #10916: Optimisation in issues relations display
* Patch #12485: Don't force english language for default admin account
* Patch #12499: Use lambda in model scopes
* Patch #12611: Login link unexpected logs you out
* Patch #12626: Updated Japanese translations for button_view and permission_commit_access
* Patch #12640: Russian "about_x_hours" translation change
* Patch #12645: Russian numeric translation
* Patch #12660: Consistent German translation for my page
* Patch #12708: Restructured german translation (Cleanup)
* Patch #12721: Optimize MenuManager a bit
* Patch #12725: Change pourcent to percent (#12724)
* Patch #12754: Updated Japanese translation for notice_account_register_done
* Patch #12788: Copyright for 2013
* Patch #12806: Serbian translation change
* Patch #12810: Swedish Translation change
* Patch #12910: Plugin settings div should perhaps have 'settings' CSS class
* Patch #12911: Fix 500 error for requests to the settings path for non-configurable plugins
* Patch #12926: Bulgarian translation (r11218)
* Patch #12927: Swedish Translation for r11244
* Patch #12967: Change Spanish login/logout translations
* Patch #12988: Russian translation for trunk
* Patch #13080: German translation of label_in
* Patch #13098: Small datepicker improvements
* Patch #13152: Locale file for Azerbaijanian language
* Patch #13155: Add login to /users/:id API for current user
* Patch #13173: Put source :rubygems url HTTP secure
* Patch #13190: Bulgarian translation (r11404)
* Patch #13198: Traditional Chinese language file (to r11426)
* Patch #13203: German translation change for follow and precedes is inconsitent
* Patch #13206: Portuguese translation file
* Patch #13246: Some german translation patches
* Patch #13280: German translation (r11478)
* Patch #13301: Performance: avoid querying all memberships in User#roles_for_project
* Patch #13309: Add "tracker-[id]" CSS class to issues
* Patch #13324: fixing some pt-br locales
* Patch #13339: Complete language Vietnamese file
* Patch #13391: Czech translation update
* Patch #13399: Fixed some wrong or confusing translation in Korean locale
* Patch #13414: Bulgarian translation (r11567)
* Patch #13420: Korean translation for 2.3 (r11583)
* Patch #13437: German translation of setting_emails_header
* Patch #13438: English translation
* Patch #13447: German translation - some patches
* Patch #13450: Czech translation
* Patch #13475: fixing some pt-br locales
* Patch #13514: fixing some pt-br locales

== 2013-03-19 v2.2.4

* Upgrade to Rails 3.2.13
* Defect #12243: Ordering forum replies by last reply date is broken
* Defect #13127: h1 multiple lined titles breaks into main menu
* Defect #13138: Generating PDF of issue causes UndefinedConversionError with htmlentities gem
* Defect #13165: rdm-mailhandler.rb: initialize_http_header override basic auth
* Defect #13232: Link to topic in nonexistent forum causes error 500
* Patch #13181: Bulgarian translation of jstoolbar-bg.js
* Patch #13207: Portuguese translation for 2.2-stable
* Patch #13310: pt-BR label_last_n_weeks translation
* Patch #13325: pt-BR translation for 2.2-stable
* Patch #13343: Vietnamese translation for 2.2-stable
* Patch #13398: Czech translation for 2.2-stable

== 2013-02-12 v2.2.3

* Upgrade to Rails 3.2.12
* Defect #11987: pdf: Broken new line in table
* Defect #12930: 404 Error when referencing different project source files in the wiki syntax
* Defect #12979: Wiki link syntax commit:repo_a:abcd doesn't work
* Defect #13075: Can't clear custom field value through context menu in the issue list
* Defect #13097: Project copy fails when wiki module is disabled
* Defect #13126: Issue view: estimated time vs. spent time
* Patch #12922: Update Spanish translation
* Patch #12928: Bulgarian translation for 2.2-stable
* Patch #12987: Russian translation for 2.2-stable

== 2013-01-20 v2.2.2

* Defect #7510: Link to attachment should return latest attachment
* Defect #9842: {{toc}} is not replaced by table of content when exporting wiki page to pdf
* Defect #12749: Plugins cannot route wiki page sub-path
* Defect #12799: Cannot edit a wiki section which title starts with a tab
* Defect #12801: Viewing the history of a wiki page with attachments raises an error
* Defect #12833: Input fields restricted on length should have maxlength parameter set
* Defect #12838: Blank page when clicking Add with no block selected on my page layout
* Defect #12851: "Parent task is invalid" while editing child issues by Role with restricted Issues Visibility
* Patch #12800: Serbian Latin translation patch (sr-YU.yml)
* Patch #12809: Swedish Translation for r11162
* Patch #12818: Minor swedish translation fix

== 2013-01-09 v2.2.1

* Upgrade to Rails 3.2.11
* Defect #12652: "Copy ticket" selects "new ticket"
* Defect #12691: Textile Homepage Dead?
* Defect #12711: incorrect fix of lib/SVG/Graph/TimeSeries.rb
* Defect #12744: Unable to call a macro with a name that contains uppercase letters
* Defect #12776: Security vulnerability in Rails 3.2.10 (CVE-2013-0156)
* Patch #12630: Russian "x_hours" translation

== 2012-12-18 v2.2.0

* Defect #4787: Gannt to PNG - CJK (Chinese, Japanese and Korean) characters appear as ?
* Defect #8106: Issues by Category should show tasks without category
* Defect #8373: i18n string text_are_you_sure_with_children no longer used
* Defect #11426: Filtering with Due Date in less than N days should show overdue issues
* Defect #11834: Bazaar: "???" instead of non ASCII character in paths on non UTF-8 locale
* Defect #11868: Git and Mercurial diff displays deleted files as /dev/null
* Defect #11979: No validation errors when entering an invalid "Parent task"
* Defect #12012: Redmine::VERSION.revision method does not work on Subversion 1.7 working copy
* Defect #12018: Issue filter select box order changes randomly
* Defect #12090: email recipients not written to action_mailer log if BCC recipients setting is checked
* Defect #12092: Issue "start date" validation does not work correctly
* Defect #12285: Some unit and functional tests miss fixtures and break when run alone
* Defect #12286: Emails of private notes are sent to watcher users regardless of viewing permissions
* Defect #12310: Attachments may not be displayed in the order they were selected
* Defect #12356: Issue "Update" link broken focus
* Defect #12397: Error in Textile conversion of HTTP links, containing russian letters
* Defect #12434: Respond with 404 instead of 500 when requesting a wiki diff with invalid versions
* Feature #1554: Private comments in tickets
* Feature #2161: Time tracking code should respect weekends as "no work" days
* Feature #3239: Show related issues on the Issues Listing
* Feature #3265: Filter on issue relations
* Feature #3447: Option to display the issue descriptions on the issues list
* Feature #3511: Ability to sort issues by grouped column
* Feature #4590: Precede-Follow relation should move following issues when rescheduling issue earlier
* Feature #5487: Allow subtasks to cross projects
* Feature #6899: Add a relation between the original and copied issue
* Feature #7082: Rest API for wiki
* Feature #9835: REST API - List priorities
* Feature #10789: Macros {{child_pages}} with depth parameter
* Feature #10852: Ability to delete a version from a wiki page history
* Feature #10937: new user format #{lastname}
* Feature #11502: Expose roles details via REST API
* Feature #11755: Impersonate user through REST API auth
* Feature #12085: New user name format: firstname + first letter of lastname
* Feature #12125: Set filename used to store attachment updloaded via the REST API
* Feature #12167: Macro for inserting collapsible block of text
* Feature #12211: Wrap issue description and its contextual menu in a div
* Feature #12216: Textual CSS class for priorities
* Feature #12299: Redmine version requirement improvements (in plugins)
* Feature #12393: Upgrade to Rails 3.2.9
* Feature #12475: Lazy loading of translation files for faster startup
* Patch #11846: Fill username when authentification failed
* Patch #11862: Add "last 2 weeks" preset to time entries reporting
* Patch #11992: Japanese translation about issue relations improved
* Patch #12027: Incorrect Spanish "September" month name
* Patch #12061: Japanese translation improvement (permission names)
* Patch #12078: User#allowed_to? should return true or false
* Patch #12117: Change Japanese translation of "admin"
* Patch #12142: Updated translation in Lithuanian
* Patch #12232: German translation enhancements
* Patch #12316: Fix Lithuanian numeral translation
* Patch #12494: Bulgarian "button_submit" translation change
* Patch #12514: Updated translation in Lithuanian
* Patch #12602: Korean translation update for 2.2-stable
* Patch #12608: Norwegian translation changed
* Patch #12619: Russian translation change

== 2012-12-18 v2.1.5

* Defect #12400: Validation fails when receiving an email with list custom fields
* Defect #12451: Macros.rb extract_macro_options should use lazy search
* Defect #12513: Grouping of issues by custom fields not correct in PDF export
* Defect #12566: Issue history notes previews are broken
* Defect #12568: Clicking "edit" on a journal multiple times shows multiple forms
* Patch #12605: Norwegian translation for 1.4-stable update
* Patch #12614: Dutch translation
* Patch #12615: Russian translation

== 2012-11-24 v2.1.4

* Defect #12274: Wiki export from Index by title is truncated
* Defect #12298: Right-click context menu unable to batch/bulk update (IE8)
* Defect #12332: Repository identifier does not display on Project/Settings/Repositories
* Defect #12396: Error when receiving an email without subject header
* Defect #12399: Non ASCII attachment filename encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8
* Defect #12409: Git: changesets aren't read after clear_changesets call
* Defect #12431: Project.rebuild! sorts root projects by id instead of name

== 2012-11-17 v2.1.3

* Defect #12050: :export links to repository files lead to a 404 error
* Defect #12189: Missing tmp/pdf directory
* Defect #12195: Javascript error with IE7 / IE8 on new issue form
* Defect #12196: "Page not found" on OK button in SCM "View all revisions" page
* Defect #12199: Confirmation message displayed when clicking a disabled delete link in the context menu
* Defect #12231: Hardcoded "Back" in Repository
* Defect #12294: Incorrect german translation for "registered" users filter
* Defect #12349: Watchers auto-complete search on non-latin chars
* Defect #12358: 'None' grouped issue list section should be translated
* Defect #12359: Version date field regex validation accepts invalid date
* Defect #12375: Receiving mail subject encoding broken (MOJIBAKE) in some cases on Ruby 1.8
* Patch #9732: German translations
* Patch #12021: Russian locale translations
* Patch #12188: Simplified Chinese translation with zh.yml file based on Rev:10681
* Patch #12235: German translation for 2.1-stable
* Patch #12237: Added German Translation

== 2012-09-30 v2.1.2

* Defect #11929: XSS vulnerability in Redmine 2.1.x

== 2012-09-30 v2.1.1

* Defect #11290: ParseDate missing in Ruby 1.9x
* Defect #11844: "load_default_data" rake task fails to print the error message if one occurs
* Defect #11850: Can't create a user from ldap by on-the-fly on the redmine server using URI prefix
* Defect #11872: Private issue visible to anonymous users after its author is deleted
* Defect #11885: Filter misses Selectionfield on IE8
* Defect #11893: New relation form Cancel link is broken with Chrome 21
* Defect #11905: Potential "can't dup NilClass" error in UserPreference
* Defect #11909: Autocomplete results not reset after clearing search field
* Defect #11922: bs.yml and de.yml lead to error by number_to_currency()
* Defect #11945: rake task prints "can't convert Errno::EACCES into String" in case of no permission of public/plugin_assets
* Defect #11975: Undefined status transitions allowed in workflow (author of issue changes when selecting a new status)
* Defect #11982: SCM diff view generates extra parameter for switching mode
* Patch #11897: Traditional Chinese language file (to r10433)

== 2012-09-16 v2.1.0

* Defect #2071: Reordering priority-enumerations breaks alternate-theme's issue-colouring
* Defect #2190: Month names not translated to german
* Defect #8978: LDAP timeout if an LDAP auth provider is unreachable
* Defect #9839: Gantt abbr of weekday should not be necessarily the first letter of the long day name
* Defect #10928: Documentation about generating a plugin is not up-to-date
* Defect #11034: TLS configuration documentation for Rails 3
* Defect #11073: UserCustomField order_statement returns wrong output
* Defect #11153: Default sorting for target version is DESC instead of ASC
* Defect #11207: Issues associated with a locked version are not copied when copying a project
* Defect #11304: Issue-class: status-1, status-2 etc. refer to status position instead of status id
* Defect #11331: Openid registration form should not require user to enter password
* Defect #11345: Context menu should show shared versions when editing issues from different projects
* Defect #11355: Plain text notification emails content is HTML escaped
* Defect #11388: Updating a version through rest API returns invalid JSON
* Defect #11389: Warning in awesome_nested_set.rb
* Defect #11503: Accessing /projects/:project/wiki/something.png fails with error 500
* Defect #11506: Versions that are not shared should not be assignable when selecting another project
* Defect #11508: Projects not ordered alphabetically after renaming project
* Defect #11540: Roadmap anchor links can be ambigous
* Defect #11545: Overwriting existing method Issue.open
* Defect #11552: MailHandler does not match assignee name with spaces
* Defect #11571: Custom fields of type version not proper handled in receiving e-mails
* Defect #11577: Can't use non-latin anchor in wiki
* Defect #11612: Revision graph sometimes broken due to raphael.js error
* Defect #11621: Redmine MIME Detection Of Javascript Files Non-Standard
* Defect #11633: Macro arguments should not be parsed by text formatters
* Defect #11662: Invalid query returned from Issues.visible scope after accessing User#projects_by_role with a role that is not present
* Defect #11691: 404 response when deleting a user from the edit page
* Defect #11723: redmine:send_reminders notification misses if assignee is a group
* Defect #11738: Batch update of issues clears project path
* Defect #11749: Redmine.pm: HEAD is not considered as a read-only method
* Defect #11814: Date picker does not respect week start setting
* Feature #703: Configurable required fields per tracker/status/role
* Feature #1006: Display thumbnails of attached images
* Feature #1091: Disabling default ticket fields per tracker
* Feature #1360: Permission for adding an issue to a version.
* Feature #3061: Let macros optionally match over multiple lines and ignore single curly braces
* Feature #3510: Inserting image thumbnails inside the wiki
* Feature #3521: Permissions for roles to change fields per tracker/status
* Feature #3640: Freeze / Close Projects
* Feature #3831: Support for subforums
* Feature #6597: Configurable session lifetime and timeout
* Feature #6965: Option to Copy Subtasks when copying an issue
* Feature #8161: Ability to filter issues on project custom fields
* Feature #8577: "Private" column and filter on the issue list
* Feature #8981: REST Api for Groups
* Feature #9258: Create role by copy
* Feature #9419: Group/sort the issue list by user/version-format custom fields
* Feature #10362: Show images in repositories inline when clicking the 'View' link
* Feature #10419: Upgrade raphael.js (2.1.0)
* Feature #11068: Ability to set default column order in issue list
* Feature #11102: Add autocomplete to "Related issue" field on revision
* Feature #11109: Repository Identifier should be frozen
* Feature #11181: Additional "Log time" link on project overview
* Feature #11205: Reversed order of priorities on the issue summary page
* Feature #11445: Switch from Prototype to JQuery
* Feature #11469: JSONP support
* Feature #11475: Redmine.pm: Allow fallback to other Apache auth providers
* Feature #11494: Don't turn #nnn with leading zeros into links
* Feature #11539: Display a projects tree instead of a flat list in notification preferences
* Feature #11578: Option to pass whole arguments to a macro without splitting them
* Feature #11595: Missing mime type for svg files
* Feature #11758: Upgrade to Rails 3.2.8
* Patch #4905: Redmine.pm: add support for Git's smart HTTP protocol
* Patch #10988: New Korean translation patch
* Patch #11201: Korean translation special update
* Patch #11401: Fix Japanese mistranslation for "button_submit"
* Patch #11402: Japanese translation added for default role names
* Patch #11411: Fix disordered use of long sound in Japanese "user" translation
* Patch #11412: Unnatural Japanese message when users failed to login
* Patch #11419: Fix wrong Japanese "label_attachment" translation
* Patch #11496: Make labels clickable in Adminstration/Settings
* Patch #11704: Avoid the use of tag("...", "...", true) in layout
* Patch #11818: Redmine.pm fails when permissions are NULL

== 2012-09-16 v2.0.4

* Defect #10818: Running rake in test environment causes exception
* Defect #11209: Wiki diff may generate broken HTML
* Defect #11217: Project names in drop-down are escaped twice
* Defect #11262: Link is escaped in wiki added/updated notification email
* Defect #11307: Can't filter for negative numeric custom fields
* Defect #11325: Unified diff link broken on specific file/revision diff view
* Defect #11341: Escaped link in conflict resolution form
* Defect #11365: Attachment description length is not validated
* Defect #11511: Confirmation page has broken HTML when a project folding sub project is deleted
* Defect #11533: rake redmine:plugins:test doesn't run tests in subdirectories
* Defect #11541: Version sharing is missing in the REST API
* Defect #11550: Issue reminder doesn't work when using asynchronous delivery
* Defect #11776: Can't override mailer views inside redmine plugin.
* Defect #11789: Edit section links broken with h5/h6 headings
* Feature #11338: Exclude emails with auto-submitted => auto-generated
* Patch #11299: redmine:plugins:migrate should update db/schema.rb
* Patch #11328: Fix Japanese mistranslation for 'label_language_based'
* Patch #11448: Russian translation for 1.4-stable and 2.0-stable
* Patch #11600: Fix plural form of the abbreviation for hours in Brazilian Portuguese

== 2012-06-18 v2.0.3

* Defect #10688: PDF export from Wiki - Problems with tables
* Defect #11061: Cannot choose commit versions to view differences in Git/Mercurial repository view
* Defect #11065: E-Mail submitted tickets: German umlauts in 'Subject' get malformed (ruby 1.8)
* Defect #11098: Default priorities have the same position and can't be reordered
* Defect #11105: <% content_for :header_tags do %> doesn't work inside hook
* Defect #11112: REST API - custom fields in POST/PUT ignored for time_entries
* Defect #11118: "Maximum file size" displayed on upload forms is incorrect
* Defect #11124: Link to user is escaped in activity title
* Defect #11133: Wiki-page section edit link can point to incorrect section
* Defect #11160: SQL Error on time report if a custom field has multiple values for an entry
* Defect #11170: Topics sort order is broken in Redmine 2.x
* Defect #11178: Spent time sorted by date-descending order lists same-date entries in physical order (not-reverse)
* Defect #11185: Redmine fails to delete a project with parent/child task
* Feature #11162: Upgrade to Rails 3.2.6
* Patch #11113: Small glitch in German localization

== 2012-06-05 v2.0.2

* Defect #11032: Project list is not shown when "For any event on the selected projects only..." is selected on user edit panel
* Defect #11038: "Create and continue" should preserve project, issue and activity when logging time
* Defect #11046: Redmine.pm does not support "bind as user" ldap authentication
* Defect #11051: reposman.rb fails in 1.4.2 because of missing require for rubygems
* Defect #11085: Wiki start page can't be changed
* Feature #11084: Update Rails to 3.2.5

== 2012-05-28 v2.0.1

* Defect #10923: After creating a new Version Redmine jumps back to "Information"
* Defect #10932: Links to delete watchers are escaped when gravatars are enabled
* Defect #10964: Updated column doesn't get updated on issues
* Defect #10965: rake yard does not work for generating documentation.
* Defect #10972: Columns selection not displayed on the custom query form
* Defect #10991: My page > Spent time 'project' column is html-encoded
* Defect #10996: Time zones lost when upgrading from Redmine 1.4 to 2.0
* Defect #11013: Fetching Email from IMAP/POP3 - uninitialized constant RAILS_DEFAULT_LOGGER error
* Defect #11024: redmine_plugin_model generator does not create the migration
* Defect #11027: Saving new query without name causes escaping of input field
* Defect #11028: Project identifier can be updated

== 2012-05-15 v2.0.0

* Feature #4796: Rails 3 support
* Feature #7720: Limit the pagination-limit when max-results is fewer than max-pagination-limit
* Feature #9034: Add an id to the flash messages
* Patch #10782: Better translation for Estonian language

== 2012-05-13 v1.4.2

* Defect #10744: rake task redmine:email:test broken
* Defect #10787: "Allow users to unsubscribe" option is confusing
* Defect #10827: Cannot access Repositories page and Settings in a Project - Error 500
* Defect #10829: db:migrate fails 0.8.2 -> 1.4.1
* Defect #10832: REST Uploads fail with fastcgi
* Defect #10837: reposman and rdm-mailhandler not working with ruby 1.9.x
* Defect #10856: can not load translations from hr.yml with ruby1.9.3-p194
* Defect #10865: Filter reset when deleting locked user
* Feature #9790: Allow filtering text custom fields on "is null" and "is not null"
* Feature #10778: svn:ignore for config/additional_environment.rb
* Feature #10875: Partial Albanian Translations
* Feature #10888: Bring back List-Id to help aid Gmail filtering
* Patch #10733: Traditional Chinese language file (to r9502)
* Patch #10745: Japanese translation update (r9519)
* Patch #10750: Swedish Translation for r9522
* Patch #10785: Bulgarian translation (jstoolbar)
* Patch #10800: Simplified Chinese translation

== 2012-04-20 v1.4.1

* Defect #8574: Time report: date range fields not enabled when using the calendar popup
* Defect #10642: Nested textile ol/ul lists generate invalid HTML
* Defect #10668: RSS key is generated twice when user is not reloaded
* Defect #10669: Token.destroy_expired should not delete API tokens
* Defect #10675: "Submit and continue" is broken
* Defect #10711: User cannot change account details with "Login has already been taken" error
* Feature #10664: Unsubscribe Own User Account
* Patch #10693: German Translation Update

== 2012-04-14 v1.4.0

* Defect #2719: Increase username length limit from 30 to 60
* Defect #3087: Revision referring to issues across all projects
* Defect #4824: Unable to connect (can't convert Net::LDAP::LdapError into String)
* Defect #5058: reminder mails are not sent when delivery_method is :async_smtp
* Defect #6859: Moving issues to a tracker with different custom fields should let fill these fields
* Defect #7398: Error when trying to quick create a version with required custom field
* Defect #7495: Python multiline comments highlighting problem in Repository browser
* Defect #7826: bigdecimal-segfault-fix.rb must be removed for Oracle
* Defect #7920: Attempted to update a stale object when copying a project
* Defect #8857: Git: Too long in fetching repositories after upgrade from 1.1 or new branch at first time
* Defect #9472: The git scm module causes an excess amount of DB traffic.
* Defect #9685: Adding multiple times the same related issue relation is possible
* Defect #9798: Release 1.3.0 does not detect rubytree under ruby 1.9.3p0 / rails 2.3.14
* Defect #9978: Japanese "permission_add_issue_watchers" is wrong
* Defect #10006: Email reminders are sent for closed issues
* Defect #10150: CSV export and spent time: rounding issue
* Defect #10168: CSV export breaks custom columns
* Defect #10181: Issue context menu and bulk edit form show irrelevant statuses
* Defect #10198: message_id regex in pop3.rb only recognizes Message-ID header (not Message-Id)
* Defect #10251: Description diff link in note details is relative when received by email
* Defect #10272: Ruby 1.9.3: "incompatible character encoding" with LDAP auth
* Defect #10275: Message object not passed to wiki macros for head topic and in preview edit mode
* Defect #10334: Full name is not unquoted when creating users from emails
* Defect #10410: [Localization] Grammar issue of Simplified Chinese in zh.yml
* Defect #10442: Ruby 1.9.3 Time Zone setting Internal error.
* Defect #10467: Confusing behavior while moving issue to a project with disabled Issues module
* Defect #10575: Uploading of attachments which filename contains non-ASCII chars fails with Ruby 1.9
* Defect #10590: WikiContent::Version#text return string with #<Encoding:ASCII-8BIT> when uncompressed
* Defect #10593: Error: 'incompatible character encodings: UTF-8 and ASCII-8BIT' (old annoing issue) on ruby-1.9.3
* Defect #10600: Watchers search generates an Internal error
* Defect #10605: Bulk edit selected issues does not allow selection of blank values for custom fields
* Defect #10619: When changing status before tracker, it shows improper status
* Feature #779: Multiple SCM per project
* Feature #971: Add "Spent time" column to query
* Feature #1060: Add a LDAP-filter using external auth sources
* Feature #1102: Shortcut for assigning an issue to me
* Feature #1189: Multiselect custom fields
* Feature #1363: Allow underscores in project identifiers
* Feature #1913: LDAP - authenticate as user
* Feature #1972: Attachments for News
* Feature #2009: Manually add related revisions
* Feature #2323: Workflow permissions for administrators
* Feature #2416: {background:color} doesn't work in text formatting
* Feature #2694: Notification on loosing assignment
* Feature #2715: "Magic links" to notes
* Feature #2850: Add next/previous navigation to issue
* Feature #3055: Option to copy attachments when copying an issue
* Feature #3108: set parent automatically for new pages
* Feature #3463: Export all wiki pages to PDF
* Feature #4050: Ruby 1.9 support
* Feature #4769: Ability to move an issue to a different project from the update form
* Feature #4774: Change the hyperlink for file attachment to view and download
* Feature #5159: Ability to add Non-Member watchers to the watch list
* Feature #5638: Use Bundler (Gemfile) for gem management
* Feature #5643: Add X-Redmine-Sender header to email notifications
* Feature #6296: Bulk-edit custom fields through context menu
* Feature #6386: Issue mail should render the HTML version of the issue details
* Feature #6449: Edit a wiki page's parent on the edit page
* Feature #6555: Double-click on "Submit" and "Save" buttons should not send two requests to server
* Feature #7361: Highlight active query in the side bar
* Feature #7420: Rest API for projects members
* Feature #7603: Please make editing issues more obvious than "Change properties (More)"
* Feature #8171: Adding attachments through the REST API
* Feature #8691: Better handling of issue update conflict
* Feature #9803: Change project through REST API issue update
* Feature #9923: User type custom fields should be filterable by "Me".
* Feature #9985: Group time report by the Status field
* Feature #9995: Time entries insertion, "Create and continue" button
* Feature #10020: Enable global time logging at /time_entries/new
* Feature #10042: Bulk change private flag
* Feature #10126: Add members of subprojects in the assignee and author filters
* Feature #10131: Include custom fiels in time entries API responses
* Feature #10207: Git: use default branch from HEAD
* Feature #10208: Estonian translation
* Feature #10253: Better handling of attachments when validation fails
* Feature #10350: Bulk copy should allow for changing the target version
* Feature #10607: Ignore out-of-office incoming emails
* Feature #10635: Adding time like "123 Min" is invalid
* Patch #9998: Make attachement "Optional Description" less wide
* Patch #10066: i18n not working with russian gem
* Patch #10128: Disable IE 8 compatibility mode to fix wrong div.autoscroll scroll bar behaviour 
* Patch #10155: Russian translation changed
* Patch #10464: Enhanced PDF output for Issues list
* Patch #10470: Efficiently process new git revisions in a single batch
* Patch #10513: Dutch translation improvement

== 2012-04-14 v1.3.3

* Defect #10505: Error when exporting to PDF with NoMethodError (undefined method `downcase' for nil:NilClass)
* Defect #10554: Defect symbols when exporting tasks in pdf
* Defect #10564: Unable to change locked, sticky flags and board when editing a message
* Defect #10591: Dutch "label_file_added" translation is wrong
* Defect #10622: "Default administrator account changed" is always true
* Patch #10555: rake redmine:send_reminders aborted if issue assigned to group
* Patch #10611: Simplified Chinese translations for 1.3-stable

== 2012-03-11 v1.3.2

* Defect #8194: {{toc}} uses identical anchors for subsections with the same name
* Defect #9143: Partial diff comparison should be done on actual code, not on html
* Defect #9523: {{toc}} does not display headers with @ code markup
* Defect #9815: Release 1.3.0 does not detect rubytree with rubgems 1.8
* Defect #10053: undefined method `<=>' for nil:NilClass when accessing the settings of a project
* Defect #10135: ActionView::TemplateError (can't convert Fixnum into String)
* Defect #10193: Unappropriate icons in highlighted code block
* Defect #10199: No wiki section edit when title contains code
* Defect #10218: Error when creating a project with a version custom field
* Defect #10241: "get version by ID" fails with "401 not authorized" error when using API access key
* Defect #10284: Note added by commit from a subproject does not contain project identifier
* Defect #10374: User list is empty when adding users to project / group if remaining users are added late
* Defect #10390: Mass assignment security vulnerability
* Patch #8413: Confirmation message before deleting a relationship
* Patch #10160: Bulgarian translation (r8777)
* Patch #10242: Migrate Redmine.pm from Digest::Sha1 to Digest::Sha
* Patch #10258: Italian translation for 1.3-stable

== 2012-02-06 v1.3.1

* Defect #9775: app/views/repository/_revision_graph.html.erb sets window.onload directly..
* Defect #9792: Ruby 1.9: [v1.3.0] Error: incompatible character encodings for it translation on Calendar page
* Defect #9793: Bad spacing between numbered list and heading (recently broken).
* Defect #9795: Unrelated error message when creating a group with an invalid name
* Defect #9832: Revision graph height should depend on height of rows in revisions table
* Defect #9937: Repository settings are not saved when all SCM are disabled
* Defect #9961: Ukrainian "default_tracker_bug" is wrong
* Defect #10013: Rest API - Create Version -> Internal server error 500
* Defect #10115: Javascript error - Can't attach more than 1 file on IE 6 and 7
* Defect #10130: Broken italic text style in edited comment preview
* Defect #10152: Attachment diff type is not saved in user preference
* Feature #9943: Arabic translation
* Patch #9874: pt-BR translation updates
* Patch #9922: Spanish translation updated
* Patch #10137: Korean language file ko.yml updated to Redmine 1.3.0

== 2011-12-10 v1.3.0

* Defect #2109: Context menu is being submitted twice per right click
* Defect #7717: MailHandler user creation for unknown_user impossible due to diverging length-limits of login and email fields
* Defect #7917: Creating users via email fails if user real name containes special chars
* Defect #7966: MailHandler does not include JournalDetail for attached files
* Defect #8368: Bad decimal separator in time entry CSV
* Defect #8371: MySQL error when filtering a custom field using the REST api
* Defect #8549: Export CSV has character encoding error
* Defect #8573: Do not show inactive Enumerations where not needed
* Defect #8611: rake/rdoctask is deprecated
* Defect #8751: Email notification: bug, when number of recipients more then 8
* Defect #8894: Private issues - make it more obvious in the UI?
* Defect #8994: Hardcoded French string "anonyme"
* Defect #9043: Hardcoded string "diff" in Wiki#show and Repositories_Helper
* Defect #9051: wrong "text_issue_added" in russian translation.
* Defect #9108: Custom query not saving status filter
* Defect #9252: Regression: application title escaped 2 times
* Defect #9264: Bad Portuguese translation
* Defect #9470: News list is missing Avatars
* Defect #9471: Inline markup broken in Wiki link labels
* Defect #9489: Label all input field and control tags
* Defect #9534: Precedence: bulk email header is non standard and discouraged
* Defect #9540: Issue filter by assigned_to_role is not project specific
* Defect #9619: Time zone ignored when logging time while editing ticket
* Defect #9638: Inconsistent image filename extensions
* Defect #9669: Issue list doesn't sort assignees/authors regarding user display format
* Defect #9672: Message-quoting in forums module broken
* Defect #9719: Filtering by numeric custom field types broken after update to master
* Defect #9724: Can't remote add new categories
* Defect #9738: Setting of cross-project custom query is not remembered inside project
* Defect #9748: Error about configuration.yml validness should mention file path
* Feature #69: Textilized description in PDF
* Feature #401: Add pdf export for WIKI page
* Feature #1567: Make author column sortable and groupable
* Feature #2222: Single section edit.
* Feature #2269: Default issue start date should become configurable.
* Feature #2371: character encoding for attachment file
* Feature #2964: Ability to assign issues to groups
* Feature #3033: Bug Reporting: Using "Create and continue" should show bug id of saved bug
* Feature #3261: support attachment images in PDF export
* Feature #4264: Update CodeRay to 1.0 final
* Feature #4324: Redmine renames my files, it shouldn't.
* Feature #4729: Add Date-Based Filters for Issues List
* Feature #4742: CSV export: option to export selected or all columns
* Feature #4976: Allow rdm-mailhandler to read the API key from a file
* Feature #5501: Git: Mercurial: Adding visual merge/branch history to repository view
* Feature #5634: Export issue to PDF does not include Subtasks and Related Issues
* Feature #5670: Cancel option for file upload
* Feature #5737: Custom Queries available through the REST Api
* Feature #6180: Searchable custom fields do not provide adequate operators
* Feature #6954: Filter from date to date
* Feature #7180: List of statuses in REST API
* Feature #7181: List of trackers in REST API
* Feature #7366: REST API for Issue Relations
* Feature #7403: REST API for Versions
* Feature #7671: REST API for reading attachments
* Feature #7832: Ability to assign issue categories to groups
* Feature #8420: Consider removing #7013 workaround
* Feature #9196: Improve logging in MailHandler when user creation fails
* Feature #9496: Adds an option in mailhandler to disable server certificate verification
* Feature #9553: CRUD operations for "Issue categories" in REST API
* Feature #9593: HTML title should be reordered
* Feature #9600: Wiki links for news and forums
* Feature #9607: Filter for issues without start date (or any another field based on date type)
* Feature #9609: Upgrade to Rails 2.3.14
* Feature #9612: "side by side" and "inline" patch view for attachments
* Feature #9667: Check attachment size before upload
* Feature #9690: Link in notification pointing to the actual update
* Feature #9720: Add note number for single issue's PDF
* Patch #8617: Indent subject of subtask ticket in exported issues PDF
* Patch #8778: Traditional Chinese 'issue' translation change
* Patch #9053: Fix up Russian translation
* Patch #9129: Improve wording of Git repository note at project setting
* Patch #9148: Better handling of field_due_date italian translation
* Patch #9273: Fix typos in russian localization
* Patch #9484: Limit SCM annotate to text files under the maximum file size for viewing
* Patch #9659: Indexing rows in auth_sources/index view
* Patch #9692: Fix Textilized description in PDF for CodeRay

== 2011-12-10 v1.2.3

* Defect #8707: Reposman: wrong constant name
* Defect #8809: Table in timelog report overflows
* Defect #9055: Version files in Files module cannot be downloaded if issue tracking is disabled
* Defect #9137: db:encrypt fails to handle repositories with blank password
* Defect #9394: Custom date field only validating on regex and not a valid date
* Defect #9405: Any user with :log_time permission can edit time entries via context menu
* Defect #9448: The attached images are not shown in documents
* Defect #9520: Copied private query not visible after project copy
* Defect #9552: Error when reading ciphered text from the database without cipher key configured
* Defect #9566: Redmine.pm considers all projects private when login_required is enabled
* Defect #9567: Redmine.pm potential security issue with cache credential enabled and subversion
* Defect #9577: Deleting a subtasks doesn't update parent's rgt & lft values
* Defect #9597: Broken version links in wiki annotate history
* Defect #9682: Wiki HTML Export only useful when Access history is accessible
* Defect #9737: Custom values deleted before issue submit
* Defect #9741: calendar-hr.js (Croatian) is not UTF-8
* Patch #9558: Simplified Chinese translation for 1.2.2 updated
* Patch #9695: Bulgarian translation (r7942)

== 2011-11-11 v1.2.2

* Defect #3276: Incorrect handling of anchors in Wiki to HTML export
* Defect #7215: Wiki formatting mangles links to internal headers
* Defect #7613: Generated test instances may share the same attribute value object
* Defect #8411: Can't remove "Project" column on custom query
* Defect #8615: Custom 'version' fields don't show shared versions
* Defect #8633: Pagination counts non visible issues
* Defect #8651: Email attachments are not added to issues any more in v1.2
* Defect #8825: JRuby + Windows: SCMs do not work on Redmine 1.2
* Defect #8836: Additional workflow transitions not available when set to both author and assignee
* Defect #8865: Custom field regular expression is not validated
* Defect #8880: Error deleting issue with grandchild
* Defect #8884: Assignee is cleared when updating issue with locked assignee
* Defect #8892: Unused fonts in rfpdf plugin folder
* Defect #9161: pt-BR field_warn_on_leaving_unsaved has a small gramatical error
* Defect #9308: Search fails when a role haven't "view wiki" permission
* Defect #9465: Mercurial: can't browse named branch below Mercurial 1.5

== 2011-07-11 v1.2.1

* Defect #5089: i18N error on truncated revision diff view
* Defect #7501: Search options get lost after clicking on a specific result type
* Defect #8229: "project.xml" response does not include the parent ID
* Defect #8449: Wiki annotated page does not display author of version 1
* Defect #8467: Missing german translation - Warn me when leaving a page with unsaved text
* Defect #8468: No warning when leaving page with unsaved text that has not lost focus
* Defect #8472: Private checkbox ignored on issue creation with "Set own issues public or private" permission
* Defect #8510: JRuby: Can't open administrator panel if scm command is not available
* Defect #8512: Syntax highlighter on Welcome page
* Defect #8554: Translation missing error on custom field validation
* Defect #8565: JRuby: Japanese PDF export error
* Defect #8566: Exported PDF UTF-8 Vietnamese not correct
* Defect #8569: JRuby: PDF export error with TypeError
* Defect #8576: Missing german translation - different things
* Defect #8616: Circular relations
* Defect #8646: Russian translation "label_follows" and "label_follows" are wrong
* Defect #8712: False 'Description updated' journal details messages
* Defect #8729: Not-public queries are not private
* Defect #8737: Broken line of long issue description on issue PDF.
* Defect #8738: Missing revision number/id of associated revisions on issue PDF
* Defect #8739: Workflow copy does not copy advanced workflow settings
* Defect #8759: Setting issue attributes from mail should be case-insensitive
* Defect #8777: Mercurial: Not able to Resetting Redmine project respository

== 2011-05-30 v1.2.0

* Defect #61: Broken character encoding in pdf export
* Defect #1965: Redmine is not Tab Safe
* Defect #2274: Filesystem Repository path encoding of non UTF-8 characters
* Defect #2664: Mercurial: Repository path encoding of non UTF-8 characters
* Defect #3421: Mercurial reads files from working dir instead of changesets
* Defect #3462: CVS: Repository path encoding of non UTF-8 characters
* Defect #3715: Login page should not show projects link and search box if authentication is required
* Defect #3724: Mercurial repositories display revision ID instead of changeset ID
* Defect #3761: Most recent CVS revisions are missing in "revisions" view
* Defect #4270: CVS Repository view in Project doesn't show Author, Revision, Comment
* Defect #5138: Don't use Ajax for pagination
* Defect #5152: Cannot use certain characters for user and role names.
* Defect #5251: Git: Repository path encoding of non UTF-8 characters
* Defect #5373: Translation missing when adding invalid watchers
* Defect #5817: Shared versions not shown in subproject's gantt chart
* Defect #6013: git tab,browsing, very slow -- even after first time
* Defect #6148: Quoting, newlines, and nightmares...
* Defect #6256: Redmine considers non ASCII and UTF-16 text files as binary in SCM
* Defect #6476: Subproject's issues are not shown in the subproject's gantt
* Defect #6496: Remove i18n 0.3.x/0.4.x hack for Rails 2.3.5
* Defect #6562: Context-menu deletion of issues deletes all subtasks too without explicit prompt
* Defect #6604: Issues targeted at parent project versions' are not shown on gantt chart
* Defect #6706: Resolving issues with the commit message produces the wrong comment with CVS
* Defect #6901: Copy/Move an issue does not give any history of who actually did the action.
* Defect #6905: Specific heading-content breaks CSS
* Defect #7000: Project filter not applied on versions in Gantt chart
* Defect #7097: Starting day of week cannot be set to Saturday
* Defect #7114: New gantt doesn't display some projects
* Defect #7146: Git adapter lost commits before 7 days from database latest changeset
* Defect #7218: Date range error on issue query
* Defect #7257: "Issues by" version links bad criterias
* Defect #7279: CSS class ".icon-home" is not used.
* Defect #7320: circular dependency >2 issues
* Defect #7352: Filters not working in Gantt charts
* Defect #7367: Receiving pop3 email should not output debug messages
* Defect #7373: Error with PDF output and ruby 1.9.2
* Defect #7379: Remove extraneous hidden_field on wiki history
* Defect #7516: Redmine does not work with RubyGems 1.5.0
* Defect #7518: Mercurial diff can be wrong if the previous changeset isn't the parent
* Defect #7581: Not including a spent time value on the main issue update screen causes silent data loss
* Defect #7582: hiding form pages from search engines
* Defect #7597: Subversion and Mercurial log have the possibility to miss encoding
* Defect #7604: ActionView::TemplateError (undefined method `name' for nil:NilClass)
* Defect #7605: Using custom queries always redirects to "Issues" tab
* Defect #7615: CVS diffs do not handle new files properly
* Defect #7618: SCM diffs do not handle one line new files properly
* Defect #7639: Some date fields do not have requested format.
* Defect #7657: Wrong commit range in git log command on Windows
* Defect #7818: Wiki pages don't use the local timezone to display the "Updated ? hours ago" mouseover
* Defect #7821: Git "previous" and "next" revisions are incorrect
* Defect #7827: CVS: Age column on repository view is off by timezone delta
* Defect #7843: Add a relation between issues = explicit login window ! (basic authentication popup is prompted on AJAX request)
* Defect #8011: {{toc}} does not display headlines with inline code markup
* Defect #8029: List of users for adding to a group may be empty if 100 first users have been added
* Defect #8064: Text custom fields do not wrap on the issue list
* Defect #8071: Watching a subtask from the context menu updates main issue watch link
* Defect #8072: Two untranslatable default role names
* Defect #8075: Some "notifiable" names are not i18n-enabled
* Defect #8081: GIT: Commits missing when user has the "decorate" git option enabled
* Defect #8088: Colorful indentation of subprojects must be on right in RTL locales
* Defect #8239: notes field is not propagated during issue copy
* Defect #8356: GET /time_entries.xml ignores limit/offset parameters
* Defect #8432: Private issues information shows up on Activity page for unauthorized users
* Feature #746: Versioned issue descriptions
* Feature #1067: Differentiate public/private saved queries in the sidebar
* Feature #1236: Make destination folder for attachment uploads configurable
* Feature #1735: Per project repository log encoding setting
* Feature #1763: Autologin-cookie should be configurable
* Feature #1981: display mercurial tags
* Feature #2074: Sending email notifications when comments are added in the news section
* Feature #2096: Custom fields referencing system tables (users and versions)
* Feature #2732: Allow additional workflow transitions for author and assignee
* Feature #2910: Warning on leaving edited issue/wiki page without saving
* Feature #3396: Git: use --encoding=UTF-8 in "git log"
* Feature #4273: SCM command availability automatic check in administration panel
* Feature #4477: Use mime types in downloading from repository
* Feature #5518: Graceful fallback for "missing translation" needed
* Feature #5520: Text format buttons and preview link missing when editing comment
* Feature #5831: Parent Task to Issue Bulk Edit
* Feature #6887: Upgrade to Rails 2.3.11
* Feature #7139: Highlight changes inside diff lines
* Feature #7236: Collapse All for Groups
* Feature #7246: Handle "named branch" for mercurial
* Feature #7296: Ability for admin to delete users
* Feature #7318: Add user agent to Redmine Mailhandler
* Feature #7408: Add an application configuration file
* Feature #7409: Cross project Redmine links
* Feature #7410: Add salt to user passwords
* Feature #7411: Option to cipher LDAP ans SCM passwords stored in the database
* Feature #7412: Add an issue visibility level to each role
* Feature #7414: Private issues
* Feature #7517: Configurable path of executable for scm adapters
* Feature #7640: Add "mystery man" gravatar to options
* Feature #7858: RubyGems 1.6 support
* Feature #7893: Group filter on the users list
* Feature #7899: Box for editing comments should open with the formatting toolbar
* Feature #7921: issues by pulldown should have 'status' option
* Feature #7996: Bulk edit and context menu for time entries
* Feature #8006: Right click context menu for Related Issues
* Feature #8209: I18n YAML files not parsable with psych yaml library
* Feature #8345: Link to user profile from account page
* Feature #8365: Git: per project setting to report last commit or not in repository tree
* Patch #5148: metaKey not handled in issues selection
* Patch #5629: Wrap text fields properly in PDF
* Patch #7418: Redmine Persian Translation
* Patch #8295: Wrap title fields properly in PDF
* Patch #8310: fixes automatic line break problem with TCPDF
* Patch #8312: Switch to TCPDF from FPDF for PDF export

== 2011-04-29 v1.1.3

* Defect #5773: Email reminders are sent to locked users
* Defect #6590: Wrong file list link in email notification on new file upload
* Defect #7589: Wiki page with backslash in title can not be found
* Defect #7785: Mailhandler keywords are not removed when updating issues
* Defect #7794: Internal server error on formatting an issue as a PDF in Japanese
* Defect #7838: Gantt- Issues does not show up in green when start and end date are the same
* Defect #7846: Headers (h1, etc.) containing backslash followed by a digit are not displayed correctly
* Defect #7875: CSV export separators in polish locale (pl.yml)
* Defect #7890: Internal server error when referencing an issue without project in commit message
* Defect #7904: Subprojects not properly deleted when deleting a parent project
* Defect #7939: Simultaneous Wiki Updates Cause Internal Error
* Defect #7951: Atom links broken on wiki index
* Defect #7954: IE 9 can not select issues, does not display context menu
* Defect #7985: Trying to do a bulk edit results in "Internal Error"
* Defect #8003: Error raised by reposman.rb under Windows server 2003
* Defect #8012: Wrong selection of modules when adding new project after validation error
* Defect #8038: Associated Revisions OL/LI items are not styled properly in issue view
* Defect #8067: CSV exporting in Italian locale
* Defect #8235: bulk edit issues and copy issues error in es, gl and ca locales
* Defect #8244: selected modules are not activated when copying a project
* Patch #7278: Update Simplified Chinese translation to 1.1
* Patch #7390: Fixes in Czech localization
* Patch #7963: Reminder email: Link for show all issues does not sort

== 2011-03-07 v1.1.2

* Defect #3132: Bulk editing menu non-functional in Opera browser
* Defect #6090: Most binary files become corrupted when downloading from CVS repository browser when Redmine is running on a Windows server
* Defect #7280: Issues subjects wrap in Gantt
* Defect #7288: Non ASCII filename downloaded from repo is broken on Internet Explorer.
* Defect #7317: Gantt tab gives internal error due to nil avatar icon
* Defect #7497: Aptana Studio .project file added to version 1.1.1-stable
* Defect #7611: Workflow summary shows X icon for workflow with exactly 1 status transition
* Defect #7625: Syntax highlighting unavailable from board new topic or topic edit preview
* Defect #7630: Spent time in commits not recognized
* Defect #7656: MySQL SQL Syntax Error when filtering issues by Assignee's Group
* Defect #7718: Minutes logged in commit message are converted to hours
* Defect #7763: Email notification are sent to watchers even if 'No events' setting is chosen
* Feature #7608: Add "retro" gravatars
* Patch #7598: Extensible MailHandler
* Patch #7795: Internal server error at journals#index with custom fields

== 2011-01-30 v1.1.1

* Defect #4899: Redmine fails to list files for darcs repository
* Defect #7245: Wiki fails to find pages with cyrillic characters using postgresql
* Defect #7256: redmine/public/.htaccess must be moved for non-fastcgi installs/upgrades
* Defect #7258: Automatic spent time logging does not work properly with SQLite3
* Defect #7259: Released 1.1.0 uses "devel" label inside admin information
* Defect #7265: "Loading..." icon does not disappear after add project member
* Defect #7266: Test test_due_date_distance_in_words fail due to undefined locale
* Defect #7274: CSV value separator in dutch locale
* Defect #7277: Enabling gravatas causes usernames to overlap first name field in user list
* Defect #7294: "Notifiy for only project I select" is not available anymore in 1.1.0
* Defect #7307: HTTP 500 error on query for empty revision
* Defect #7313: Label not translated in french in Settings/Email Notification tab
* Defect #7329: <code class="javascript"> with long strings may hang server
* Defect #7337: My page french translation
* Defect #7348: French Translation of "Connection"
* Defect #7385: Error when viewing an issue which was related to a deleted subtask
* Defect #7386: NoMethodError on pdf export
* Defect #7415: Darcs adapter recognizes new files as modified files above Darcs 2.4
* Defect #7421: no email sent with 'Notifiy for any event on the selected projects only'
* Feature #5344: Update to latest CodeRay 0.9.x

== 2011-01-09 v1.1.0

* Defect #2038: Italics in wiki headers show-up wrong in the toc
* Defect #3449: Redmine Takes Too Long On Large Mercurial Repository
* Defect #3567: Sorting for changesets might go wrong on Mercurial repos
* Defect #3707: {{toc}} doesn't work with {{include}}
* Defect #5096: Redmine hangs up while browsing Git repository
* Defect #6000: Safe Attributes prevents plugin extension of Issue model...
* Defect #6064: Modules not assigned to projects created via API
* Defect #6110: MailHandler should allow updating Issue Priority and Custom fields
* Defect #6136: JSON API holds less information than XML API
* Defect #6345: xml used by rest API is invalid
* Defect #6348: Gantt chart PDF rendering errors
* Defect #6403: Updating an issue with custom fields fails
* Defect #6467: "Member of role", "Member of group" filter not work correctly
* Defect #6473: New gantt broken after clearing issue filters
* Defect #6541: Email notifications send to everybody
* Defect #6549: Notification settings not migrated properly
* Defect #6591: Acronyms must have a minimum of three characters
* Defect #6674: Delete time log broken after changes to REST
* Defect #6681: Mercurial, Bazaar and Darcs auto close issue text should be commit id instead of revision number
* Defect #6724: Wiki uploads does not work anymore (SVN 4266)
* Defect #6746: Wiki links are broken on Activity page
* Defect #6747: Wiki diff does not work since r4265
* Defect #6763: New gantt charts: subject displayed twice on issues
* Defect #6826: Clicking "Add" twice creates duplicate member record
* Defect #6844: Unchecking status filter on the issue list has no effect
* Defect #6895: Wrong Polish translation of "blocks"
* Defect #6943: Migration from boolean to varchar fails on PostgreSQL 8.1
* Defect #7064: Mercurial adapter does not recognize non alphabetic nor numeric in UTF-8 copied files
* Defect #7128: New gantt chart does not render subtasks under parent task
* Defect #7135: paging mechanism returns the same last page forever
* Defect #7188: Activity page not refreshed when changing language
* Defect #7195: Apply CLI-supplied defaults for incoming mail only to new issues not replies
* Defect #7197: Tracker reset to default when replying to an issue email
* Defect #7213: Copy project does not copy all roles and permissions
* Defect #7225: Project settings: Trackers & Custom fields only relevant if module Issue tracking is active
* Feature #630: Allow non-unique names for projects
* Feature #1738: Add a "Visible" flag to project/user custom fields
* Feature #2803: Support for Javascript in Themes
* Feature #2852: Clean Incoming Email of quoted text "----- Reply above this line ------"
* Feature #2995: Improve error message when trying to access an archived project
* Feature #3170: Autocomplete issue relations on subject
* Feature #3503: Administrator Be Able To Modify Email settings Of Users
* Feature #4155: Automatic spent time logging from commit messages
* Feature #5136: Parent select on Wiki rename page
* Feature #5338: Descendants (subtasks) should be available via REST API
* Feature #5494: Wiki TOC should display heading from level 4
* Feature #5594: Improve MailHandler's keyword handling
* Feature #5622: Allow version to be set via incoming email
* Feature #5712: Reload themes
* Feature #5869: Issue filters by Group and Role
* Feature #6092: Truncate Git revision labels in Activity page/feed and allow configurable length
* Feature #6112: Accept localized keywords when receiving emails
* Feature #6140: REST issues response with issue count limit and offset
* Feature #6260: REST API for Users
* Feature #6276: Gantt Chart rewrite
* Feature #6446: Remove length limits on project identifier and name
* Feature #6628: Improvements in truncate email
* Feature #6779: Project JSON API
* Feature #6823: REST API for time tracker.
* Feature #7072: REST API for news
* Feature #7111: Expose more detail on journal entries
* Feature #7141: REST API: get information about current user
* Patch #4807: Allow to set the done_ratio field with the incoming mail system
* Patch #5441: Initialize TimeEntry attributes with params[:time_entry]
* Patch #6762: Use GET instead of POST to retrieve context_menu
* Patch #7160: French translation ofr "not_a_date" is missing
* Patch #7212: Missing remove_index in AddUniqueIndexOnMembers down migration


== 2010-12-23 v1.0.5

* #6656: Mercurial adapter loses seconds of commit times
* #6996: Migration trac(sqlite3) -> redmine(postgresql) doesnt escape ' char
* #7013: v-1.0.4 trunk - see {{count}} in page display rather than value
* #7016: redundant 'field_start_date' in ja.yml
* #7018: 'undefined method `reschedule_after' for nil:NilClass' on new issues
* #7024: E-mail notifications about Wiki changes.
* #7033: 'class' attribute of <pre> tag shouldn't be truncate
* #7035: CSV value separator in russian
* #7122: Issue-description Quote-button missing
* #7144: custom queries making use of deleted custom fields cause a 500 error
* #7162: Multiply defined label in french translation

== 2010-11-28 v1.0.4

* #5324: Git not working if color.ui is enabled
* #6447: Issues API doesn't allow full key auth for all actions
* #6457: Edit User group problem
* #6575: start date being filled with current date even when blank value is submitted
* #6740: Max attachment size, incorrect usage of 'KB'
* #6760: Select box sorted by ID instead of name in Issue Category
* #6766: Changing target version name can cause an internal error
* #6784: Redmine not working with i18n gem 0.4.2
* #6839: Hardcoded absolute links in my/page_layout
* #6841: Projects API doesn't allow full key auth for all actions
* #6860: svn: Write error: Broken pipe when browsing repository
* #6874: API should return XML description when creating a project
* #6932: submitting wrong parent task input creates a 500 error
* #6966: Records of Forums are remained, deleting project
* #6990: Layout problem in workflow overview
* #5117: mercurial_adapter should ensure the right LANG environment variable
* #6782: Traditional Chinese language file (to r4352)
* #6783: Swedish Translation for r4352
* #6804: Bugfix: spelling fixes
* #6814: Japanese Translation for r4362
* #6948: Bulgarian translation
* #6973: Update es.yml

== 2010-10-31 v1.0.3

* #4065: Redmine.pm doesn't work with LDAPS and a non-standard port
* #4416: Link from version details page to edit the wiki.
* #5484: Add new issue as subtask to an existing ticket
* #5948: Update help/wiki_syntax_detailed.html with more link options
* #6494: Typo in pt_BR translation for 1.0.2
* #6508: Japanese translation update
* #6509: Localization pt-PT (new strings)
* #6511: Rake task to test email
* #6525: Traditional Chinese language file (to r4225)
* #6536: Patch for swedish translation
* #6548: Rake tasks to add/remove i18n strings
* #6569: Updated Hebrew translation
* #6570: Japanese Translation for r4231
* #6596: pt-BR translation updates
* #6629: Change field-name of issues start date
* #6669: Bulgarian translation
* #6731: Macedonian translation fix
* #6732: Japanese Translation for r4287
* #6735: Add user-agent to reposman
* #6736: Traditional Chinese language file (to r4288)
* #6739: Swedish Translation for r4288
* #6765: Traditional Chinese language file (to r4302)
* Fixed #5324: Git not working if color.ui is enabled
* Fixed #5652: Bad URL parsing in the wiki when it ends with right-angle-bracket(greater-than mark).
* Fixed #5803: Precedes/Follows Relationships Broke
* Fixed #6435: Links to wikipages bound to versions do not respect version-sharing in Settings -> Versions
* Fixed #6438: Autologin cannot be disabled again once it's enabled
* Fixed #6513: "Move" and "Copy" are not displayed when deployed in subdirectory
* Fixed #6521: Tooltip/label for user "search-refinment" field on group/project member list
* Fixed #6563: i18n-issues on calendar view
* Fixed #6598: Wrong caption for button_create_and_continue in German language file
* Fixed #6607: Unclear caption for german button_update
* Fixed #6612: SortHelper missing from CalendarsController
* Fixed #6740: Max attachment size, incorrect usage of 'KB'
* Fixed #6750: ActionView::TemplateError (undefined method `empty?' for nil:NilClass) on line #12 of app/views/context_menus/issues.html.erb:

== 2010-09-26 v1.0.2

* #2285: issue-refinement: pressing enter should result to an "apply"
* #3411: Allow mass status update trough context menu
* #5929: https-enabled gravatars when called over https
* #6189: Japanese Translation for r4011
* #6197: Traditional Chinese language file (to r4036)
* #6198: Updated german translation
* #6208: Macedonian translation
* #6210: Swedish Translation for r4039
* #6248: nl translation update for r4050
* #6263: Catalan translation update
* #6275: After submitting a related issue, the Issue field should be re-focused
* #6289: Checkboxes in issues list shouldn't be displayed when printing
* #6290: Make journals theming easier
* #6291: User#allowed_to? is not tested
* #6306: Traditional Chinese language file (to r4061)
* #6307: Korean translation update for 4066(4061)
* #6316: pt_BR update
* #6339: SERBIAN Updated
* #6358: Updated Polish translation
* #6363: Japanese Translation for r4080
* #6365: Traditional Chinese language file (to r4081)
* #6382: Issue PDF export variable usage
* #6428: Interim solution for i18n >= 0.4
* #6441: Japanese Translation for r4162
* #6451: Traditional Chinese language file (to r4167)
* #6465: Japanese Translation for r4171
* #6466: Traditional Chinese language file (to r4171)
* #6490: pt-BR translation for 1.0.2
* Fixed #3935: stylesheet_link_tag with plugin doesn't take into account relative_url_root
* Fixed #4998: Global issue list's context menu has enabled options for parent menus but there are no valid selections
* Fixed #5170: Done ratio can not revert to 0% if status is used for done ratio
* Fixed #5608: broken with i18n 0.4.0
* Fixed #6054: Error 500 on filenames with whitespace in git reposities
* Fixed #6135: Default logger configuration grows without bound.
* Fixed #6191: Deletion of a main task deletes all subtasks
* Fixed #6195: Missing move issues between projects
* Fixed #6242: can't switch between inline and side-by-side diff
* Fixed #6249: Create and continue returns 404
* Fixed #6267: changing the authentication mode from ldap to internal with setting the password
* Fixed #6270: diff coderay malformed in the "news" page
* Fixed #6278: missing "cant_link_an_issue_with_a_descendant"from locale files
* Fixed #6333: Create and continue results in a 404 Error
* Fixed #6346: Age column on repository view is skewed for git, probably CVS too
* Fixed #6351: Context menu on roadmap broken
* Fixed #6388: New Subproject leads to a 404
* Fixed #6392: Updated/Created links to activity broken
* Fixed #6413: Error in SQL
* Fixed #6443: Redirect to project settings after Copying a Project
* Fixed #6448: Saving a wiki page with no content has a translation missing
* Fixed #6452: Unhandled exception on creating File
* Fixed #6471: Typo in label_report in Czech translation
* Fixed #6479: Changing tracker type will lose watchers
* Fixed #6499: Files with leading or trailing whitespace are not shown in git.

== 2010-08-22 v1.0.1

* #819: Add a body ID and class to all pages
* #871: Commit new CSS styles!
* #3301: Add favicon to base layout
* #4656: On Issue#show page, clicking on "Add related issue" should focus on the input
* #4896: Project identifier should be a limited field
* #5084: Filter all isssues by projects
* #5477: Replace Test::Unit::TestCase with ActiveSupport::TestCase
* #5591: 'calendar' action is used with 'issue' controller in issue/sidebar
* #5735: Traditional Chinese language file (to r3810)
* #5740: Swedish Translation for r3810
* #5785: pt-BR translation update
* #5898: Projects should be displayed as links in users/memberships
* #5910: Chinese translation to redmine-1.0.0
* #5912: Translation update for french locale
* #5962: Hungarian translation update to r3892
* #5971: Remove falsly applied chrome on revision links
* #5972: Updated Hebrew translation for 1.0.0
* #5982: Updated german translation
* #6008: Move admin_menu to Redmine::MenuManager
* #6012: RTL layout
* #6021: Spanish translation 1.0.0-RC
* #6025: nl translation updated for r3905
* #6030: Japanese Translation for r3907
* #6074: sr-CY.yml contains DOS-type newlines (\r\n)
* #6087: SERBIAN translation updated
* #6093: Updated italian translation
* #6142: Swedish Translation for r3940
* #6153: Move view_calendar and view_gantt to own modules
* #6169: Add issue status to issue tooltip
* Fixed #3834: Add a warning when not choosing a member role
* Fixed #3922: Bad english arround "Assigned to" text in journal entries
* Fixed #5158: Simplified Chinese language file zh.yml updated to r3608
* Fixed #5162: translation missing: zh-TW, field_time_entrie
* Fixed #5297: openid not validated correctly
* Fixed #5628: Wrong commit range in git log command
* Fixed #5760: Assigned_to and author filters in "Projects>View all issues" should be based on user's project visibility
* Fixed #5771: Problem when importing git repository
* Fixed #5775: ldap authentication in admin menu should have an icon
* Fixed #5811: deleting statuses doesnt delete workflow entries
* Fixed #5834: Emails with trailing spaces incorrectly detected as invalid
* Fixed #5846: ChangeChangesPathLengthLimit does not remove default for MySQL
* Fixed #5861: Vertical scrollbar always visible in Wiki "code" blocks in Chrome.
* Fixed #5883: correct label_project_latest Chinese translation
* Fixed #5892: Changing status from contextual menu opens the ticket instead
* Fixed #5904: Global gantt PDF and PNG should display project names
* Fixed #5925: parent task's priority edit should be disabled through shortcut menu in issues list page
* Fixed #5935: Add Another file to ticket doesn't work in IE Internet Explorer
* Fixed #5937: Harmonize french locale "zero" translation with other locales
* Fixed #5945: Forum message permalinks don't take pagination into account
* Fixed #5978: Debug code still remains
* Fixed #6009: When using "English (British)", the repository browser (svn) shows files over 1000 bytes as floating point (2.334355)
* Fixed #6045: Repository file Diff view sometimes shows more than selected file
* Fixed #6079: German Translation error in TimeEntryActivity
* Fixed #6100: User's profile should display all visible projects
* Fixed #6132: Allow Key based authentication in the Boards atom feed
* Fixed #6163: Bad CSS class for calendar project menu_item
* Fixed #6172: Browsing to a missing user's page shows the admin sidebar

== 2010-07-18 v1.0.0 (Release candidate)

* #443: Adds context menu to the roadmap issue lists
* #443: Subtasking
* #741: Description preview while editing an issue
* #1131: Add support for alternate (non-LDAP) authentication
* #1214: REST API for Issues
* #1223: File upload on wiki edit form
* #1755: add "blocked by" as a related issues option
* #2420: Fetching emails from an POP server
* #2482: Named scopes in Issue and ActsAsWatchable plus some view refactoring (logic extraction).
* #2924: Make the right click menu more discoverable using a cursor property
* #2985: Make syntax highlighting pluggable
* #3201: Workflow Check/Uncheck All Rows/Columns
* #3359: Update CodeRay 0.9
* #3706: Allow assigned_to field configuration on Issue creation by email
* #3936: configurable list of models to include in search
* #4480: Create a link to the user profile from the administration interface
* #4482: Cache textile rendering
* #4572: Make it harder to ruin your database
* #4573: Move github gems to Gemcutter
* #4664: Add pagination to forum threads
* #4732: Make login case-insensitive also for PostgreSQL
* #4812: Create links to other projects
* #4819: Replace images with smushed ones for speed
* #4945: Allow custom fields attached to project to be searchable
* #5121: Fix issues list layout overflow
* #5169: Issue list view hook request
* #5208: Aibility to edit wiki sidebar
* #5281: Remove empty ul tags in the issue history
* #5291: Updated basque translations
* #5328: Automatically add "Repository" menu_item after repository creation
* #5415: Fewer SQL statements generated for watcher_recipients
* #5416: Exclude "fields_for" from overridden methods in TabularFormBuilder
* #5573: Allow issue assignment in email
* #5595: Allow start date and due dates to be set via incoming email
* #5752: The projects view (/projects) renders ul's wrong
* #5781: Allow to use more macros on the welcome page and project list
* Fixed #1288: Unable to past escaped wiki syntax in an issue description
* Fixed #1334: Wiki formatting character *_ and _*
* Fixed #1416: Inline code with less-then/greater-than produces @lt; and @gt; respectively
* Fixed #2473: Login and mail should not be case sensitive
* Fixed #2990: Ruby 1.9 - wrong number of arguments (1 for 0) on rake db:migrate
* Fixed #3089: Text formatting sometimes breaks when combined
* Fixed #3690: Status change info duplicates on the issue screen
* Fixed #3691: Redmine allows two files with the same file name to be uploaded to the same issue
* Fixed #3764: ApplicationHelperTest fails with JRuby
* Fixed #4265: Unclosed code tags in issue descriptions affects main UI
* Fixed #4745: Bug in index.xml.builder (issues)
* Fixed #4852: changing user/roles of project member not possible without javascript
* Fixed #4857: Week number calculation in date picker is wrong if a week starts with Sunday
* Fixed #4883: Bottom "contextual" placement in issue with associated changeset
* Fixed #4918: Revisions r3453 and r3454 broke On-the-fly user creation with LDAP
* Fixed #4935: Navigation to the Master Timesheet page (time_entries)
* Fixed #5043: Flash messages are not displayed after the project settings[module/activity] saved
* Fixed #5081: Broken links on public/help/wiki_syntax_detailed.html
* Fixed #5104: Description of document not wikified on documents index
* Fixed #5108: Issue linking fails inside of []s
* Fixed #5199: diff code coloring using coderay
* Fixed #5233: Add a hook to the issue report (Summary) view
* Fixed #5265: timetracking: subtasks time is added to the main task
* Fixed #5343: acts_as_event Doesn't Accept Outside URLs
* Fixed #5440: UI Inconsistency : Administration > Enumerations table row headers should be enclosed in <thead>
* Fixed #5463: 0.9.4 INSTALL and/or UPGRADE, missing session_store.rb
* Fixed #5524: Update_parent_attributes doesn't work for the old parent issue when reparenting
* Fixed #5548: SVN Repository: Can not list content of a folder which includes square brackets.
* Fixed #5589: "with subproject" malfunction
* Fixed #5676: Search for Numeric Value
* Fixed #5696: Redmine + PostgreSQL 8.4.4 fails on _dir_list_content.rhtml
* Fixed #5698: redmine:email:receive_imap fails silently for mails with subject longer than 255 characters
* Fixed #5700: TimelogController#destroy assumes success
* Fixed #5751: developer role is mispelled
* Fixed #5769: Popup Calendar doesn't Advance in Chrome
* Fixed #5771: Problem when importing git repository
* Fixed #5823: Error in comments in plugin.rb


== 2010-07-07 v0.9.6

* Fixed: Redmine.pm access by unauthorized users

== 2010-06-24 v0.9.5

* Linkify folder names on revision view
* "fiters" and "options" should be hidden in print view via css
* Fixed: NoMethodError when no issue params are submitted
* Fixed: projects.atom with required authentication
* Fixed: External links not correctly displayed in Wiki TOC
* Fixed: Member role forms in project settings are not hidden after member added
* Fixed: pre can't be inside p
* Fixed: session cookie path does not respect RAILS_RELATIVE_URL_ROOT
* Fixed: mail handler fails when the from address is empty


== 2010-05-01 v0.9.4

* Filters collapsed by default on issues index page for a saved query
* Fixed: When categories list is too big the popup menu doesn't adjust (ex. in the issue list)
* Fixed: remove "main-menu" div when the menu is empty
* Fixed: Code syntax highlighting not working in Document page
* Fixed: Git blame/annotate fails on moved files
* Fixed: Failing test in test_show_atom
* Fixed: Migrate from trac - not displayed Wikis
* Fixed: Email notifications on file upload sent to empty recipient list
* Fixed: Migrating from trac is not possible, fails to allocate memory
* Fixed: Lost password no longer flashes a confirmation message
* Fixed: Crash while deleting in-use enumeration
* Fixed: Hard coded English string at the selection of issue watchers
* Fixed: Bazaar v2.1.0 changed behaviour
* Fixed: Roadmap display can raise an exception if no trackers are selected
* Fixed: Gravatar breaks layout of "logged in" page
* Fixed: Reposman.rb on Windows
* Fixed: Possible error 500 while moving an issue to another project with SQLite
* Fixed: backslashes in issue description/note should be escaped when quoted
* Fixed: Long text in <pre> disrupts Associated revisions
* Fixed: Links to missing wiki pages not red on project overview page
* Fixed: Cannot delete a project with subprojects that shares versions
* Fixed: Update of Subversion changesets broken under Solaris
* Fixed: "Move issues" permission not working for Non member
* Fixed: Sidebar overlap on Users tab of Group editor
* Fixed: Error on db:migrate with table prefix set (hardcoded name in principal.rb)
* Fixed: Report shows sub-projects for non-members
* Fixed: 500 internal error when browsing any Redmine page in epiphany
* Fixed: Watchers selection lost when issue creation fails
* Fixed: When copying projects, redmine should not generate an email to people who created issues
* Fixed: Issue "#" table cells should have a class attribute to enable fine-grained CSS theme
* Fixed: Plugin generators should display help if no parameter is given


== 2010-02-28 v0.9.3

* Adds filter for system shared versions on the cross project issue list
* Makes project identifiers searchable
* Remove invalid utf8 sequences from commit comments and author name
* Fixed: Wrong link when "http" not included in project "Homepage" link
* Fixed: Escaping in html email templates
* Fixed: Pound (#) followed by number with leading zero (0) removes leading zero when rendered in wiki
* Fixed: Deselecting textile text formatting causes interning empty string errors
* Fixed: error with postgres when entering a non-numeric id for an issue relation
* Fixed: div.task incorrectly wrapping on Gantt Chart
* Fixed: Project copy loses wiki pages hierarchy
* Fixed: parent project field doesn't include blank value when a member with 'add subproject' permission edits a child project
* Fixed: Repository.fetch_changesets tries to fetch changesets for archived projects
* Fixed: Duplicated project name for subproject version on gantt chart
* Fixed: roadmap shows subprojects issues even if subprojects is unchecked
* Fixed: IndexError if all the :last menu items are deleted from a menu
* Fixed: Very high CPU usage for a long time when fetching commits from a large Git repository


== 2010-02-07 v0.9.2

* Fixed: Sub-project repository commits not displayed on parent project issues
* Fixed: Potential security leak on my page calendar
* Fixed: Project tree structure is broken by deleting the project with the subproject
* Fixed: Error message shown duplicated when creating a new group
* Fixed: Firefox cuts off large pages
* Fixed: Invalid format parameter returns a DoubleRenderError on issues index
* Fixed: Unnecessary Quote button on locked forum message
* Fixed: Error raised when trying to view the gantt or calendar with a grouped query
* Fixed: PDF support for Korean locale
* Fixed: Deprecation warning in extra/svn/reposman.rb


== 2010-01-30 v0.9.1

* Vertical alignment for inline images in formatted text set to 'middle'
* Fixed: Redmine.pm error "closing dbh with active statement handles at /usr/lib/perl5/Apache/Redmine.pm"
* Fixed: copyright year in footer set to 2010
* Fixed: Trac migration script may not output query lines
* Fixed: Email notifications may affect language of notice messages on the UI
* Fixed: Can not search for 2 letters word
* Fixed: Attachments get saved on issue update even if validation fails
* Fixed: Tab's 'border-bottom' not absent when selected
* Fixed: Issue summary tables that list by user are not sorted
* Fixed: Issue pdf export fails if target version is set
* Fixed: Issue list export to PDF breaks when issues are sorted by a custom field
* Fixed: SQL error when adding a group
* Fixes: Min password length during password reset always displays as 4 chars


== 2010-01-09 v0.9.0 (Release candidate)

* Unlimited subproject nesting
* Multiple roles per user per project
* User groups
* Inheritence of versions
* OpenID login
* "Watched by me" issue filter
* Project copy
* Project creation by non admin users
* Accept emails from anyone on a private project
* Add email notification on Wiki changes
* Make issue description non-required field
* Custom fields for Versions
* Being able to sort the issue list by custom fields
* Ability to close versions
* User display/editing of custom fields attached to their user profile
* Add "follows" issue relation
* Copy workflows between trackers and roles
* Defaults enabled modules list for project creation
* Weighted version completion percentage on the roadmap
* Autocreate user account when user submits email that creates new issue
* CSS class on overdue issues on the issue list
* Enable tracker update on issue edit form
* Remove issue watchers
* Ability to move threads between project forums
* Changed custom field "Possible values" to a textarea
* Adds projects association on tracker form
* Set session store to cookie store by default
* Set a default wiki page on project creation
* Roadmap for main project should see Roadmaps for sub projects
* Ticket grouping on the issue list
* Hierarchical Project links in the page header
* Allow My Page blocks to be added to from a plugin
* Sort issues by multiple columns
* Filters of saved query are now visible and be adjusted without editing the query
* Saving "sort order" in custom queries
* Url to fetch changesets for a repository
* Managers able to create subprojects
* Issue Totals on My Page Modules
* Convert Enumerations to single table inheritance (STI)
* Allow custom my_page blocks to define drop-down names
* "View Issues" user permission added
* Ask user what to do with child pages when deleting a parent wiki page
* Contextual quick search
* Allow resending of password by email
* Change reply subject to be a link to the reply itself
* Include Logged Time as part of the project's Activity history
* REST API for authentication
* Browse through Git branches
* Setup Object Daddy to replace test fixtures
* Setup shoulda to make it easier to test
* Custom fields and overrides on Enumerations
* Add or remove columns from the issue list
* Ability to add new version from issues screen
* Setting to choose which day calendars start
* Asynchronous email delivery method
* RESTful URLs for (almost) everything
* Include issue status in search results and activity pages
* Add email to admin user search filter
* Proper content type for plain text mails
* Default value of project jump box
* Tree based menus
* Ability to use issue status to update percent done
* Second set of issue "Action Links" at the bottom of an issue page
* Proper exist status code for rdm-mailhandler.rb
* Remove incoming email body via a delimiter
* Fixed: Custom querry 'Export to PDF' ignores field selection
* Fixed: Related e-mail notifications aren't threaded
* Fixed: No warning when the creation of a categories from the issue form fails
* Fixed: Actually block issues from closing when relation 'blocked by' isn't closed
* Fixed: Include both first and last name when sorting by users
* Fixed: Table cell with multiple line text
* Fixed: Project overview page shows disabled trackers
* Fixed: Cross project issue relations and user permissions
* Fixed: My page shows tickets the user doesn't have access to
* Fixed: TOC does not parse wiki page reference links with description
* Fixed: Target version-list on bulk edit form is incorrectly sorted
* Fixed: Cannot modify/delete project named "Documents"
* Fixed: Email address in brackets breaks html
* Fixed: Timelog detail loose issue filter passing to report tab
* Fixed: Inform about custom field's name maximum length
* Fixed: Activity page and Atom feed links contain project id instead of identifier
* Fixed: no Atom key for forums with only 1 forum
* Fixed: When reading RSS feed in MS Outlook, the inline links are broken.
* Fixed: Sometimes new posts don't show up in the topic list of a forum.
* Fixed: The all/active filter selection in the project view does not stick.
* Fixed: Login box has Different width
* Fixed: User removed from project - still getting project update emails
* Fixed: Project with the identifier of 'new' cannot be viewed
* Fixed: Artefacts in search view (Cyrillic)
* Fixed: Allow [#id] as subject to reply by email
* Fixed: Wrong language used when closing an issue via a commit message
* Fixed: email handler drops emails for new issues with no subject
* Fixed: Calendar misspelled under Roles/Permissions
* Fixed: Emails from no-reply redmine's address hell cycle
* Fixed: child_pages macro fails on wiki page history
* Fixed: Pre-filled time tracking date ignores timezone
* Fixed: Links on locked users lead to 404 page
* Fixed: Page changes in issue-list when using context menu
* Fixed: diff parser removes lines starting with multiple dashes
* Fixed: Quoting in forums resets message subject
* Fixed: Editing issue comment removes quote link
* Fixed: Redmine.pm ignore browse_repository permission
* Fixed: text formatting breaks on [msg1][msg2]
* Fixed: Spent Time Default Value of 0.0
* Fixed: Wiki pages in search results are referenced by project number, not by project identifier.
* Fixed: When logging in via an autologin cookie the user's last_login_on should be updated
* Fixed: 50k users cause problems in project->settings->members screen
* Fixed: Document timestamp needs to show updated timestamps
* Fixed: Users getting notifications for issues they are no longer allowed to view
* Fixed: issue summary counts should link to the issue list without subprojects
* Fixed: 'Delete' link on LDAP list has no effect


== 2009-11-15 v0.8.7

* Fixed: Hide paragraph terminator at the end of headings on html export
* Fixed: pre tags containing "<pre*"
* Fixed: First date of the date range not included in the time report with SQLite
* Fixed: Password field not styled correctly on alternative stylesheet
* Fixed: Error when sumbitting a POST request that requires a login
* Fixed: CSRF vulnerabilities


== 2009-11-04 v0.8.6

* Change links to closed issues to be a grey color
* Change subversion adapter to not cache authentication and run non interactively
* Fixed: Custom Values with a nil value cause HTTP error 500
* Fixed: Failure to convert HTML entities when editing an Issue reply
* Fixed: Error trying to show repository when there are no comments in a changeset
* Fixed: account/show/:user_id should not be accessible for other users not in your projects
* Fixed: XSS vulnerabilities
* Fixed: IssuesController#destroy should accept POST only
* Fixed: Inline images in wiki headings


== 2009-09-13 v0.8.5

* Incoming mail handler : Allow spaces between keywords and colon
* Do not require a non-word character after a comma in Redmine links
* Include issue hyperlinks in reminder emails
* Prevent nil error when retrieving svn version
* Various plugin hooks added
* Add plugins information to script/about
* Fixed: 500 Internal Server Error is raised if add an empty comment to the news
* Fixed: Atom links for wiki pages are not correct
* Fixed: Atom feeds leak email address
* Fixed: Case sensitivity in Issue filtering
* Fixed: When reading RSS feed, the inline-embedded images are not properly shown


== 2009-05-17 v0.8.4

* Allow textile mailto links
* Fixed: memory consumption when uploading file
* Fixed: Mercurial integration doesn't work if Redmine is installed in folder path containing space
* Fixed: an error is raised when no tab is available on project settings
* Fixed: insert image macro corrupts urls with excalamation marks
* Fixed: error on cross-project gantt PNG export
* Fixed: self and alternate links in atom feeds do not respect Atom specs
* Fixed: accept any svn tunnel scheme in repository URL
* Fixed: issues/show should accept user's rss key
* Fixed: consistency of custom fields display on the issue detail view
* Fixed: wiki comments length validation is missing
* Fixed: weak autologin token generation algorithm causes duplicate tokens


== 2009-04-05 v0.8.3

* Separate project field and subject in cross-project issue view
* Ability to set language for redmine:load_default_data task using REDMINE_LANG environment variable
* Rescue Redmine::DefaultData::DataAlreadyLoaded in redmine:load_default_data task
* CSS classes to highlight own and assigned issues
* Hide "New file" link on wiki pages from printing
* Flush buffer when asking for language in redmine:load_default_data task
* Minimum project identifier length set to 1
* Include headers so that emails don't trigger vacation auto-responders
* Fixed: Time entries csv export links for all projects are malformed
* Fixed: Files without Version aren't visible in the Activity page
* Fixed: Commit logs are centered in the repo browser
* Fixed: News summary field content is not searchable
* Fixed: Journal#save has a wrong signature
* Fixed: Email footer signature convention
* Fixed: Timelog report do not show time for non-versioned issues


== 2009-03-07 v0.8.2

* Send an email to the user when an administrator activates a registered user
* Strip keywords from received email body
* Footer updated to 2009
* Show RSS-link even when no issues is found
* One click filter action in activity view
* Clickable/linkable line #'s while browsing the repo or viewing a file
* Links to versions on files list
* Added request and controller objects to the hooks by default
* Fixed: exporting an issue with attachments to PDF raises an error
* Fixed: "too few arguments" error may occur on activerecord error translation
* Fixed: "Default columns Displayed on the Issues list" setting is not easy to read
* Fixed: visited links to closed tickets are not striked through with IE6
* Fixed: MailHandler#plain_text_body returns nil if there was nothing to strip
* Fixed: MailHandler raises an error when processing an email without From header


== 2009-02-15 v0.8.1

* Select watchers on new issue form
* Issue description is no longer a required field
* Files module: ability to add files without version
* Jump to the current tab when using the project quick-jump combo
* Display a warning if some attachments were not saved
* Import custom fields values from emails on issue creation
* Show view/annotate/download links on entry and annotate views
* Admin Info Screen: Display if plugin assets directory is writable
* Adds a 'Create and continue' button on the new issue form
* IMAP: add options to move received emails
* Do not show Category field when categories are not defined
* Lower the project identifier limit to a minimum of two characters
* Add "closed" html class to closed entries in issue list
* Fixed: broken redirect URL on login failure
* Fixed: Deleted files are shown when using Darcs
* Fixed: Darcs adapter works on Win32 only
* Fixed: syntax highlight doesn't appear in new ticket preview
* Fixed: email notification for changes I make still occurs when running Repository.fetch_changesets
* Fixed: no error is raised when entering invalid hours on the issue update form
* Fixed: Details time log report CSV export doesn't honour date format from settings
* Fixed: invalid css classes on issue details
* Fixed: Trac importer creates duplicate custom values
* Fixed: inline attached image should not match partial filename


== 2008-12-30 v0.8.0

* Setting added in order to limit the number of diff lines that should be displayed
* Makes logged-in username in topbar linking to
* Mail handler: strip tags when receiving a html-only email
* Mail handler: add watchers before sending notification
* Adds a css class (overdue) to overdue issues on issue lists and detail views
* Fixed: project activity truncated after viewing user's activity
* Fixed: email address entered for password recovery shouldn't be case-sensitive
* Fixed: default flag removed when editing a default enumeration
* Fixed: default category ignored when adding a document
* Fixed: error on repository user mapping when a repository username is blank
* Fixed: Firefox cuts off large diffs
* Fixed: CVS browser should not show dead revisions (deleted files)
* Fixed: escape double-quotes in image titles
* Fixed: escape textarea content when editing a issue note
* Fixed: JS error on context menu with IE
* Fixed: bold syntax around single character in series doesn't work
* Fixed several XSS vulnerabilities
* Fixed a SQL injection vulnerability


== 2008-12-07 v0.8.0-rc1

* Wiki page protection
* Wiki page hierarchy. Parent page can be assigned on the Rename screen
* Adds support for issue creation via email
* Adds support for free ticket filtering and custom queries on Gantt chart and calendar
* Cross-project search
* Ability to search a project and its subprojects
* Ability to search the projects the user belongs to
* Adds custom fields on time entries
* Adds boolean and list custom fields for time entries as criteria on time report
* Cross-project time reports
* Display latest user's activity on account/show view
* Show last connexion time on user's page
* Obfuscates email address on user's account page using javascript
* wiki TOC rendered as an unordered list
* Adds the ability to search for a user on the administration users list
* Adds the ability to search for a project name or identifier on the administration projects list
* Redirect user to the previous page after logging in
* Adds a permission 'view wiki edits' so that wiki history can be hidden to certain users
* Adds permissions for viewing the watcher list and adding new watchers on the issue detail view
* Adds permissions to let users edit and/or delete their messages
* Link to activity view when displaying dates
* Hide Redmine version in atom feeds and pdf properties
* Maps repository users to Redmine users. Users with same username or email are automatically mapped. Mapping can be manually adjusted in repository settings. Multiple usernames can be mapped to the same Redmine user.
* Sort users by their display names so that user dropdown lists are sorted alphabetically
* Adds estimated hours to issue filters
* Switch order of current and previous revisions in side-by-side diff
* Render the commit changes list as a tree
* Adds watch/unwatch functionality at forum topic level
* When moving an issue to another project, reassign it to the category with same name if any
* Adds child_pages macro for wiki pages
* Use GET instead of POST on roadmap (#718), gantt and calendar forms
* Search engine: display total results count and count by result type
* Email delivery configuration moved to an unversioned YAML file (config/email.yml, see the sample file)
* Adds icons on search results
* Adds 'Edit' link on account/show for admin users
* Adds Lock/Unlock/Activate link on user edit screen
* Adds user count in status drop down on admin user list
* Adds multi-levels blockquotes support by using > at the beginning of lines
* Adds a Reply link to each issue note
* Adds plain text only option for mail notifications
* Gravatar support for issue detail, user grid, and activity stream (disabled by default)
* Adds 'Delete wiki pages attachments' permission
* Show the most recent file when displaying an inline image
* Makes permission screens localized
* AuthSource list: display associated users count and disable 'Delete' buton if any
* Make the 'duplicates of' relation asymmetric
* Adds username to the password reminder email
* Adds links to forum messages using message#id syntax
* Allow same name for custom fields on different object types
* One-click bulk edition using the issue list context menu within the same project
* Adds support for commit logs reencoding to UTF-8 before insertion in the database. Source encoding of commit logs can be selected in Application settings -> Repositories.
* Adds checkboxes toggle links on permissions report
* Adds Trac-Like anchors on wiki headings
* Adds support for wiki links with anchor
* Adds category to the issue context menu
* Adds a workflow overview screen
* Appends the filename to the attachment url so that clients that ignore content-disposition http header get the real filename
* Dots allowed in custom field name
* Adds posts quoting functionality
* Adds an option to generate sequential project identifiers
* Adds mailto link on the user administration list
* Ability to remove enumerations (activities, priorities, document categories) that are in use. Associated objects can be reassigned to another value
* Gantt chart: display issues that don't have a due date if they are assigned to a version with a date
* Change projects homepage limit to 255 chars
* Improved on-the-fly account creation. If some attributes are missing (eg. not present in the LDAP) or are invalid, the registration form is displayed so that the user is able to fill or fix these attributes
* Adds "please select" to activity select box if no activity is set as default
* Do not silently ignore timelog validation failure on issue edit
* Adds a rake task to send reminder emails
* Allow empty cells in wiki tables
* Makes wiki text formatter pluggable
* Adds back textile acronyms support
* Remove pre tag attributes
* Plugin hooks
* Pluggable admin menu
* Plugins can provide activity content
* Moves plugin list to its own administration menu item
* Adds url and author_url plugin attributes
* Adds Plugin#requires_redmine method so that plugin compatibility can be checked against current Redmine version
* Adds atom feed on time entries details
* Adds project name to issues feed title
* Adds a css class on menu items in order to apply item specific styles (eg. icons)
* Adds a Redmine plugin generators
* Adds timelog link to the issue context menu
* Adds links to the user page on various views
* Turkish translation by Ismail Sezen
* Catalan translation
* Vietnamese translation
* Slovak translation
* Better naming of activity feed if only one kind of event is displayed
* Enable syntax highlight on issues, messages and news
* Add target version to the issue list context menu
* Hide 'Target version' filter if no version is defined
* Add filters on cross-project issue list for custom fields marked as 'For all projects'
* Turn ftp urls into links
* Hiding the View Differences button when a wiki page's history only has one version
* Messages on a Board can now be sorted by the number of replies
* Adds a class ('me') to events of the activity view created by current user
* Strip pre/code tags content from activity view events
* Display issue notes in the activity view
* Adds links to changesets atom feed on repository browser
* Track project and tracker changes in issue history
* Adds anchor to atom feed messages links
* Adds a key in lang files to set the decimal separator (point or comma) in csv exports
* Makes importer work with Trac 0.8.x
* Upgraded to Prototype 1.6.0.1
* File viewer for attached text files
* Menu mapper: add support for :before, :after and :last options to #push method and add #delete method
* Removed inconsistent revision numbers on diff view
* CVS: add support for modules names with spaces
* Log the user in after registration if account activation is not needed
* Mercurial adapter improvements
* Trac importer: read session_attribute table to find user's email and real name
* Ability to disable unused SCM adapters in application settings
* Adds Filesystem adapter
* Clear changesets and changes with raw sql when deleting a repository for performance
* Redmine.pm now uses the 'commit access' permission defined in Redmine
* Reposman can create any type of scm (--scm option)
* Reposman creates a repository if the 'repository' module is enabled at project level only
* Display svn properties in the browser, svn >= 1.5.0 only
* Reduces memory usage when importing large git repositories
* Wider SVG graphs in repository stats
* SubversionAdapter#entries performance improvement
* SCM browser: ability to download raw unified diffs
* More detailed error message in log when scm command fails
* Adds support for file viewing with Darcs 2.0+
* Check that git changeset is not in the database before creating it
* Unified diff viewer for attached files with .patch or .diff extension
* File size display with Bazaar repositories
* Git adapter: use commit time instead of author time
* Prettier url for changesets
* Makes changes link to entries on the revision view
* Adds a field on the repository view to browse at specific revision
* Adds new projects atom feed
* Added rake tasks to generate rcov code coverage reports
* Add Redcloth's :block_markdown_rule to allow horizontal rules in wiki
* Show the project hierarchy in the drop down list for new membership on user administration screen
* Split user edit screen into tabs
* Renames bundled RedCloth to RedCloth3 to avoid RedCloth 4 to be loaded instead
* Fixed: Roadmap crashes when a version has a due date > 2037
* Fixed: invalid effective date (eg. 99999-01-01) causes an error on version edition screen
* Fixed: login filter providing incorrect back_url for Redmine installed in sub-directory
* Fixed: logtime entry duplicated when edited from parent project
* Fixed: wrong digest for text files under Windows
* Fixed: associated revisions are displayed in wrong order on issue view
* Fixed: Git Adapter date parsing ignores timezone
* Fixed: Printing long roadmap doesn't split across pages
* Fixes custom fields display order at several places
* Fixed: urls containing @ are parsed as email adress by the wiki formatter
* Fixed date filters accuracy with SQLite
* Fixed: tokens not escaped in highlight_tokens regexp
* Fixed Bazaar shared repository browsing
* Fixes platform determination under JRuby
* Fixed: Estimated time in issue's journal should be rounded to two decimals
* Fixed: 'search titles only' box ignored after one search is done on titles only
* Fixed: non-ASCII subversion path can't be displayed
* Fixed: Inline images don't work if file name has upper case letters or if image is in BMP format
* Fixed: document listing shows on "my page" when viewing documents is disabled for the role
* Fixed: Latest news appear on the homepage for projects with the News module disabled
* Fixed: cross-project issue list should not show issues of projects for which the issue tracking module was disabled
* Fixed: the default status is lost when reordering issue statuses
* Fixes error with Postgresql and non-UTF8 commit logs
* Fixed: textile footnotes no longer work
* Fixed: http links containing parentheses fail to reder correctly
* Fixed: GitAdapter#get_rev should use current branch instead of hardwiring master


== 2008-07-06 v0.7.3

* Allow dot in firstnames and lastnames
* Add project name to cross-project Atom feeds
* Encoding set to utf8 in example database.yml
* HTML titles on forums related views
* Fixed: various XSS vulnerabilities
* Fixed: Entourage (and some old client) fails to correctly render notification styles
* Fixed: Fixed: timelog redirects inappropriately when :back_url is blank
* Fixed: wrong relative paths to images in wiki_syntax.html


== 2008-06-15 v0.7.2

* "New Project" link on Projects page
* Links to repository directories on the repo browser
* Move status to front in Activity View
* Remove edit step from Status context menu
* Fixed: No way to do textile horizontal rule
* Fixed: Repository: View differences doesn't work
* Fixed: attachement's name maybe invalid.
* Fixed: Error when creating a new issue
* Fixed: NoMethodError on @available_filters.has_key?
* Fixed: Check All / Uncheck All in Email Settings
* Fixed: "View differences" of one file at /repositories/revision/ fails
* Fixed: Column width in "my page"
* Fixed: private subprojects are listed on Issues view
* Fixed: Textile: bold, italics, underline, etc... not working after parentheses
* Fixed: Update issue form: comment field from log time end out of screen
* Fixed: Editing role: "issue can be assigned to this role" out of box
* Fixed: Unable use angular braces after include word
* Fixed: Using '*' as keyword for repository referencing keywords doesn't work
* Fixed: Subversion repository "View differences" on each file rise ERROR
* Fixed: View differences for individual file of a changeset fails if the repository URL doesn't point to the repository root
* Fixed: It is possible to lock out the last admin account
* Fixed: Wikis are viewable for anonymous users on public projects, despite not granting access
* Fixed: Issue number display clipped on 'my issues'
* Fixed: Roadmap version list links not carrying state
* Fixed: Log Time fieldset in IssueController#edit doesn't set default Activity as default
* Fixed: git's "get_rev" API should use repo's current branch instead of hardwiring "master"
* Fixed: browser's language subcodes ignored
* Fixed: Error on project selection with numeric (only) identifier.
* Fixed: Link to PDF doesn't work after creating new issue
* Fixed: "Replies" should not be shown on forum threads that are locked
* Fixed: SVN errors lead to svn username/password being displayed to end users (security issue)
* Fixed: http links containing hashes don't display correct
* Fixed: Allow ampersands in Enumeration names
* Fixed: Atom link on saved query does not include query_id
* Fixed: Logtime info lost when there's an error updating an issue
* Fixed: TOC does not parse colorization markups
* Fixed: CVS: add support for modules names with spaces
* Fixed: Bad rendering on projects/add
* Fixed: exception when viewing differences on cvs
* Fixed: export issue to pdf will messup when use Chinese language
* Fixed: Redmine::Scm::Adapters::GitAdapter#get_rev ignored GIT_BIN constant
* Fixed: Adding non-ASCII new issue type in the New Issue page have encoding error using IE
* Fixed: Importing from trac : some wiki links are messed
* Fixed: Incorrect weekend definition in Hebrew calendar locale
* Fixed: Atom feeds don't provide author section for repository revisions
* Fixed: In Activity views, changesets titles can be multiline while they should not
* Fixed: Ignore unreadable subversion directories (read disabled using authz)
* Fixed: lib/SVG/Graph/Graph.rb can't externalize stylesheets
* Fixed: Close statement handler in Redmine.pm


== 2008-05-04 v0.7.1

* Thai translation added (Gampol Thitinilnithi)
* Translations updates
* Escape HTML comment tags
* Prevent "can't convert nil into String" error when :sort_order param is not present
* Fixed: Updating tickets add a time log with zero hours
* Fixed: private subprojects names are revealed on the project overview
* Fixed: Search for target version of "none" fails with postgres 8.3
* Fixed: Home, Logout, Login links shouldn't be absolute links
* Fixed: 'Latest projects' box on the welcome screen should be hidden if there are no projects
* Fixed: error when using upcase language name in coderay
* Fixed: error on Trac import when :due attribute is nil


== 2008-04-28 v0.7.0

* Forces Redmine to use rails 2.0.2 gem when vendor/rails is not present
* Queries can be marked as 'For all projects'. Such queries will be available on all projects and on the global issue list.
* Add predefined date ranges to the time report
* Time report can be done at issue level
* Various timelog report enhancements
* Accept the following formats for "hours" field: 1h, 1 h, 1 hour, 2 hours, 30m, 30min, 1h30, 1h30m, 1:30
* Display the context menu above and/or to the left of the click if needed
* Make the admin project files list sortable
* Mercurial: display working directory files sizes unless browsing a specific revision
* Preserve status filter and page number when using lock/unlock/activate links on the users list
* Redmine.pm support for LDAP authentication
* Better error message and AR errors in log for failed LDAP on-the-fly user creation
* Redirected user to where he is coming from after logging hours
* Warn user that subprojects are also deleted when deleting a project
* Include subprojects versions on calendar and gantt
* Notify project members when a message is posted if they want to receive notifications
* Fixed: Feed content limit setting has no effect
* Fixed: Priorities not ordered when displayed as a filter in issue list
* Fixed: can not display attached images inline in message replies
* Fixed: Boards are not deleted when project is deleted
* Fixed: trying to preview a new issue raises an exception with postgresql
* Fixed: single file 'View difference' links do not work because of duplicate slashes in url
* Fixed: inline image not displayed when including a wiki page
* Fixed: CVS duplicate key violation
* Fixed: ActiveRecord::StaleObjectError exception on closing a set of circular duplicate issues
* Fixed: custom field filters behaviour
* Fixed: Postgresql 8.3 compatibility
* Fixed: Links to repository directories don't work


== 2008-03-29 v0.7.0-rc1

* Overall activity view and feed added, link is available on the project list
* Git VCS support
* Rails 2.0 sessions cookie store compatibility
* Use project identifiers in urls instead of ids
* Default configuration data can now be loaded from the administration screen
* Administration settings screen split to tabs (email notifications options moved to 'Settings')
* Project description is now unlimited and optional
* Wiki annotate view
* Escape HTML tag in textile content
* Add Redmine links to documents, versions, attachments and repository files
* New setting to specify how many objects should be displayed on paginated lists. There are 2 ways to select a set of issues on the issue list:
    * by using checkbox and/or the little pencil that will select/unselect all issues
    * by clicking on the rows (but not on the links), Ctrl and Shift keys can be used to select multiple issues
* Context menu disabled on links so that the default context menu of the browser is displayed when right-clicking on a link (click anywhere else on the row to display the context menu)
* User display format is now configurable in administration settings
* Issue list now supports bulk edit/move/delete (for a set of issues that belong to the same project)
* Merged 'change status', 'edit issue' and 'add note' actions:
    * Users with 'edit issues' permission can now update any property including custom fields when adding a note or changing the status
    * 'Change issue status' permission removed. To change an issue status, a user just needs to have either 'Edit' or 'Add note' permissions and some workflow transitions allowed
* Details by assignees on issue summary view
* 'New issue' link in the main menu (accesskey 7). The drop-down lists to add an issue on the project overview and the issue list are removed
* Change status select box default to current status
* Preview for issue notes, news and messages
* Optional description for attachments
* 'Fixed version' label changed to 'Target version'
* Let the user choose when deleting issues with reported hours to:
    * delete the hours
    * assign the hours to the project
    * reassign the hours to another issue
* Date range filter and pagination on time entries detail view
* Propagate time tracking to the parent project
* Switch added on the project activity view to include subprojects
* Display total estimated and spent hours on the version detail view
* Weekly time tracking block for 'My page'
* Permissions to edit time entries
* Include subprojects on the issue list, calendar, gantt and timelog by default (can be turned off is administration settings)
* Roadmap enhancements (separate related issues from wiki contents, leading h1 in version wiki pages is hidden, smaller wiki headings)
* Make versions with same date sorted by name
* Allow issue list to be sorted by target version
* Related changesets messages displayed on the issue details view
* Create a journal and send an email when an issue is closed by commit
* Add 'Author' to the available columns for the issue list
* More appropriate default sort order on sortable columns
* Add issue subject to the time entries view and issue subject, description and tracker to the csv export
* Permissions to edit issue notes
* Display date/time instead of date on files list
* Do not show Roadmap menu item if the project doesn't define any versions
* Allow longer version names (60 chars)
* Ability to copy an existing workflow when creating a new role
* Display custom fields in two columns on the issue form
* Added 'estimated time' in the csv export of the issue list
* Display the last 30 days on the activity view rather than the current month (number of days can be configured in the application settings)
* Setting for whether new projects should be public by default
* User preference to choose how comments/replies are displayed: in chronological or reverse chronological order
* Added default value for custom fields
* Added tabindex property on wiki toolbar buttons (to easily move from field to field using the tab key)
* Redirect to issue page after creating a new issue
* Wiki toolbar improvements (mainly for Firefox)
* Display wiki syntax quick ref link on all wiki textareas
* Display links to Atom feeds
* Breadcrumb nav for the forums
* Show replies when choosing to display messages in the activity
* Added 'include' macro to include another wiki page
* RedmineWikiFormatting page available as a static HTML file locally
* Wrap diff content
* Strip out email address from authors in repository screens
* Highlight the current item of the main menu
* Added simple syntax highlighters for php and java languages
* Do not show empty diffs
* Show explicit error message when the scm command failed (eg. when svn binary is not available)
* Lithuanian translation added (Sergej Jegorov)
* Ukrainan translation added (Natalia Konovka & Mykhaylo Sorochan)
* Danish translation added (Mads Vestergaard)
* Added i18n support to the jstoolbar and various settings screen
* RedCloth's glyphs no longer user
* New icons for the wiki toolbar (from http://www.famfamfam.com/lab/icons/silk/)
* The following menus can now be extended by plugins: top_menu, account_menu, application_menu
* Added a simple rake task to fetch changesets from the repositories: rake redmine:fetch_changesets
* Remove hardcoded "Redmine" strings in account related emails and use application title instead
* Mantis importer preserve bug ids
* Trac importer: Trac guide wiki pages skipped
* Trac importer: wiki attachments migration added
* Trac importer: support database schema for Trac migration
* Trac importer: support CamelCase links
* Removes the Redmine version from the footer (can be viewed on admin -> info)
* Rescue and display an error message when trying to delete a role that is in use
* Add various 'X-Redmine' headers to email notifications: X-Redmine-Host, X-Redmine-Site, X-Redmine-Project, X-Redmine-Issue-Id, -Author, -Assignee, X-Redmine-Topic-Id
* Add "--encoding utf8" option to the Mercurial "hg log" command in order to get utf8 encoded commit logs
* Fixed: Gantt and calendar not properly refreshed (fragment caching removed)
* Fixed: Textile image with style attribute cause internal server error
* Fixed: wiki TOC not rendered properly when used in an issue or document description
* Fixed: 'has already been taken' error message on username and email fields if left empty
* Fixed: non-ascii attachement filename with IE
* Fixed: wrong url for wiki syntax pop-up when Redmine urls are prefixed
* Fixed: search for all words doesn't work
* Fixed: Do not show sticky and locked checkboxes when replying to a message
* Fixed: Mantis importer: do not duplicate Mantis username in firstname and lastname if realname is blank
* Fixed: Date custom fields not displayed as specified in application settings
* Fixed: titles not escaped in the activity view
* Fixed: issue queries can not use custom fields marked as 'for all projects' in a project context
* Fixed: on calendar, gantt and in the tracker filter on the issue list, only active trackers of the project (and its sub projects) should be available
* Fixed: locked users should not receive email notifications
* Fixed: custom field selection is not saved when unchecking them all on project settings
* Fixed: can not lock a topic when creating it
* Fixed: Incorrect filtering for unset values when using 'is not' filter
* Fixed: PostgreSQL issues_seq_id not updated when using Trac importer
* Fixed: ajax pagination does not scroll up
* Fixed: error when uploading a file with no content-type specified by the browser
* Fixed: wiki and changeset links not displayed when previewing issue description or notes
* Fixed: 'LdapError: no bind result' error when authenticating
* Fixed: 'LdapError: invalid binding information' when no username/password are set on the LDAP account
* Fixed: CVS repository doesn't work if port is used in the url
* Fixed: Email notifications: host name is missing in generated links
* Fixed: Email notifications: referenced changesets, wiki pages, attachments... are not turned into links
* Fixed: Do not clear issue relations when moving an issue to another project if cross-project issue relations are allowed
* Fixed: "undefined method 'textilizable'" error on email notification when running Repository#fetch_changesets from the console
* Fixed: Do not send an email with no recipient, cc or bcc
* Fixed: fetch_changesets fails on commit comments that close 2 duplicates issues.
* Fixed: Mercurial browsing under unix-like os and for directory depth > 2
* Fixed: Wiki links with pipe can not be used in wiki tables
* Fixed: migrate_from_trac doesn't import timestamps of wiki and tickets
* Fixed: when bulk editing, setting "Assigned to" to "nobody" causes an sql error with Postgresql


== 2008-03-12 v0.6.4

* Fixed: private projects name are displayed on account/show even if the current user doesn't have access to these private projects
* Fixed: potential LDAP authentication security flaw
* Fixed: context submenus on the issue list don't show up with IE6.
* Fixed: Themes are not applied with Rails 2.0
* Fixed: crash when fetching Mercurial changesets if changeset[:files] is nil
* Fixed: Mercurial repository browsing
* Fixed: undefined local variable or method 'log' in CvsAdapter when a cvs command fails
* Fixed: not null constraints not removed with Postgresql
* Doctype set to transitional


== 2007-12-18 v0.6.3

* Fixed: upload doesn't work in 'Files' section


== 2007-12-16 v0.6.2

* Search engine: issue custom fields can now be searched
* News comments are now textilized
* Updated Japanese translation (Satoru Kurashiki)
* Updated Chinese translation (Shortie Lo)
* Fixed Rails 2.0 compatibility bugs:
  * Unable to create a wiki
  * Gantt and calendar error
  * Trac importer error (readonly? is defined by ActiveRecord)
* Fixed: 'assigned to me' filter broken
* Fixed: crash when validation fails on issue edition with no custom fields
* Fixed: reposman "can't find group" error
* Fixed: 'LDAP account password is too long' error when leaving the field empty on creation
* Fixed: empty lines when displaying repository files with Windows style eol
* Fixed: missing body closing tag in repository annotate and entry views


== 2007-12-10 v0.6.1

* Rails 2.0 compatibility
* Custom fields can now be displayed as columns on the issue list
* Added version details view (accessible from the roadmap)
* Roadmap: more accurate completion percentage calculation (done ratio of open issues is now taken into account)
* Added per-project tracker selection. Trackers can be selected on project settings
* Anonymous users can now be allowed to create, edit, comment issues, comment news and post messages in the forums
* Forums: messages can now be edited/deleted (explicit permissions need to be given)
* Forums: topics can be locked so that no reply can be added
* Forums: topics can be marked as sticky so that they always appear at the top of the list
* Forums: attachments can now be added to replies
* Added time zone support
* Added a setting to choose the account activation strategy (available in application settings)
* Added 'Classic' theme (inspired from the v0.51 design)
* Added an alternate theme which provides issue list colorization based on issues priority
* Added Bazaar SCM adapter
* Added Annotate/Blame view in the repository browser (except for Darcs SCM)
* Diff style (inline or side by side) automatically saved as a user preference
* Added issues status changes on the activity view (by Cyril Mougel)
* Added forums topics on the activity view (disabled by default)
* Added an option on 'My account' for users who don't want to be notified of changes that they make
* Trac importer now supports mysql and postgresql databases
* Trac importer improvements (by Mat Trudel)
* 'fixed version' field can now be displayed on the issue list
* Added a couple of new formats for the 'date format' setting
* Added Traditional Chinese translation (by Shortie Lo)
* Added Russian translation (iGor kMeta)
* Project name format limitation removed (name can now contain any character)
* Project identifier maximum length changed from 12 to 20
* Changed the maximum length of LDAP account to 255 characters
* Removed the 12 characters limit on passwords
* Added wiki macros support
* Performance improvement on workflow setup screen
* More detailed html title on several views
* Custom fields can now be reordered
* Search engine: search can be restricted to an exact phrase by using quotation marks
* Added custom fields marked as 'For all projects' to the csv export of the cross project issue list
* Email notifications are now sent as Blind carbon copy by default
* Fixed: all members (including non active) should be deleted when deleting a project
* Fixed: Error on wiki syntax link (accessible from wiki/edit)
* Fixed: 'quick jump to a revision' form on the revisions list
* Fixed: error on admin/info if there's more than 1 plugin installed
* Fixed: svn or ldap password can be found in clear text in the html source in editing mode
* Fixed: 'Assigned to' drop down list is not sorted
* Fixed: 'View all issues' link doesn't work on issues/show
* Fixed: error on account/register when validation fails
* Fixed: Error when displaying the issue list if a float custom field is marked as 'used as filter'
* Fixed: Mercurial adapter breaks on missing :files entry in changeset hash (James Britt)
* Fixed: Wrong feed URLs on the home page
* Fixed: Update of time entry fails when the issue has been moved to an other project
* Fixed: Error when moving an issue without changing its tracker (Postgresql)
* Fixed: Changes not recorded when using :pserver string (CVS adapter)
* Fixed: admin should be able to move issues to any project
* Fixed: adding an attachment is not possible when changing the status of an issue
* Fixed: No mime-types in documents/files downloading
* Fixed: error when sorting the messages if there's only one board for the project
* Fixed: 'me' doesn't appear in the drop down filters on a project issue list.

== 2007-11-04 v0.6.0

* Permission model refactoring.
* Permissions: there are now 2 builtin roles that can be used to specify permissions given to other users than members of projects
* Permissions: some permissions (eg. browse the repository) can be removed for certain roles
* Permissions: modules (eg. issue tracking, news, documents...) can be enabled/disabled at project level
* Added Mantis and Trac importers
* New application layout
* Added "Bulk edit" functionality on the issue list
* More flexible mail notifications settings at user level
* Added AJAX based context menu on the project issue list that provide shortcuts for editing, re-assigning, changing the status or the priority, moving or deleting an issue
* Added the hability to copy an issue. It can be done from the "issue/show" view or from the context menu on the issue list
* Added the ability to customize issue list columns (at application level or for each saved query)
* Overdue versions (date reached and open issues > 0) are now always displayed on the roadmap
* Added the ability to rename wiki pages (specific permission required)
* Search engines now supports pagination. Results are sorted in reverse chronological order
* Added "Estimated hours" attribute on issues
* A category with assigned issue can now be deleted. 2 options are proposed: remove assignments or reassign issues to another category
* Forum notifications are now also sent to the authors of the thread, even if they don't watch the board
* Added an application setting to specify the application protocol (http or https) used to generate urls in emails
* Gantt chart: now starts at the current month by default
* Gantt chart: month count and zoom factor are automatically saved as user preferences
* Wiki links can now refer to other project wikis
* Added wiki index by date
* Added preview on add/edit issue form
* Emails footer can now be customized from the admin interface (Admin -> Email notifications)
* Default encodings for repository files can now be set in application settings (used to convert files content and diff to UTF-8 so that they're properly displayed)
* Calendar: first day of week can now be set in lang files
* Automatic closing of duplicate issues
* Added a cross-project issue list
* AJAXified the SCM browser (tree view)
* Pretty URL for the repository browser (Cyril Mougel)
* Search engine: added a checkbox to search titles only
* Added "% done" in the filter list
* Enumerations: values can now be reordered and a default value can be specified (eg. default issue priority)
* Added some accesskeys
* Added "Float" as a custom field format
* Added basic Theme support
* Added the ability to set the "done ratio" of issues fixed by commit (Nikolay Solakov)
* Added custom fields in issue related mail notifications
* Email notifications are now sent in plain text and html
* Gantt chart can now be exported to a graphic file (png). This functionality is only available if RMagick is installed.
* Added syntax highlightment for repository files and wiki
* Improved automatic Redmine links
* Added automatic table of content support on wiki pages
* Added radio buttons on the documents list to sort documents by category, date, title or author
* Added basic plugin support, with a sample plugin
* Added a link to add a new category when creating or editing an issue
* Added a "Assignable" boolean on the Role model. If unchecked, issues can not be assigned to users having this role.
* Added an option to be able to relate issues in different projects
* Added the ability to move issues (to another project) without changing their trackers.
* Atom feeds added on project activity, news and changesets
* Added the ability to reset its own RSS access key
* Main project list now displays root projects with their subprojects
* Added anchor links to issue notes
* Added reposman Ruby version. This script can now register created repositories in Redmine (Nicolas Chuche)
* Issue notes are now included in search
* Added email sending test functionality
* Added LDAPS support for LDAP authentication
* Removed hard-coded URLs in mail templates
* Subprojects are now grouped by projects in the navigation drop-down menu
* Added a new value for date filters: this week
* Added cache for application settings
* Added Polish translation (Tomasz Gawryl)
* Added Czech translation (Jan Kadlecek)
* Added Romanian translation (Csongor Bartus)
* Added Hebrew translation (Bob Builder)
* Added Serbian translation (Dragan Matic)
* Added Korean translation (Choi Jong Yoon)
* Fixed: the link to delete issue relations is displayed even if the user is not authorized to delete relations
* Performance improvement on calendar and gantt
* Fixed: wiki preview doesn't work on long entries
* Fixed: queries with multiple custom fields return no result
* Fixed: Can not authenticate user against LDAP if its DN contains non-ascii characters
* Fixed: URL with ~ broken in wiki formatting
* Fixed: some quotation marks are rendered as strange characters in pdf


== 2007-07-15 v0.5.1

* per project forums added
* added the ability to archive projects
* added "Watch" functionality on issues. It allows users to receive notifications about issue changes
* custom fields for issues can now be used as filters on issue list
* added per user custom queries
* commit messages are now scanned for referenced or fixed issue IDs (keywords defined in Admin -> Settings)
* projects list now shows the list of public projects and private projects for which the user is a member
* versions can now be created with no date
* added issue count details for versions on Reports view
* added time report, by member/activity/tracker/version and year/month/week for the selected period
* each category can now be associated to a user, so that new issues in that category are automatically assigned to that user
* added autologin feature (disabled by default)
* optimistic locking added for wiki edits
* added wiki diff
* added the ability to destroy wiki pages (requires permission)
* a wiki page can now be attached to each version, and displayed on the roadmap
* attachments can now be added to wiki pages (original patch by Pavol Murin) and displayed online
* added an option to see all versions in the roadmap view (including completed ones)
* added basic issue relations
* added the ability to log time when changing an issue status
* account information can now be sent to the user when creating an account
* author and assignee of an issue always receive notifications (even if they turned of mail notifications)
* added a quick search form in page header
* added 'me' value for 'assigned to' and 'author' query filters
* added a link on revision screen to see the entire diff for the revision
* added last commit message for each entry in repository browser
* added the ability to view a file diff with free to/from revision selection.
* text files can now be viewed online when browsing the repository
* added basic support for other SCM: CVS (Ralph Vater), Mercurial and Darcs
* added fragment caching for svn diffs
* added fragment caching for calendar and gantt views
* login field automatically focused on login form
* subproject name displayed on issue list, calendar and gantt
* added an option to choose the date format: language based or ISO 8601
* added a simple mail handler. It lets users add notes to an existing issue by replying to the initial notification email.
* a 403 error page is now displayed (instead of a blank page) when trying to access a protected page
* added portuguese translation (Joao Carlos Clementoni)
* added partial online help japanese translation (Ken Date)
* added bulgarian translation (Nikolay Solakov)
* added dutch translation (Linda van den Brink)
* added swedish translation (Thomas Habets)
* italian translation update (Alessio Spadaro)
* japanese translation update (Satoru Kurashiki)
* fixed: error on history atom feed when there's no notes on an issue change
* fixed: error in journalizing an issue with longtext custom fields (Postgresql)
* fixed: creation of Oracle schema
* fixed: last day of the month not included in project activity
* fixed: files with an apostrophe in their names can't be accessed in SVN repository
* fixed: performance issue on RepositoriesController#revisions when a changeset has a great number of changes (eg. 100,000)
* fixed: open/closed issue counts are always 0 on reports view (postgresql)
* fixed: date query filters (wrong results and sql error with postgresql)
* fixed: confidentiality issue on account/show (private project names displayed to anyone)
* fixed: Long text custom fields displayed without line breaks
* fixed: Error when editing the wokflow after deleting a status
* fixed: SVN commit dates are now stored as local time


== 2007-04-11 v0.5.0

* added per project Wiki
* added rss/atom feeds at project level (custom queries can be used as feeds)
* added search engine (search in issues, news, commits, wiki pages, documents)
* simple time tracking functionality added
* added version due dates on calendar and gantt
* added subprojects issue count on project Reports page
* added the ability to copy an existing workflow when creating a new tracker
* added the ability to include subprojects on calendar and gantt
* added the ability to select trackers to display on calendar and gantt (Jeffrey Jones)
* added side by side svn diff view (Cyril Mougel)
* added back subproject filter on issue list
* added permissions report in admin area
* added a status filter on users list
* support for password-protected SVN repositories
* SVN commits are now stored in the database
* added simple svn statistics SVG graphs
* progress bars for roadmap versions (Nick Read)
* issue history now shows file uploads and deletions
* #id patterns are turned into links to issues in descriptions and commit messages
* japanese translation added (Satoru Kurashiki)
* chinese simplified translation added (Andy Wu)
* italian translation added (Alessio Spadaro)
* added scripts to manage SVN repositories creation and user access control using ssh+svn (Nicolas Chuche)
* better calendar rendering time
* fixed migration scripts to work with mysql 5 running in strict mode
* fixed: error when clicking "add" with no block selected on my/page_layout
* fixed: hard coded links in navigation bar
* fixed: table_name pre/suffix support


== 2007-02-18 v0.4.2

* Rails 1.2 is now required
* settings are now stored in the database and editable through the application in: Admin -> Settings (config_custom.rb is no longer used)
* added project roadmap view
* mail notifications added when a document, a file or an attachment is added
* tooltips added on Gantt chart and calender to view the details of the issues
* ability to set the sort order for roles, trackers, issue statuses
* added missing fields to csv export: priority, start date, due date, done ratio
* added total number of issues per tracker on project overview
* all icons replaced (new icons are based on GPL icon set: "KDE Crystal Diamond 2.5" -by paolino- and "kNeu! Alpha v0.1" -by Pablo Fabregat-)
* added back "fixed version" field on issue screen and in filters
* project settings screen split in 4 tabs
* custom fields screen split in 3 tabs (one for each kind of custom field)
* multiple issues pdf export now rendered as a table
* added a button on users/list to manually activate an account
* added a setting option to disable "password lost" functionality
* added a setting option to set max number of issues in csv/pdf exports
* fixed: subprojects count is always 0 on projects list
* fixed: locked users are proposed when adding a member to a project
* fixed: setting an issue status as default status leads to an sql error with SQLite
* fixed: unable to delete an issue status even if it's not used yet
* fixed: filters ignored when exporting a predefined query to csv/pdf
* fixed: crash when french "issue_edit" email notification is sent
* fixed: hide mail preference not saved (my/account)
* fixed: crash when a new user try to edit its "my page" layout


== 2007-01-03 v0.4.1

* fixed: emails have no recipient when one of the project members has notifications disabled


== 2007-01-02 v0.4.0

* simple SVN browser added (just needs svn binaries in PATH)
* comments can now be added on news
* "my page" is now customizable 
* more powerfull and savable filters for issues lists
* improved issues change history
* new functionality: move an issue to another project or tracker
* new functionality: add a note to an issue
* new report: project activity
* "start date" and "% done" fields added on issues
* project calendar added
* gantt chart added (exportable to pdf)
* single/multiple issues pdf export added
* issues reports improvements
* multiple file upload for issues, documents and files
* option to set maximum size of uploaded files
* textile formating of issue and news descritions (RedCloth required)
* integration of DotClear jstoolbar for textile formatting
* calendar date picker for date fields (LGPL DHTML Calendar http://sourceforge.net/projects/jscalendar)
* new filter in issues list: Author
* ajaxified paginators
* news rss feed added
* option to set number of results per page on issues list
* localized csv separator (comma/semicolon)
* csv output encoded to ISO-8859-1
* user custom field displayed on account/show
* default configuration improved (default roles, trackers, status, permissions and workflows)
* language for default configuration data can now be chosen when running 'load_default_data' task
* javascript added on custom field form to show/hide fields according to the format of custom field
* fixed: custom fields not in csv exports
* fixed: project settings now displayed according to user's permissions
* fixed: application error when no version is selected on projects/add_file
* fixed: public actions not authorized for members of non public projects
* fixed: non public projects were shown on welcome screen even if current user is not a member


== 2006-10-08 v0.3.0

* user authentication against multiple LDAP (optional)
* token based "lost password" functionality
* user self-registration functionality (optional)
* custom fields now available for issues, users and projects
* new custom field format "text" (displayed as a textarea field) 
* project & administration drop down menus in navigation bar for quicker access
* text formatting is preserved for long text fields (issues, projects and news descriptions)
* urls and emails are turned into clickable links in long text fields
* "due date" field added on issues
* tracker selection filter added on change log
* Localization plugin replaced with GLoc 1.1.0 (iconv required)
* error messages internationalization
* german translation added (thanks to Karim Trott)
* data locking for issues to prevent update conflicts (using ActiveRecord builtin optimistic locking)
* new filter in issues list: "Fixed version"
* active filters are displayed with colored background on issues list
* custom configuration is now defined in config/config_custom.rb
* user object no more stored in session (only user_id)
* news summary field is no longer required
* tables and forms redesign
* Fixed: boolean custom field not working
* Fixed: error messages for custom fields are not displayed
* Fixed: invalid custom fields should have a red border
* Fixed: custom fields values are not validated on issue update
* Fixed: unable to choose an empty value for 'List' custom fields
* Fixed: no issue categories sorting
* Fixed: incorrect versions sorting


== 2006-07-12 - v0.2.2

* Fixed: bug in "issues list"


== 2006-07-09 - v0.2.1

* new databases supported: Oracle, PostgreSQL, SQL Server
* projects/subprojects hierarchy (1 level of subprojects only)
* environment information display in admin/info
* more filter options in issues list (rev6)
* default language based on browser settings (Accept-Language HTTP header)
* issues list exportable to CSV (rev6)
* simple_format and auto_link on long text fields
* more data validations
* Fixed: error when all mail notifications are unchecked in admin/mail_options
* Fixed: all project news are displayed on project summary
* Fixed: Can't change user password in users/edit
* Fixed: Error on tables creation with PostgreSQL (rev5)
* Fixed: SQL error in "issue reports" view with PostgreSQL (rev5)


== 2006-06-25 - v0.1.0

* multiple users/multiple projects
* role based access control
* issue tracking system
* fully customizable workflow
* documents/files repository
* email notifications on issue creation and update
* multilanguage support (except for error messages):english, french, spanish
* online manual in french (unfinished)
